2010-12-28 07:51 -0500  Yuval Levy  <yuv@users.sourceforge.net>  (8d63ac9fe280 [tip])

	* src/translations/fr.po:
	Updated French translation (Jean-Luc-Coulon)

2010-12-28 00:46 -0500  Matthew Petroff  <Matthew Petroff>  (899aad0aae59)

	* src/hugin1/hugin/xrc/images_panel.xrc:
	Backed out changeset: 94bd3d0f2012; I committed the wrong file.

2010-12-27 23:01 -0500  Yuval Levy  <yuv@users.sourceforge.net>  (1f89d019f52c)

	* .hgtags:
	Added tag 2010.4.0_rc2 for changeset 365a0f59a389

2010-12-27 22:53 -0500  Yuval Levy  <yuv@users.sourceforge.net>  (365a0f59a389 [2010.4.0_rc2])

	* ChangeLog:
	Updated ChangeLog

2010-12-27 11:21 -0500  Yuval Levy  <yuv@users.sourceforge.net>  (fe774a1de7f3)

	* doc/PTBatcherGUI.1, doc/align_image_stack.1, doc/autooptimiser.1,
	doc/calibrate_lens.1, doc/celeste_standalone.1, doc/checkpto.1,
	doc/cpclean.1, doc/cpfind.1, doc/deghosting_mask.1, doc/fulla.1,
	doc/hugin.1, doc/hugin_hdrmerge.1, doc/hugin_stitch_project.1,
	doc/icpfind.1, doc/nona.1, doc/nona_gui.1, doc/pano_modify.1,
	doc/pano_trafo.1, doc/pto2mk.1, doc/pto_merge.1, doc/tca_correct.1,
	doc/vig_optimize.1, src/hugin1/hugin/OptimizePanel.cpp,
	src/translations/hu.po:
	* fixed commit to remove optimize everything
	* updated Hungarian translation (Lajos Höss)
	* updated man pages

2010-12-27 11:14 -0500  Yuval Levy  <yuv@users.sourceforge.net>  (d18edc881052)

	* src/translations/es_la.po: deleted file.
	* authors.txt, src/translations/es_la.po:
	removed invalid translation

2010-12-27 08:20 -0500  Yuval Levy  <yuv@users.sourceforge.net>  (274c9a123dcf)

	* src/translations/diff_po.pl: new file.
	* src/translations/diff_po.pl:
	added tool to evaluate changes in contributed translations (Kornel
	Benko)

2010-12-27 07:33 -0500  Yuval Levy  <yuv@users.sourceforge.net>  (1fba56b7f72c)

	* src/hugin1/hugin/OptimizePanel.cpp,
	src/hugin1/hugin/xrc/optimize_panel.xrc:
	removed optimize everything option from optimizer

2010-12-26 20:35 -0500  Matthew Petroff  <Matthew Petroff>  (f5b6876eea5c)

	* src/hugin1/hugin/xrc/images_panel.xrc:
	Added wxPanel to main window to resolve long-standing redraw issue
	that stemmed from Windows version selectively ignoring the <border>
	property.

2010-12-26 14:58 -0500  Yuval Levy  <yuv@users.sourceforge.net>  (0e881026f706)

	* platforms/windows/autopano-mockup/CMakeLists.txt, platforms/windows
	/autopano-mockup/autopano-noop.bat, utils/build_wxwin_msvc.bat,
	utils/hugin.nsi, utils/mergepto: deleted file.
	* platforms/windows/CMakeLists.txt, platforms/windows/autopano-
	mockup/CMakeLists.txt, platforms/windows/autopano-mockup/autopano-
	noop.bat, utils/build_wxwin_msvc.bat, utils/hugin.nsi,
	utils/mergepto:
	removed obsolete cruft

2010-12-26 13:48 -0500  Yuval Levy  <yuv@users.sourceforge.net>  (bc9e24f7e798)

	* src/hugin1/hugin/OptimizePanel.cpp,
	src/hugin1/hugin/xrc/optimize_panel.xrc:
	clean up / unified white space

2010-12-26 13:28 -0500  Yuval Levy  <yuv@users.sourceforge.net>  (6046bb6b0bd5)

	* src/hugin1/hugin/OptimizePanel.cpp,
	src/hugin1/hugin/xrc/optimize_panel.xrc:
	Optimizer tab: added toggles to tick/untick all v a b c d e
	parameters

2010-12-26 12:28 -0500  Yuval Levy  <yuv@users.sourceforge.net>  (aed0fc0525e5)

	* doc/releases/hugin-2010.4.0_beta1.txt,
	doc/releases/hugin-2010.4.0_beta2.txt,
	doc/releases/hugin-2010.4.0_rc1.txt: new file.
	* doc/releases/hugin-2010.4.0_beta1.txt,
	doc/releases/hugin-2010.4.0_beta2.txt,
	doc/releases/hugin-2010.4.0_rc1.txt:
	release notes for 2010.4 series releases

2010-12-26 12:27 -0500  Yuval Levy  <yuv@users.sourceforge.net>  (861c6a25eee4)

	* doc/CMakeLists.txt, doc/Makefile.pod2man:
	integrated man page generation in CMake build

2010-12-26 12:26 -0500  Yuval Levy  <yuv@users.sourceforge.net>  (74fc35571087)

	* doc/cpfind.pod:
	expanded cpfind man page

2010-12-23 15:13 -0500  Yuval Levy  <yuv@users.sourceforge.net>  (003a7c16c734)

	* .hgtags:
	Added tag 2010.4.0_rc1 for changeset c594a6df4455

2010-12-23 15:12 -0500  Yuval Levy  <yuv@users.sourceforge.net>  (c594a6df4455 [2010.4.0_rc1])

	* ChangeLog:
	Updated ChangeLog

2010-12-23 15:04 -0500  Yuval Levy  <yuv@users.sourceforge.net>  (661657c8e160)

	* src/translations/zh_CN.po:
	Updated Chinese Simplified translation (Lu Fang)

2010-12-23 15:03 -0500  Yuval Levy  <yuv@users.sourceforge.net>  (0adff7e6baab)

	* src/translations/ru.po:
	Updated Russian Translation (Alexandre Prokoudine)

2010-12-23 13:59 -0500  Yuval Levy  <yuv@users.sourceforge.net>  (d66a9f7a9f0b)

	* src/translations/bg.po, src/translations/ca_ES.po,
	src/translations/cs_CZ.po, src/translations/de.po,
	src/translations/en_GB.po, src/translations/es.po,
	src/translations/es_la.po, src/translations/fi.po,
	src/translations/fr.po, src/translations/hu.po,
	src/translations/hugin.pot, src/translations/it.po,
	src/translations/ja.po, src/translations/ko.po,
	src/translations/nl.po, src/translations/pl.po,
	src/translations/pt_BR.po, src/translations/ru.po,
	src/translations/sk.po, src/translations/sl.po,
	src/translations/sv.po, src/translations/uk.po,
	src/translations/zh_CN.po, src/translations/zh_TW.po:
	extracted messages for translation

2010-12-23 13:58 -0500  Yuval Levy  <yuv@users.sourceforge.net>  (9fa60ae9692f)

	* src/translations/bg.po, src/translations/ca_ES.po,
	src/translations/cs_CZ.po, src/translations/de.po,
	src/translations/en_GB.po, src/translations/es.po,
	src/translations/es_la.po, src/translations/fi.po,
	src/translations/fr.po, src/translations/hu.po,
	src/translations/hugin.pot, src/translations/it.po,
	src/translations/ja.po, src/translations/ko.po,
	src/translations/nl.po, src/translations/pl.po,
	src/translations/pt_BR.po, src/translations/ru.po,
	src/translations/sk.po, src/translations/sl.po,
	src/translations/sv.po, src/translations/uk.po,
	src/translations/zh_CN.po, src/translations/zh_TW.po:
	English language fix (part 2 - translations)
	http://groups.google.com/group/hugin-
	ptx/browse_thread/thread/2ecac5f83ca217b9

2010-12-23 13:51 -0500  Yuval Levy  <yuv@users.sourceforge.net>  (e2483217980a)

	* src/hugin1/ptbatcher/FindPanoDialog.cpp:
	English language fix (part 1 - code) http://groups.google.com/group
	/hugin-ptx/browse_thread/thread/2ecac5f83ca217b9

2010-12-23 13:45 -0500  Yuval Levy  <yuv@users.sourceforge.net>  (8379c28fe0f3)

	* src/hugin1/hugin/MaskImageCtrl.cpp:
	cosmetic: variable name to "correct" English

2010-12-23 13:55 -0500  Yuval Levy  <yuv@users.sourceforge.net>  (3f7c37c3099a)

	* src/translations/hugin.pot:
	finish "Founded" typo fix

2010-12-16 21:18 +0100  tmodes  <tmodes>  (d8e66f50fbee)

	* src/translations/cs_CZ.po:
	Merged

2010-12-13 22:38 -0500  Yuval Levy  <yuv@users.sourceforge.net>  (7a5b6272e524)

	* src/translations/cs_CZ.po:
	reverted changes to cs_CZ

2010-12-11 23:51 -0500  Yuval Levy  <yuv@users.sourceforge.net>  (e65670fab971)

	* src/translations/de.po:
	Updated German Translation (Carl von Einem) #688928

2010-12-11 23:54 -0500  Yuval Levy  <yuv@users.sourceforge.net>  (544e994634fe)

	* src/translations/cs_CZ.po:
	sync Czech translation (2010.4-trunk)

2010-12-11 08:25 -0500  Yuval Levy  <yuv@users.sourceforge.net>  (eefe26c4b259)

	* src/hugin1/hugin/xrc/batch_frame.xrc, src/translations/bg.po,
	src/translations/ca_ES.po, src/translations/cs_CZ.po,
	src/translations/de.po, src/translations/en_GB.po,
	src/translations/es.po, src/translations/es_la.po,
	src/translations/fi.po, src/translations/fr.po,
	src/translations/hu.po, src/translations/it.po,
	src/translations/ja.po, src/translations/ko.po,
	src/translations/nl.po, src/translations/pl.po,
	src/translations/pt_BR.po, src/translations/ru.po,
	src/translations/sk.po, src/translations/sl.po,
	src/translations/sv.po, src/translations/uk.po,
	src/translations/zh_CN.po, src/translations/zh_TW.po:
	Typo "Founded" (Carl von Einem)

2010-12-11 13:44 +0100  harryvanderwolf  <hvdwolf@gmail.com>  (e1d46056863e)

	* src/translations/nl.po:
	Update dutch translation after new string + correction

2010-12-11 12:58 +0100  tmodes  <tmodes>  (15baf2e12289)

	* authors.txt, src/translations/hu.po:
	Updated hungarian translation (Lajos Höss)

2010-12-11 12:45 +0100  tmodes  <tmodes>  (95ec8bfe3945)

	* src/hugin1/hugin/xrc/data/help_en_EN/Hugin_FAQ.html,
	src/hugin1/hugin/xrc/data/help_en_EN/Hugin_Trackers.html,
	src/hugin1/hugin/xrc/data/help_en_EN/Hugin_translation_guide.html:
	Updated manual from wiki

2010-12-11 12:51 +0100  tmodes  <tmodes>  (8338976b1ea6)

	* src/hugin1/hugin/MainFrame.cpp, src/translations/bg.po,
	src/translations/ca_ES.po, src/translations/cs_CZ.po,
	src/translations/de.po, src/translations/en_GB.po,
	src/translations/es.po, src/translations/es_la.po,
	src/translations/fi.po, src/translations/fr.po,
	src/translations/hu.po, src/translations/hugin.pot,
	src/translations/it.po, src/translations/ja.po,
	src/translations/ko.po, src/translations/nl.po,
	src/translations/pl.po, src/translations/pt_BR.po,
	src/translations/ru.po, src/translations/sk.po,
	src/translations/sl.po, src/translations/sv.po,
	src/translations/uk.po, src/translations/zh_CN.po,
	src/translations/zh_TW.po:
	Added missing string to translations

2010-12-11 09:18 +0100  tmodes  <tmodes>  (0856275f2e9e)

	* src/translations/de.po:
	Updated German translation

2010-12-10 21:30 +0100  tmodes  <tmodes>  (c53007af73b3)

	* CMakeModules/win_bundle.cmake:
	Added gnu make 3.82 to search list for make

2010-12-08 22:54 -0500  Yuval Levy  <yuv@users.sourceforge.net>  (110bcc616b51)

	* src/translations/es_la.po: new file.
	* src/translations/es_VE.po: deleted file.
	* authors.txt, src/translations/es_VE.po, src/translations/es_la.po:
	Latin American Spanish Translation (Ernesto Enrique Alvarado
	Viloria)

2010-12-08 22:50 -0500  Yuval Levy  <yuv@users.sourceforge.net>  (874dcaa6d571)

	* src/translations/es.po:
	Updated Spanish Translation (Uwe Koch Kronberg)

2010-12-07 21:45 +0100  Vaclav Cerny  <vatoz@seznam.cz>  (1f4fade4f38d)

	* src/translations/cs_CZ.po:
	updated czech translation

2010-12-07 17:36 +0100  tmodes  <tmodes>  (d0df7588e267)

	* src/hugin1/base_wx/RunStitchPanel.cpp:
	Explicitly close generated makefile. This could fix issue #684749

2010-12-06 19:15 -0500  Matthew Petroff  <Matthew Petroff>  (1bdb0d084646)

	* platforms/windows/huginsetup/HuginSetup_common.nsh:
	Fixed Windows installer control point generator defaults.

2010-12-06 11:48 +0100  mcri  <mcri>  (d182a7ecf11c)

	* src/translations/it.po:
	Updated Italian translation

2010-12-05 08:37 +0100  harryvanderwolf  <hvdwolf@gmail.com>  (0d9acb4fe2cc)

	* src/translations/nl.po:
	Update Dutch translation: new strings, 2 typos

2010-12-04 17:10 -0500  Yuval Levy  <yuv@users.sourceforge.net>  (0463b9e74a3a)

	* src/translations/bg.po, src/translations/ca_ES.po,
	src/translations/cs_CZ.po, src/translations/de.po,
	src/translations/en_GB.po, src/translations/es.po,
	src/translations/es_VE.po, src/translations/fi.po,
	src/translations/fr.po, src/translations/hu.po,
	src/translations/hugin.pot, src/translations/it.po,
	src/translations/ja.po, src/translations/ko.po,
	src/translations/nl.po, src/translations/pl.po,
	src/translations/pt_BR.po, src/translations/ru.po,
	src/translations/sk.po, src/translations/sl.po,
	src/translations/sv.po, src/translations/uk.po,
	src/translations/zh_CN.po, src/translations/zh_TW.po:
	updated translations

2010-12-04 21:03 +0100  tmodes  <tmodes>  (e03973033907)

	* src/hugin1/hugin/OptimizePhotometricPanel.cpp:
	Show warning if no exposure parameters are selected for
	optimization. Warning: this introduces new strings for translations.

2010-12-04 21:02 +0100  tmodes  <tmodes>  (a4183f0bd394)

	* src/hugin_base/algorithms/optimizer/PhotometricOptimizer.cpp:
	Don't optimize exposure if no parameters are selected.

2010-12-04 20:13 +0100  tmodes  <tmodes>  (00785c7bc1ac)

	* src/hugin1/hugin/PreferencesDialog.cpp,
	src/hugin1/icpfind/CPDetectorConfig.cpp:
	* Add file extension if not given for saving cp detector setting.
	* Flush wxFileConfig, this hopefully fixes writing empty config file
	Fixes some aspects of #685224

2010-12-04 13:47 +0100  harryvanderwolf  <hvdwolf@gmail.com>  (8aaef4d853ad)

	* src/translations/nl.po:
	Update of Dutch translation, fast preview forgotten

2010-12-04 13:29 +0100  harryvanderwolf  <hvdwolf@gmail.com>  (50d2da814c42)

	* src/translations/nl.po:
	Lots of minor changes to Dutch translations, hopefully improvements

2010-12-03 21:16 -0500  Yuval Levy  <yuv@users.sourceforge.net>  (c379b4821223)

	* .hgtags:
	Added tag 2010.4.0beta2 for changeset 6f536b4ba7fb

2010-12-03 21:14 -0500  Yuval Levy  <yuv@users.sourceforge.net>  (6f536b4ba7fb [2010.4.0beta2])

	* ChangeLog, authors.txt:
	added Davide Fabbri to contributors and updated ChangeLog

2010-12-03 18:11 +0100  tmodes  <tmodes>  (b3f8df8382d4)

	* src/hugin1/hugin/MainFrame.cpp:
	Fixes some compiler warnings

2010-12-03 18:12 +0100  tmodes  <tmodes>  (272339758497)

	* src/hugin1/hugin/ImagesPanel.cpp:
	Show message box after celeste only once (Patch by davidefa) Fixes
	#684634

2010-12-02 18:04 -0500  Yuval Levy  <yuv@users.sourceforge.net>  (cb535d97d8fd)

	* src/foreign/zthread/include/zthread/Config.h:
	fix build on kFreeBSD (Andreas Metzler)

2010-12-03 01:28 +0100  Vaclav Cerny  <vatoz@seznam.cz>  (1ba62fd3dbb9)

	* src/translations/cs_CZ.po:
	updated czech translation

2010-12-02 20:20 +0100  mcri  <mcri>  (83ccac1b84bf)

	* src/translations/es_VE.po:
	Corrected some syntax error in es_VE.po

2010-12-02 19:50 +0100  mcri  <mcri>  (5f07a367f54a)

	* src/translations/it.po:
	Updated Italian translation

2010-12-01 21:21 -0600  gpatters1  <gpatters1>  (5dea4ca0f94b)

	* src/hugin1/hugin/MainFrame.cpp:
	removed extra reset to TIFF_m. It happens in wxLoadPTProjectCmd() a
	few lines above

2010-12-01 21:17 -0600  gpatters1  <gpatters1>  (07b614d6c1af)

	* src/hugin1/hugin/MainFrame.cpp:
	[683003] Fix for outputMode errror in MainFrame.cpp

2010-12-01 16:53 -0500  Yuval Levy  <yuv@users.sourceforge.net>  (0412dc8879d0)

	* src/translations/es_VE.po: new file.
	* authors.txt, src/translations/es_VE.po:
	Venezoelan Spanish translation (Ernesto Enrique Alvarado Viloria)

2010-12-01 20:54 +0100  tmodes  <tmodes>  (22d1f3b80a0e)

	* src/translations/es.po:
	Fixes some errors in spanish translation

2010-12-01 21:07 +0100  tmodes  <tmodes>  (1ef340c410b9)

	* src/translations/de.po:
	Some more german translations

2010-12-01 14:18 -0500  Yuval Levy  <yuv@users.sourceforge.net>  (34d562320a30)

	* src/translations/de.po:
	Updated German translation (Joachim Schneider)

2010-12-01 19:39 +0100  mcri  <mcri>  (56d01196d76c)

	* src/hugin1/hugin/hugin.desktop,
	src/hugin1/ptbatcher/PTBatcherGUI.desktop:
	Added Italian translation.

2010-12-01 19:36 +0100  mcri  <mcri>  (0407ebd4c568)

	* src/translations/it.po:
	Updated Italian translation.

2010-12-01 13:55 -0500  Yuval Levy  <yuv@users.sourceforge.net>  (f53a844c5d34)

	* authors.txt, src/translations/es.po:
	Edited Spanish translation (Uwe Koch Kronberg)

2010-11-30 23:44 -0600  gpatters1  <gpatters1>  (7f98c1a3db1b)

	* src/hugin_base/panodata/Panorama.cpp:
	[679447] - Fix for crash when loading bogus pto file.

2010-11-27 15:07 -0600  gpatters1  <gpatters1>  (b161d0660b3d)

	* src/hugin1/hugin/ImagesPanel.cpp:
	Removed unnecessary extra call for clear EXIF display on Images Tab

2010-11-29 22:29 +0100  harryvanderwolf  <hvdwolf@gmail.com>  (6cf6ca35afc8)

	* src/translations/nl.po:
	Dutch translation; Typo and missing \n breaking build

2010-11-29 20:26 +0100  tmodes  <tmodes>  (1e3fcb26cf9e)

	* src/hugin1/hugin/xrc/batch_menu.xrc, src/translations/bg.po,
	src/translations/ca_ES.po, src/translations/cs_CZ.po,
	src/translations/de.po, src/translations/en_GB.po,
	src/translations/es.po, src/translations/fi.po,
	src/translations/fr.po, src/translations/hu.po,
	src/translations/hugin.pot, src/translations/it.po,
	src/translations/ja.po, src/translations/ko.po,
	src/translations/nl.po, src/translations/pl.po,
	src/translations/pt_BR.po, src/translations/ru.po,
	src/translations/sk.po, src/translations/sl.po,
	src/translations/sv.po, src/translations/uk.po,
	src/translations/zh_CN.po, src/translations/zh_TW.po:
	Better help string and updated po files

2010-11-29 19:49 +0100  harryvanderwolf  <hvdwolf@gmail.com>  (51fcd19c7287)

	* src/translations/nl.po:
	Update Dutch translation

2010-11-29 19:31 +0100  tmodes  <tmodes>  (a6be5f7e38e8)

	* src/hugin1/icpfind/default.unix, src/hugin1/icpfind/default.win:
	Added cpfind+align_image_stack setting

2010-11-27 13:49 -0600  gpatters1  <gpatters1>  (ea196157c82d)

	* src/hugin1/hugin/CPImageCtrl.cpp:
	[678841] - Fix for images disappear from control points tab.

2010-11-28 19:13 +0100  tmodes  <tmodes>  (b2d4ce755523)

	* src/hugin1/hugin/xrc/data/help_en_EN/help_index_en.hhk,
	src/hugin1/hugin/xrc/data/help_en_EN/help_toc_en.hhc,
	src/hugin1/hugin/xrc/data/help_en_EN/hugin_help_en_EN.hhp:
	Updated toc and index of compiled help file

2010-11-28 18:55 +0100  tmodes  <tmodes>  (0e68b6c9a369)

	* src/hugin1/hugin/xrc/data/help_en_EN/Hugin_stitch_project.html: new
	file.
	* src/hugin1/hugin/xrc/data/help_en_EN/Cpfind.html,
	src/hugin1/hugin/xrc/data/help_en_EN/Enfuse.html,
	src/hugin1/hugin/xrc/data/help_en_EN/Hugin.html,
	src/hugin1/hugin/xrc/data/help_en_EN/Hugin_FAQ.html,
	src/hugin1/hugin/xrc/data/help_en_EN/Hugin_Reset_Values_window.html,
	src/hugin1/hugin/xrc/data/help_en_EN/Hugin_Trackers.html,
	src/hugin1/hugin/xrc/data/help_en_EN/Hugin_stitch_project.html,
	src/hugin1/hugin/xrc/data/help_en_EN/Hugin_translation_guide.html,
	src/hugin1/hugin/xrc/data/help_en_EN/Icpfind.html,
	src/hugin1/hugin/xrc/data/help_en_EN/Pano_modify.html,
	src/hugin1/hugin/xrc/data/help_en_EN/Pto2mk.html,
	src/hugin1/hugin/xrc/data/help_en_EN/Pto_merge.html,
	src/hugin1/hugin/xrc/data/help_en_EN/pages.txt:
	Updated help files

2010-11-27 15:42 +0100  jean-luc  <jean-luc.coulon@wanadoo.fr>  (a26eaba2eda3)

	* src/translations/fr.po:
	French translation update

2010-11-27 13:23 -0500  Yuval Levy  <yuv@users.sourceforge.net>  (6b339aa79654)

	* merge

2010-11-26 23:27 -0500  Yuval Levy  <yuv@users.sourceforge.net>  (d6622958b367)

	* src/hugin1/hugin/huginApp.cpp, src/hugin1/hugin/huginApp.h,
	src/hugin1/hugin/xrc/about.xrc,
	src/hugin1/hugin/xrc/data/dedication.htm:
	external links inside wxHtmlWindow open in system's web browser

2010-11-27 15:10 +0100  tmodes  <tmodes>  (51c2fba627f9)

	* src/hugin1/hugin/ImagesPanel.cpp,
	src/hugin1/hugin/PreferencesDialog.cpp,
	src/hugin1/icpfind/CPDetectorConfig.cpp,
	src/hugin1/icpfind/CPDetectorConfig.h:
	Correctly populate cp detectors with default settings if no stored
	config found Fixes issue 682099

2010-11-27 10:30 +0100  tmodes  <tmodes>  (57d5bcba4c0c)

	* src/hugin1/hugin/GLPreviewFrame.cpp,
	src/hugin1/hugin/PreviewFrame.cpp:
	Added minimize button to preview windows Fixes issue #678715

2010-11-26 14:27 -0500  Yuval Levy  <yuv@users.sourceforge.net>  (95c7c055a9d9)

	* .hgtags:
	Added tag 2009.4beta1 for changeset 924390a17a74

2010-11-26 14:26 -0500  Yuval Levy  <yuv@users.sourceforge.net>  (924390a17a74 [2010.4beta1])

	* ChangeLog:
	updated Changelog

2010-11-26 14:11 -0500  Yuval Levy  <yuv@users.sourceforge.net>  (d9733a7a703f)

	* src/hugin1/hugin/xrc/data/dedication.htm,
	src/hugin1/hugin/xrc/data/milko.png: new file.
	* src/hugin1/hugin/AboutDialog.cpp, src/hugin1/hugin/AboutDialog.h,
	src/hugin1/hugin/xrc/about.xrc,
	src/hugin1/hugin/xrc/data/dedication.htm,
	src/hugin1/hugin/xrc/data/milko.png:
	dedication of 2010.4 to Milko K. Amorth

2010-11-26 00:02 -0500  Matthew Petroff  <Matthew Petroff>  (ad61678512d3)

	* CMakeModules/Find7Zip.cmake, CMakeModules/FindNSIS.cmake: new file.
	* CMakeLists.txt, CMakeModules/Find7Zip.cmake,
	CMakeModules/FindNSIS.cmake,
	platforms/windows/huginsetup/HuginSetup.nsi,
	platforms/windows/huginsetup/HuginSetup_common.nsh:
	Integrate Windows installer build process into CMake. Turn off
	fetching of external control point generators in Windows installer.

2010-11-25 20:32 -0500  Matthew Petroff  <Matthew Petroff>  (cfcb99a9201a)

	* platforms/windows/huginsetup/Graphics/hugin-installer-icon.ico,
	platforms/windows/huginsetup/Graphics/hugin-uninstaller-icon.ico,
	platforms/windows/installer/hugin.ico,
	src/hugin1/hugin/xrc/data/hugin.ico,
	src/hugin1/hugin/xrc/data/ptbatcher.ico,
	src/hugin1/hugin/xrc/data/pto_icon.ico:
	Actually updated Windows icons.

2010-11-25 20:28 -0500  Matthew Petroff  <Matthew Petroff>  (2d375ecc4305)

	* artwork-src/windows-icons-gimp.sh: new file.
	* artwork-src/update_artwork.sh, artwork-src/windows-icons-gimp.sh:
	Updated Windows icons and icon generation for Windows.

2010-11-25 11:46 -0500  Yuval Levy  <yuv@users.sourceforge.net>  (b6c059bb2bf4)

	* authors.txt, src/hugin1/hugin/xrc/data/about.htm.in:
	fixes display of authors list

2010-11-24 19:52 -0500  Yuval Levy  <yuv@users.sourceforge.net>  (9060e1a00380)

	* mac/Version.xcconfig:
	bumping mac version number

2010-11-24 19:51 -0500  Yuval Levy  <yuv@users.sourceforge.net>  (5f0e3cc6ae88)

	* CMakeLists.txt:
	bumping version number

2010-11-24 19:38 -0500  Yuval Levy  <yuv@users.sourceforge.net>  (ca74631ae1a9)

	* src/translations/bg.po, src/translations/ca_ES.po,
	src/translations/cs_CZ.po, src/translations/de.po,
	src/translations/en_GB.po, src/translations/es.po,
	src/translations/fi.po, src/translations/fr.po,
	src/translations/hu.po, src/translations/hugin.pot,
	src/translations/it.po, src/translations/ja.po,
	src/translations/ko.po, src/translations/nl.po,
	src/translations/pl.po, src/translations/pt_BR.po,
	src/translations/ru.po, src/translations/sk.po,
	src/translations/sl.po, src/translations/sv.po,
	src/translations/uk.po, src/translations/zh_CN.po,
	src/translations/zh_TW.po:
	updated translation string

2010-11-24 17:06 -0500  Yuval Levy  <yuv@users.sourceforge.net>  (b4170210434f)

	* src/hugin1/hugin/xrc/data/tips.txt:
	updated CP Generator related tips and more tips fixes

2010-11-24 16:55 -0500  Yuval Levy  <yuv@users.sourceforge.net>  (81f9948a2c6b)

	* artwork-src/update_artwork.sh:
	adapted OSX icons generation

2010-11-24 21:05 +0100  harryvanderwolf  <hvdwolf@gmail.com>  (3aaef29389f4)

	* src/hugin1/hugin/PTBatcherGui.icns: new file.
	* mac/Hugin.icns, mac/HuginFiles.icns, mac/PTBatcher.icns,
	src/hugin1/hugin/PTBatcher.icns: deleted file.
	* mac/Hugin.icns, mac/Hugin.xcodeproj/project.pbxproj,
	mac/HuginFiles.icns, mac/PTBatcher.icns, mac/PTBatcherGUI-
	Info.plist, src/hugin1/hugin/PTBatcher.icns,
	src/hugin1/hugin/PTBatcherGui.icns:
	[OSX] rename PTBatcher.icns to PTBatcherGui.icns as that's the app;
	remove icns files from mac folder; update XCode to work with icons
	from src folder

2010-11-24 19:53 +1100  Terry Duell  <tduell@users.sourceforge.net>  (ee13737cebbb)

	* src/hugin1/hugin/xrc/data/CMakeLists.txt:
	add ptbatcher.png to DATADIR/pixmaps

2010-11-23 22:34 -0500  Yuval Levy  <yuv@users.sourceforge.net>  (df42c2f6a6e0)

	* src/hugin1/ptbatcher/PTBatcherGUI.desktop:
	fix reference to PTBatcherGUI icon (Terry Duell)

2010-11-23 15:09 -0500  Yuval Levy  <yuv@users.sourceforge.net>  (d5fc61e5907d)

	* artwork-src/2010/buttons/add_project.svg, artwork-
	src/2010/buttons/add_projects.svg, artwork-
	src/2010/buttons/autocrop_tool.svg, artwork-
	src/2010/buttons/center_pano.svg, artwork-
	src/2010/buttons/crop_tool.svg, artwork-
	src/2010/buttons/drag_tool.svg, artwork-
	src/2010/buttons/edit_add.svg, artwork-src/2010/buttons/filenew.svg,
	artwork-src/2010/buttons/fileopen.svg, artwork-
	src/2010/buttons/filesave.svg, artwork-
	src/2010/buttons/filesaveas.svg, artwork-
	src/2010/buttons/fit_pano.svg, artwork-
	src/2010/buttons/gl_preview.svg, artwork-
	src/2010/buttons/identify_tool.svg, artwork-
	src/2010/buttons/info.svg, artwork-src/2010/buttons/list.svg,
	artwork-src/2010/buttons/optimize.svg, artwork-
	src/2010/buttons/pause.svg, artwork-
	src/2010/buttons/photometric.svg, artwork-
	src/2010/buttons/preview.svg, artwork-
	src/2010/buttons/preview_auto_update.svg, artwork-
	src/2010/buttons/preview_control_point_tool.svg, artwork-
	src/2010/buttons/preview_layout.svg, artwork-
	src/2010/buttons/preview_num_transform.svg, artwork-
	src/2010/buttons/preview_show_all.svg, artwork-
	src/2010/buttons/preview_show_none.svg, artwork-
	src/2010/buttons/redo.svg, artwork-src/2010/buttons/reload.svg,
	artwork-src/2010/buttons/remove_project.svg, artwork-
	src/2010/buttons/skip.svg, artwork-src/2010/buttons/start.svg,
	artwork-src/2010/buttons/stop.svg, artwork-
	src/2010/buttons/straighten_pano.svg, artwork-
	src/2010/buttons/undo.svg, artwork-src/2010/icons/hugin-installer-
	icon.svg, artwork-src/2010/icons/hugin-uninstaller-icon.svg,
	artwork-src/2010/icons/icon_hugin.svg, artwork-
	src/2010/icons/icon_ptbatcher.svg, artwork-
	src/2010/icons/icon_pto.svg, artwork-src/2010/icons/icons2010.svg,
	artwork-src/2010/splash/splash.orig.svg, artwork-
	src/2010/splash/splash.svg, artwork-src/artwork.readme.txt, artwork-
	src/update_artwork.sh, mac/PTBatcher.icns,
	src/hugin1/hugin/PTBatcher.icns,
	src/hugin1/hugin/xrc/data/crop_tool.png,
	src/hugin1/hugin/xrc/data/drag_tool.png,
	src/hugin1/hugin/xrc/data/hugin.ico,
	src/hugin1/hugin/xrc/data/photometric.png,
	src/hugin1/hugin/xrc/data/preview_control_point_tool.png,
	src/hugin1/hugin/xrc/data/preview_layout.png,
	src/hugin1/hugin/xrc/data/ptbatcher.ico,
	src/hugin1/hugin/xrc/data/ptbatcher.png,
	src/hugin1/hugin/xrc/data/pto_icon.png: new file.
	* platforms/windows/huginsetup/Graphics/Hugin.png,
	platforms/windows/huginsetup/Graphics/hugin-installer-icon.svg,
	platforms/windows/huginsetup/Graphics/hugin-installer-icon.xcf,
	platforms/windows/huginsetup/Graphics/hugin-uninstaller-icon.svg,
	platforms/windows/huginsetup/Graphics/hugin-uninstaller-icon.xcf,
	platforms/windows/msi/big_banner.png,
	platforms/windows/msi/big_banner.psd,
	platforms/windows/msi/top_banner.psd,
	src/hugin1/hugin/xrc/data/add_project.svg,
	src/hugin1/hugin/xrc/data/add_projects.svg,
	src/hugin1/hugin/xrc/data/autocrop_tool.svg,
	src/hugin1/hugin/xrc/data/center_pano.svg,
	src/hugin1/hugin/xrc/data/crop_tool.svg,
	src/hugin1/hugin/xrc/data/drag_tool.svg,
	src/hugin1/hugin/xrc/data/edit_add.svg,
	src/hugin1/hugin/xrc/data/filenew.svg,
	src/hugin1/hugin/xrc/data/fileopen.svg,
	src/hugin1/hugin/xrc/data/filesave.svg,
	src/hugin1/hugin/xrc/data/filesaveas.svg,
	src/hugin1/hugin/xrc/data/fit_pano.svg,
	src/hugin1/hugin/xrc/data/gl_preview.svg,
	src/hugin1/hugin/xrc/data/icon.ico,
	src/hugin1/hugin/xrc/data/icon.png,
	src/hugin1/hugin/xrc/data/icon_128x128.ico,
	src/hugin1/hugin/xrc/data/icon_128x128.png,
	src/hugin1/hugin/xrc/data/icon_128x128.psd,
	src/hugin1/hugin/xrc/data/icon_16x16.ico,
	src/hugin1/hugin/xrc/data/icon_32x32.ico,
	src/hugin1/hugin/xrc/data/icon_48x48.ico,
	src/hugin1/hugin/xrc/data/icon_48x48.png,
	src/hugin1/hugin/xrc/data/icon_64x64.ico,
	src/hugin1/hugin/xrc/data/icon_72x72.ico,
	src/hugin1/hugin/xrc/data/icon_96x96.ico,
	src/hugin1/hugin/xrc/data/identify_tool.svg,
	src/hugin1/hugin/xrc/data/info.svg,
	src/hugin1/hugin/xrc/data/list.svg,
	src/hugin1/hugin/xrc/data/optimize.svg,
	src/hugin1/hugin/xrc/data/pause.svg,
	src/hugin1/hugin/xrc/data/photometric.svg,
	src/hugin1/hugin/xrc/data/preview.svg,
	src/hugin1/hugin/xrc/data/preview_auto_update.svg,
	src/hugin1/hugin/xrc/data/preview_control_point_tool.svg,
	src/hugin1/hugin/xrc/data/preview_layout.svg,
	src/hugin1/hugin/xrc/data/preview_num_transform.svg,
	src/hugin1/hugin/xrc/data/preview_show_all.svg,
	src/hugin1/hugin/xrc/data/preview_show_none.svg,
	src/hugin1/hugin/xrc/data/pto_icon.svg,
	src/hugin1/hugin/xrc/data/redo.svg,
	src/hugin1/hugin/xrc/data/reload.svg,
	src/hugin1/hugin/xrc/data/remove_project.svg,
	src/hugin1/hugin/xrc/data/skip.svg,
	src/hugin1/hugin/xrc/data/start.svg,
	src/hugin1/hugin/xrc/data/stop.svg,
	src/hugin1/hugin/xrc/data/straighten_pano.svg,
	src/hugin1/hugin/xrc/data/undo.svg: deleted file.
	* artwork-src/2010/buttons/add_project.svg, artwork-
	src/2010/buttons/add_projects.svg, artwork-
	src/2010/buttons/autocrop_tool.svg, artwork-
	src/2010/buttons/center_pano.svg, artwork-
	src/2010/buttons/crop_tool.svg, artwork-
	src/2010/buttons/drag_tool.svg, artwork-
	src/2010/buttons/edit_add.svg, artwork-src/2010/buttons/filenew.svg,
	artwork-src/2010/buttons/fileopen.svg, artwork-
	src/2010/buttons/filesave.svg, artwork-
	src/2010/buttons/filesaveas.svg, artwork-
	src/2010/buttons/fit_pano.svg, artwork-
	src/2010/buttons/gl_preview.svg, artwork-
	src/2010/buttons/identify_tool.svg, artwork-
	src/2010/buttons/info.svg, artwork-src/2010/buttons/list.svg,
	artwork-src/2010/buttons/optimize.svg, artwork-
	src/2010/buttons/pause.svg, artwork-
	src/2010/buttons/photometric.svg, artwork-
	src/2010/buttons/preview.svg, artwork-
	src/2010/buttons/preview_auto_update.svg, artwork-
	src/2010/buttons/preview_control_point_tool.svg, artwork-
	src/2010/buttons/preview_layout.svg, artwork-
	src/2010/buttons/preview_num_transform.svg, artwork-
	src/2010/buttons/preview_show_all.svg, artwork-
	src/2010/buttons/preview_show_none.svg, artwork-
	src/2010/buttons/redo.svg, artwork-src/2010/buttons/reload.svg,
	artwork-src/2010/buttons/remove_project.svg, artwork-
	src/2010/buttons/skip.svg, artwork-src/2010/buttons/start.svg,
	artwork-src/2010/buttons/stop.svg, artwork-
	src/2010/buttons/straighten_pano.svg, artwork-
	src/2010/buttons/undo.svg, artwork-src/2010/icons/hugin-installer-
	icon.svg, artwork-src/2010/icons/hugin-uninstaller-icon.svg,
	artwork-src/2010/icons/icon_hugin.svg, artwork-
	src/2010/icons/icon_ptbatcher.svg, artwork-
	src/2010/icons/icon_pto.svg, artwork-src/2010/icons/icons2010.svg,
	artwork-src/2010/splash/splash.orig.svg, artwork-
	src/2010/splash/splash.svg, artwork-src/artwork.readme.txt, artwork-
	src/update_artwork.sh, mac/Hugin.icns, mac/HuginFiles.icns,
	mac/PTBatcher.icns, platforms/windows/huginsetup/Graphics/Hugin-
	sidebar.bmp, platforms/windows/huginsetup/Graphics/Hugin.bmp,
	platforms/windows/huginsetup/Graphics/Hugin.png,
	platforms/windows/huginsetup/Graphics/hugin-installer-icon.ico,
	platforms/windows/huginsetup/Graphics/hugin-installer-icon.svg,
	platforms/windows/huginsetup/Graphics/hugin-installer-icon.xcf,
	platforms/windows/huginsetup/Graphics/hugin-uninstaller-icon.ico,
	platforms/windows/huginsetup/Graphics/hugin-uninstaller-icon.svg,
	platforms/windows/huginsetup/Graphics/hugin-uninstaller-icon.xcf,
	platforms/windows/installer/hugin.ico,
	platforms/windows/installer/smallimage.bmp,
	platforms/windows/installer/wizardimage.bmp,
	platforms/windows/msi/big_banner.bmp,
	platforms/windows/msi/big_banner.png,
	platforms/windows/msi/big_banner.psd,
	platforms/windows/msi/top_banner.bmp,
	platforms/windows/msi/top_banner.psd,
	src/hugin1/hugin/AboutDialog.cpp,
	src/hugin1/hugin/CPDetectorDialog.cpp,
	src/hugin1/hugin/CPListFrame.cpp,
	src/hugin1/hugin/GLPreviewFrame.cpp,
	src/hugin1/hugin/HDRMergeOptionDialog.cpp,
	src/hugin1/hugin/Hugin.icns, src/hugin1/hugin/HuginFiles.icns,
	src/hugin1/hugin/ImagesPanel.cpp, src/hugin1/hugin/MainFrame.cpp,
	src/hugin1/hugin/MaskLoadDialog.cpp,
	src/hugin1/hugin/NumTransDialog.cpp,
	src/hugin1/hugin/PTBatcher.icns,
	src/hugin1/hugin/PreferencesDialog.cpp,
	src/hugin1/hugin/PreviewFrame.cpp, src/hugin1/hugin/ResetDialog.cpp,
	src/hugin1/hugin/gnome-mime-application-x-ptoptimizer-script.png,
	src/hugin1/hugin/hugin.xml, src/hugin1/hugin/hugin_rc.rc,
	src/hugin1/hugin/xrc/data/about.txt,
	src/hugin1/hugin/xrc/data/add_project.svg,
	src/hugin1/hugin/xrc/data/add_projects.png,
	src/hugin1/hugin/xrc/data/add_projects.svg,
	src/hugin1/hugin/xrc/data/autocrop_tool.png,
	src/hugin1/hugin/xrc/data/autocrop_tool.svg,
	src/hugin1/hugin/xrc/data/center_pano.png,
	src/hugin1/hugin/xrc/data/center_pano.svg,
	src/hugin1/hugin/xrc/data/crop_tool.png,
	src/hugin1/hugin/xrc/data/crop_tool.svg,
	src/hugin1/hugin/xrc/data/crop_tool_small.png,
	src/hugin1/hugin/xrc/data/drag_tool.png,
	src/hugin1/hugin/xrc/data/drag_tool.svg,
	src/hugin1/hugin/xrc/data/drag_tool_small.png,
	src/hugin1/hugin/xrc/data/edit_add.png,
	src/hugin1/hugin/xrc/data/edit_add.svg,
	src/hugin1/hugin/xrc/data/filenew.png,
	src/hugin1/hugin/xrc/data/filenew.svg,
	src/hugin1/hugin/xrc/data/fileopen.png,
	src/hugin1/hugin/xrc/data/fileopen.svg,
	src/hugin1/hugin/xrc/data/filesave.png,
	src/hugin1/hugin/xrc/data/filesave.svg,
	src/hugin1/hugin/xrc/data/filesaveas.png,
	src/hugin1/hugin/xrc/data/filesaveas.svg,
	src/hugin1/hugin/xrc/data/fit_pano.png,
	src/hugin1/hugin/xrc/data/fit_pano.svg,
	src/hugin1/hugin/xrc/data/gl_preview.png,
	src/hugin1/hugin/xrc/data/gl_preview.svg,
	src/hugin1/hugin/xrc/data/gl_preview_small.png,
	src/hugin1/hugin/xrc/data/hugin.ico,
	src/hugin1/hugin/xrc/data/hugin.png,
	src/hugin1/hugin/xrc/data/icon.ico,
	src/hugin1/hugin/xrc/data/icon.png,
	src/hugin1/hugin/xrc/data/icon_128x128.ico,
	src/hugin1/hugin/xrc/data/icon_128x128.png,
	src/hugin1/hugin/xrc/data/icon_128x128.psd,
	src/hugin1/hugin/xrc/data/icon_16x16.ico,
	src/hugin1/hugin/xrc/data/icon_32x32.ico,
	src/hugin1/hugin/xrc/data/icon_48x48.ico,
	src/hugin1/hugin/xrc/data/icon_48x48.png,
	src/hugin1/hugin/xrc/data/icon_64x64.ico,
	src/hugin1/hugin/xrc/data/icon_72x72.ico,
	src/hugin1/hugin/xrc/data/icon_96x96.ico,
	src/hugin1/hugin/xrc/data/identify_tool.svg,
	src/hugin1/hugin/xrc/data/identify_tool_small.png,
	src/hugin1/hugin/xrc/data/info.png,
	src/hugin1/hugin/xrc/data/info.svg,
	src/hugin1/hugin/xrc/data/list.png,
	src/hugin1/hugin/xrc/data/list.svg,
	src/hugin1/hugin/xrc/data/logo.png,
	src/hugin1/hugin/xrc/data/optimize.svg,
	src/hugin1/hugin/xrc/data/pause.png,
	src/hugin1/hugin/xrc/data/pause.svg,
	src/hugin1/hugin/xrc/data/photometric.png,
	src/hugin1/hugin/xrc/data/photometric.svg,
	src/hugin1/hugin/xrc/data/preview.svg,
	src/hugin1/hugin/xrc/data/preview_auto_update.png,
	src/hugin1/hugin/xrc/data/preview_auto_update.svg,
	src/hugin1/hugin/xrc/data/preview_control_point_tool.png,
	src/hugin1/hugin/xrc/data/preview_control_point_tool.svg,
	src/hugin1/hugin/xrc/data/preview_layout.png,
	src/hugin1/hugin/xrc/data/preview_layout.svg,
	src/hugin1/hugin/xrc/data/preview_layout_small.png,
	src/hugin1/hugin/xrc/data/preview_num_transform.png,
	src/hugin1/hugin/xrc/data/preview_num_transform.svg,
	src/hugin1/hugin/xrc/data/preview_show_all.png,
	src/hugin1/hugin/xrc/data/preview_show_all.svg,
	src/hugin1/hugin/xrc/data/preview_show_none.png,
	src/hugin1/hugin/xrc/data/preview_show_none.svg,
	src/hugin1/hugin/xrc/data/ptbatcher.ico,
	src/hugin1/hugin/xrc/data/ptbatcher.png,
	src/hugin1/hugin/xrc/data/pto_icon.ico,
	src/hugin1/hugin/xrc/data/pto_icon.png,
	src/hugin1/hugin/xrc/data/pto_icon.svg,
	src/hugin1/hugin/xrc/data/redo.png,
	src/hugin1/hugin/xrc/data/redo.svg,
	src/hugin1/hugin/xrc/data/reload.png,
	src/hugin1/hugin/xrc/data/reload.svg,
	src/hugin1/hugin/xrc/data/remove_project.svg,
	src/hugin1/hugin/xrc/data/skip.png,
	src/hugin1/hugin/xrc/data/skip.svg,
	src/hugin1/hugin/xrc/data/splash.png,
	src/hugin1/hugin/xrc/data/start.png,
	src/hugin1/hugin/xrc/data/start.svg,
	src/hugin1/hugin/xrc/data/stop.png,
	src/hugin1/hugin/xrc/data/stop.svg,
	src/hugin1/hugin/xrc/data/straighten_pano.png,
	src/hugin1/hugin/xrc/data/straighten_pano.svg,
	src/hugin1/hugin/xrc/data/undo.png,
	src/hugin1/hugin/xrc/data/undo.svg,
	src/hugin1/hugin/xrc/images_panel.xrc,
	src/hugin1/nona_gui/nona_gui_rc.rc,
	src/hugin1/ptbatcher/BatchFrame.cpp,
	src/hugin1/ptbatcher/FailedProjectsDialog.cpp,
	src/hugin1/ptbatcher/FindPanoDialog.cpp,
	src/hugin1/ptbatcher/PTBatcherGUI.desktop,
	src/hugin1/ptbatcher/PTBatcherGUI_rc.rc,
	src/hugin1/ptbatcher/PTBatcher_rc.rc,
	src/hugin1/stitch_project/hugin_stitch_project_rc.rc:
	Complete Visual Overhaul
	* Source artwork is now in ./artwork-src/2010
	* A script generates the target artwork (limited testing done in
	Kubuntu)
	* removed legacy visuals and cleaned up other visual clutter from the
	source tree
	* added dedicated PTBatcher icon may break the visual appearance. was
	subject to very limited testing.

2010-11-22 20:02 -0500  Matthew Petroff  <Matthew Petroff>  (7f577bb5cec1)

	* platforms/windows/CMakeLists.txt,
	platforms/windows/huginsetup/CMakeLists.txt,
	platforms/windows/huginsetup/CPGenerators/CMakeLists.txt,
	platforms/windows/huginsetup/Functions/CMakeLists.txt,
	platforms/windows/huginsetup/Graphics/CMakeLists.txt,
	platforms/windows/huginsetup/Languages/CMakeLists.txt,
	platforms/windows/huginsetup/Licenses/CMakeLists.txt,
	platforms/windows/huginsetup/Plugins/CMakeLists.txt,
	platforms/windows/installer/CMakeLists.txt:
	Integrated newest Windows installer into CMake.

2010-11-22 17:48 +0100  tmodes  <tmodes>  (39509322beca)

	* src/hugin1/ptbatcher/PTBatcherGUI_rc.aps,
	src/hugin1/ptbatcher/PTBatcher_rc.aps: deleted file.
	* src/hugin1/ptbatcher/PTBatcherGUI_rc.aps,
	src/hugin1/ptbatcher/PTBatcher_rc.aps:
	Removed unused files

2010-11-22 17:46 +0100  tmodes  <tmodes>  (9e09fc354fe2)

	* src/hugin1/stitch_project/hugin_stitch_project.cpp:
	Updated link to bug tracker

2010-11-22 17:45 +0100  tmodes  <tmodes>  (59890611c704)

	* src/hugin1/stitch_project/hugin_stitch_project.cpp:
	Removed unused command line switches

2010-11-22 17:44 +0100  tmodes  <tmodes>  (8647cdf1bc8b)

	* src/hugin1/ptbatcher/FindPanoDialog.cpp:
	Removed obsolete code line

2010-11-21 19:31 +0100  tmodes  <tmodes>  (535f8958469d)

	* src/dox/introduction.dox:
	Some more documenting

2010-11-21 19:06 +0100  tmodes  <tmodes>  (f3df331c82e2)

	* src/hugin1/hugin/xrc/batch_frame.xrc,
	src/hugin1/ptbatcher/FindPanoDialog.cpp,
	src/hugin1/ptbatcher/FindPanoDialog.h:
	Use wxChoice instead of wxComboBox in find pano dialog

2010-11-21 18:30 +0100  tmodes  <tmodes>  (d6600d9bec9b)

	* src/hugin1/hugin/xrc/batch_frame.xrc,
	src/hugin1/ptbatcher/FindPanoDialog.cpp,
	src/hugin1/ptbatcher/FindPanoDialog.h:
	Added folder naming convention to heuristic pano finder

2010-11-21 17:37 +0100  tmodes  <tmodes>  (ef79f3b17bc7)

	* src/hugin_base/hugin_utils/utils.cpp:
	Fixes compilation on Windows

2010-11-20 15:02 +0100  harryvanderwolf  <hvdwolf@gmail.com>  (0c30b3184a2f)

	* mac/BuildConfig.xcconfig.orig:
	[OSX] remove local system setting

2010-11-20 14:57 +0100  harryvanderwolf  <hvdwolf@gmail.com>  (d030f2dd4336)

	* mac/BuildConfig.xcconfig.orig,
	mac/ExternalPrograms/scripts/boost.sh,
	mac/Hugin.xcodeproj/project.pbxproj, mac/complete-bundle.sh,
	src/hugin1/hugin/ChoosyRemapper.cpp,
	src/hugin1/hugin/GLPreviewFrame.cpp,
	src/hugin1/hugin/GreatCircles.cpp,
	src/hugin1/hugin/LayoutRemapper.cpp,
	src/hugin1/hugin/MeshRemapper.cpp,
	src/hugin1/hugin/TexCoordRemapper.cpp,
	src/hugin1/hugin/VertexCoordRemapper.cpp,
	src/hugin1/hugin/ViewState.cpp:
	[OSX]Expand boost script with boost_signals; Set of include patches
	for WXMAC for translation stuff

2010-11-17 15:32 -0500  Yuval Levy  <yuv@users.sourceforge.net>  (444152333fbc)

	* src/hugin1/hugin/PanoPanel.cpp:
	use project name as basis for Stitch Now file dialog (tromer
	https://sourceforge.net/users/tromer/)

2010-11-17 13:32 -0500  Yuval Levy  <yuv@users.sourceforge.net>  (9209f5db69d3)

	* src/hugin1/hugin/PreferencesDialog.cpp,
	src/hugin1/hugin/config_defaults.h, src/hugin1/hugin/huginApp.cpp,
	src/hugin1/hugin/xrc/pref_dialog.xrc,
	src/hugin_base/hugin_utils/utils.cpp,
	src/hugin_base/hugin_utils/utils.h:
	alternate naming convention for project files (based on folder)

2010-11-15 22:41 +0000  Bruno Postle  <bruno@postle.net>  (2797af362256)

	* src/hugin1/hugin/gnome-mime-application-x-ptoptimizer-script.png:
	Update .pto mime-type icon on UNIX to match Windows .ico by Matthew
	Petroff

2010-11-15 17:28 -0500  Yuval Levy  <yuv@users.sourceforge.net>  (eba5f3917973)

	* authors.txt:
	added Hajime Taira (Japanese translation) to credits

2010-11-15 21:52 +0000  Bruno Postle  <bruno@postle.net>  (b29b1253aa42)

	* src/translations/ja.po:
	Japanese update, missing strings and whitespace (Hajime Taira)

2010-11-14 16:02 -0500  Yuval Levy  <yuv@users.sourceforge.net>  (7f2691dd0328)

	* platforms/windows/huginsetup/CMakeLists.txt,
	platforms/windows/huginsetup/CPGenerators/Autopano-sift-c-lemur.nsh,
	platforms/windows/huginsetup/CPGenerators/Autopano-sift-jenny.nsh,
	platforms/windows/huginsetup/CPGenerators/Autopano-sift-nowozin.nsh,
	platforms/windows/huginsetup/CPGenerators/CMakeLists.txt,
	platforms/windows/huginsetup/Functions/CMakeLists.txt,
	platforms/windows/huginsetup/Functions/DownloadFunctions.nsh,
	platforms/windows/huginsetup/Functions/RegistryFunctions.nsh,
	platforms/windows/huginsetup/Graphics/CMakeLists.txt,
	platforms/windows/huginsetup/Graphics/hugin-uninstaller-icon.ico,
	platforms/windows/huginsetup/Graphics/hugin-uninstaller-icon.svg,
	platforms/windows/huginsetup/Graphics/hugin-uninstaller-icon.xcf,
	platforms/windows/huginsetup/Languages/CMakeLists.txt,
	platforms/windows/huginsetup/Licenses/CMakeLists.txt,
	platforms/windows/huginsetup/Plugins/CMakeLists.txt: new file.
	* platforms/windows/huginsetup/CHANGELOG.txt,
	platforms/windows/huginsetup/CMakeLists.txt,
	platforms/windows/huginsetup/CPGenerators/Autopano-sift-c-lemur.nsh,
	platforms/windows/huginsetup/CPGenerators/Autopano-sift-c.nsh,
	platforms/windows/huginsetup/CPGenerators/Autopano-sift-jenny.nsh,
	platforms/windows/huginsetup/CPGenerators/Autopano-sift-nowozin.nsh,
	platforms/windows/huginsetup/CPGenerators/CMakeLists.txt,
	platforms/windows/huginsetup/CPGenerators/Match-n-shift.nsh,
	platforms/windows/huginsetup/CPGenerators/Panomatic.nsh,
	platforms/windows/huginsetup/Functions/CMakeLists.txt,
	platforms/windows/huginsetup/Functions/DownloadFunctions.nsh,
	platforms/windows/huginsetup/Functions/RegistryFunctions.nsh,
	platforms/windows/huginsetup/Graphics/CMakeLists.txt,
	platforms/windows/huginsetup/Graphics/hugin-uninstaller-icon.ico,
	platforms/windows/huginsetup/Graphics/hugin-uninstaller-icon.svg,
	platforms/windows/huginsetup/Graphics/hugin-uninstaller-icon.xcf,
	platforms/windows/huginsetup/HuginSetup.nsi,
	platforms/windows/huginsetup/HuginSetup_common.nsh,
	platforms/windows/huginsetup/HuginSetup_x32.nsi,
	platforms/windows/huginsetup/HuginSetup_x64.nsi,
	platforms/windows/huginsetup/Languages/CMakeLists.txt,
	platforms/windows/huginsetup/Languages/DE.nsh,
	platforms/windows/huginsetup/Languages/EN.nsh,
	platforms/windows/huginsetup/Languages/IT.nsh,
	platforms/windows/huginsetup/Licenses/CMakeLists.txt,
	platforms/windows/huginsetup/Plugins/CMakeLists.txt,
	platforms/windows/huginsetup/TODO.txt:
	synced current version of Windows installer (preparation for
	release)

2010-11-13 19:00 +0100  tmodes  <tmodes>  (40e61c1f0e6d)

	* src/hugin1/hugin/CPImageCtrl.cpp:
	Check if rectangle for drawing cp number is valid This fixes the
	crash when loading a project with less and bigger images

2010-11-13 17:10 +0000  James Legg  <jlegg@users.sourceforge.net>  (1af38e95f921)

	* src/hugin1/hugin/CPImageCtrl.cpp:
	Ignore some events on CPImageCtrl when the image hasn't loaded yet.

2010-11-12 23:34 +0000  Bruno Postle  <bruno@postle.net>  (bc5a8bbab02f)

	* doc/checkpto.1, doc/checkpto.pod, doc/cpfind.1, doc/cpfind.pod,
	doc/icpfind.1, doc/icpfind.pod: new file.
	* doc/CMakeLists.txt, doc/Makefile.pod2man, doc/checkpto.1,
	doc/checkpto.pod, doc/cpfind.1, doc/cpfind.pod, doc/icpfind.1,
	doc/icpfind.pod:
	man pages for icpfind, checkpto, and cpfind

2010-11-11 17:31 +0100  tmodes  <tmodes>  (85f8c4380754)

	* src/hugin1/hugin/GLPreviewFrame.cpp:
	Fixes typo

2010-11-10 18:38 +0100  tmodes  <tmodes>  (8258a1da8874)

	* src/hugin1/hugin/GLPreviewFrame.cpp,
	src/hugin1/hugin/GLPreviewFrame.h, src/hugin1/hugin/MainFrame.cpp,
	src/hugin1/hugin/PreferencesDialog.cpp,
	src/hugin1/hugin/config_defaults.h,
	src/hugin1/hugin/xrc/pref_dialog.xrc:
	Allow switch off of the info bar on the fast preview window

2010-11-08 21:00 +0100  tmodes  <tmodes>  (bb8dd681d536)

	* src/hugin1/hugin/xrc/data/help_en_EN/help_index_en.hhk,
	src/hugin1/hugin/xrc/data/help_en_EN/help_toc_en.hhc,
	src/hugin1/hugin/xrc/data/help_en_EN/hhc.cmake,
	src/hugin1/hugin/xrc/data/help_en_EN/hugin_help_en_EN.hhp: new file.
	* CMakeLists.txt, src/hugin1/hugin/MainFrame.cpp,
	src/hugin1/hugin/MainFrame.h, src/hugin1/hugin/huginApp.cpp,
	src/hugin1/hugin/xrc/data/help_en_EN/CMakeLists.txt,
	src/hugin1/hugin/xrc/data/help_en_EN/help_index_en.hhk,
	src/hugin1/hugin/xrc/data/help_en_EN/help_toc_en.hhc,
	src/hugin1/hugin/xrc/data/help_en_EN/hhc.cmake,
	src/hugin1/hugin/xrc/data/help_en_EN/hugin_help_en_EN.hhp,
	src/hugin1/hugin/xrc/data/help_it_IT/CMakeLists.txt,
	src/hugin1/ptbatcher/BatchFrame.cpp,
	src/hugin1/ptbatcher/BatchFrame.h,
	src/hugin1/ptbatcher/PTBatcherGUI.cpp:
	[Windows] Build help as compiled help file This requires the MS HTML
	Help Workshop to create the help file

2010-11-08 15:14 +0000  James Legg  <jlegg@users.sourceforge.net>  (450e5d859969)

	* src/hugin1/hugin/MainFrame.cpp:
	Don't force the splash screen on top of other applications' windows
	on Unix. It makes multitasking OSes difficult to use.

2010-11-07 16:46 +0000  James Legg  <jlegg@users.sourceforge.net>  (5cc9a131e021)

	* src/hugin_base/huginapp/ImageCache.cpp:
	[ImageCache] Don't increment iterators after the element they refer
	to to is erased.

2010-11-07 01:13 +0000  James Legg  <jlegg@users.sourceforge.net>  (edd6a7f90145)

	* merge heads on default

2010-11-07 01:11 +0000  James Legg  <jlegg@users.sourceforge.net>  (ba629ed70270)

	* src/hugin1/hugin/CPImageCtrl.cpp:
	Fix crash when selecting a control points on non-cached images from
	the control point list.

2010-11-07 00:29 +0000  Bruno Postle  <bruno@postle.net>  (16985eebfd95)

	* utils/autopano-noop.sh:
	Change the autopano-noop message to advise resetting preferences to
	enable cpfind.

	This would be ok, except that the message is untranslatable. Maybe
	Hugin should just do a check for autopano-noop on startup and do a
	full reset of the control point detectors.

2010-11-06 14:16 -0400  Yuval Levy  <yuv@users.sourceforge.net>  (b6554a90fd55)

	* merge

2010-11-06 14:15 -0400  Yuval Levy  <yuv@users.sourceforge.net>  (c7419cbbffc8)

	* src/hugin_base/algorithms/basic/TranslatePanorama.cpp,
	src/hugin_base/algorithms/basic/TranslatePanorama.h: new file.
	* src/hugin1/PT/PanoCommand.h, src/hugin1/PT/Panorama.h,
	src/hugin1/hugin/GLPreviewFrame.cpp,
	src/hugin1/hugin/GLPreviewFrame.h,
	src/hugin1/hugin/xrc/preview_frame.xrc,
	src/hugin_base/CMakeLists.txt,
	src/hugin_base/algorithms/basic/TranslatePanorama.cpp,
	src/hugin_base/algorithms/basic/TranslatePanorama.h:
	New feature: numeric transform translation in the fast preview

2010-11-06 14:08 -0400  Matthew Petroff  <Matthew Petroff>  (553a54113767)

	* src/hugin1/icpfind/AutoCtrlPointCreator.cpp:
	fixes crash that happened when too many arguements were passed to
	align image stack

2010-11-06 11:22 +0100  tmodes  <tmodes>  (dff0ab15d7c9)

	* src/hugin1/hugin/xrc/batch_frame.xrc,
	src/hugin1/hugin/xrc/cp_list_frame.xrc,
	src/hugin1/hugin/xrc/edit_script_dialog.xrc,
	src/hugin1/hugin/xrc/pref_dialog.xrc:
	Fixes some more compatibility issues with wx 2.9

2010-11-06 11:21 +0100  tmodes  <tmodes>  (c19673990121)

	* src/hugin1/hugin/GLPreviewFrame.cpp,
	src/hugin1/hugin/GLPreviewFrame.h:
	Improved check for wxInfoBar wxInfoBar was introduced in wx 2.9.1
	according to documentation and not in 2.9.0

2010-11-06 11:20 +0100  tmodes  <tmodes>  (a0b998991029)

	* src/hugin1/hugin/CPImageCtrl.cpp, src/hugin1/hugin/CPImageCtrl.h,
	src/hugin1/hugin/CropPanel.cpp, src/hugin1/hugin/CropPanel.h,
	src/hugin_base/huginapp/ImageCache.h:
	Fixes compilation on Windows

2010-11-05 22:56 +0000  James Legg  <jlegg@users.sourceforge.net>  (a1e2e2cf29f7)

	* src/hugin1/hugin/CommandHistory.cpp,
	src/hugin1/hugin/CommandHistory.h, src/hugin1/hugin/MainFrame.cpp,
	src/hugin1/hugin/MainFrame.h:
	Disable undo and redo when they are impossible, instead of showing
	an error message when you attempt to use them.

2010-11-05 22:07 +0000  Bruno Postle  <bruno@postle.net>  (f228eeaeff3d)

	* ChangeLog:
	Update ChangeLog. hg log format is slightly different so update
	entire file.

2010-11-05 21:22 +0000  James Legg  <jlegg@users.sourceforge.net>  (f71ccb911ead)

	* src/hugin1/PT/PanoCommand.h, src/hugin1/hugin/AssistantPanel.cpp,
	src/hugin1/hugin/LensPanel.cpp:
	Combine some PannoCommands initiated from a single user action into
	one undo step. Loading a lens and reseting lens parameters can now
	be undone or redone in one step, before they made multiple undo
	steps.

2010-11-05 16:07 +0000  James Legg  <jlegg@users.sourceforge.net>  (49876d06fbca)

	* src/hugin1/hugin/CPImageCtrl.cpp, src/hugin1/hugin/CPImageCtrl.h:
	Load images for the control point editor in a background thread.
	This makes switching images with the mouse wheel more responsive
	when there are images not in the cache. Also, it speeds up loading
	projects, since the control point editor no longer requires the
	first image of the project immediately.

2010-11-05 15:09 +0000  James Legg  <jlegg@users.sourceforge.net>  (e7c2bd0c1709)

	* src/hugin1/hugin/CropPanel.cpp, src/hugin1/hugin/CropPanel.h:
	Load images on the Crop tab in a background thread. It isn't useful
	to edit an image's crop with the placeholder showing, but it makes
	flicking through the list of images more responsive if not all the
	images are cached.

2010-11-05 09:25 +0100  harryvanderwolf  <hvdwolf@gmail.com>  (153048a39887)

	* src/hugin1/hugin/PreviewToolHelper.h:
	[OSX] minor patch to James' image loading enhancement to make it
	build on OSX

2010-11-05 00:30 +0000  Bruno Postle  <bruno@postle.net>  (0c675de12f53)

	* merge

2010-11-05 00:30 +0000  Bruno Postle  <bruno@postle.net>  (3eb84e450f0a)

	* CMakeLists.txt, src/celeste/CMakeLists.txt,
	src/foreign/ANN/CMakeLists.txt,
	src/foreign/vigra/vigra_impex/CMakeLists.txt,
	src/hugin1/base_wx/CMakeLists.txt,
	src/hugin1/icpfind/CMakeLists.txt, src/hugin_base/CMakeLists.txt,
	src/hugin_base/makefilelib/CMakeLists.txt,
	src/hugin_cpfind/localfeatures/CMakeLists.txt:
	Install dynamic libraries in private location (Andreas Metzler)

2010-11-04 23:40 +0000  James Legg  <jlegg@users.sourceforge.net>  (0505669f8165)

	* src/hugin1/hugin/PreviewCropTool.cpp,
	src/hugin1/hugin/PreviewCropTool.h:
	Fix display bug in fast preview: while dragging the crop, the old
	crop would be drawn instead, if something else caused the preview to
	redraw (such as an image loading).

2010-11-04 22:31 +0000  James Legg  <jlegg@users.sourceforge.net>  (8c2f97aa92eb)

	* CMakeLists.txt, src/hugin1/hugin/GLPreviewFrame.cpp,
	src/hugin1/hugin/GLPreviewFrame.h, src/hugin1/hugin/ImagesPanel.cpp,
	src/hugin1/hugin/ImagesPanel.h, src/hugin1/hugin/MainFrame.cpp,
	src/hugin1/hugin/MainFrame.h, src/hugin1/hugin/TextureManager.cpp,
	src/hugin1/hugin/TextureManager.h, src/hugin1/hugin/huginApp.cpp,
	src/hugin1/hugin/huginApp.h, src/hugin_base/huginapp/ImageCache.cpp,
	src/hugin_base/huginapp/ImageCache.h:
	Add asynchronous functions to the HuginBase::ImageCache class.

	Use requestAsync(Small)Image to request an image later, using a
	background thread to load it. Use get(Small)ImageIfAvailable to get
	an EntryPtr to the image entry if it is in the cache, or 0 if not.
	This way the GUI doesn't need to flash place holders up if the image
	can be displayed quickly.

	In Hugin, the ImageCache will wait for the background thread to load
	an image, then a wxEvent derivative delays signal handling until it
	is safe. This way the GUI can remain responsive while images are
	loaded without too much work. Delay drawing of image thumbnails in
	the Images tab while the image loads. Use placeholder textures in
	the Fast preview while the images load.

2010-10-31 12:49 -0400  Yuval Levy  <yuv@users.sourceforge.net>  (a195d763c5d0)

	* src/hugin_base/algorithms/panorama_makefile/PanoramaMakefilelibExpor
	t.cpp, src/hugin_base/panodata/PanoramaOptions.h:
	* makefilelib: pass compression parameter to enblend/enfuse
	properly
	* Hugin: default to LZW compression instead of PACKBITS

2010-10-26 20:39 +0200  tmodes  <tmodes>  (3e7dae57442a)

	* src/hugin1/hugin/CPEditorPanel.cpp:
	Fixes crash when pressing 0 in cp tab [3094923]

2010-10-24 11:02 +0200  tmodes  <tmodes>  (17d7a29f6f95)

	* src/hugin_cpfind/cpfind/PanoDetectorLogic.cpp:
	Improved loading of images in cpfind This should fix loading of 16
	bit images [3089090]

2010-10-24 10:56 +0200  tmodes  <tmodes>  (54d7e6b5d3ac)

	* src/hugin_cpfind/cpfind/PanoDetector.cpp:
	Fixes typo

2010-10-24 10:56 +0200  tmodes  <tmodes>  (d887c2ac4c0a)

	* src/celeste/Celeste.h:
	Fixes wrong import/export declaration in celeste

2010-10-23 19:39 +0100  James Legg  <jlegg@users.sourceforge.net>  (4e81ef10194b)

	* src/hugin_base/panodata/SrcPanoImage.cpp,
	src/lens_calibrate/ProcessImage.cpp:
	Safer loading of EXIF metadata (thanks to Andreas Metzler).

2010-10-23 11:48 +0200  tmodes  <tmodes>  (1252d698dcc3)

	* src/hugin_cpfind/cpfind/PanoDetector.cpp:
	Better remapping for portrait images in cpfind

2010-10-23 11:19 +0200  tmodes  <tmodes>  (e185a4f4a58e)

	* src/hugin_base/algorithms/assistant_makefile/AssistantMakefilelibExp
	ort.cpp:
	Fixes wrong option for celeste_standalone in makefile [3092893]

2010-10-23 11:18 +0200  tmodes  <tmodes>  (a40372434d03)

	* src/hugin1/hugin/AssistantPanel.cpp,
	src/hugin1/hugin/CPEditorPanel.cpp,
	src/hugin1/hugin/ImagesPanel.cpp:
	Fixes inverted mask size for celeste [3092899] Hugin is interpreting
	Celeste/Filter=1 as large, but in celeste_standalone the parameter
	-r 1 is small filter size. This behaviour is inconsistant, but
	changing it would break mix existing configuration or would be a
	major change to commandline parameters of celeste_standalone.

2010-10-22 21:10 +0200  harryvanderwolf  <hvdwolf@gmail.com>  (71ff850ca4cc)

	* src/hugin1/icpfind/default.mac:
	[OSX] minor changes to default.mac file itself

2010-10-21 22:53 +0200  harryvanderwolf  <hvdwolf@gmail.com>  (167209ece4a2)

	* mac/Hugin.xcodeproj/project.pbxproj, mac/patch-xrc.sh:
	[OSX] Embed new CPDetector default.setting file in bundle

2010-10-21 17:46 +0200  tmodes  <tmodes>  (5de70e1602a1)

	* src/hugin1/hugin/xrc/pano_panel.xrc:
	Align some text right for better structuring

2010-10-21 01:00 +0100  James Legg  <jlegg@users.sourceforge.net>  (3afe982162b5)

	* src/hugin1/hugin/CPEditorPanel.cpp,
	src/hugin1/hugin/MaskEditorPanel.cpp,
	src/hugin1/hugin/xrc/cp_editor_panel.xrc,
	src/hugin1/hugin/xrc/mask_editor_panel.xrc:
	Convert zoom combo boxes into choice boxes.
	* The text box looks like you can type your own zoom ratio, but it is
	read only.
	* There is no point in being able to select the text.

2010-10-20 20:58 +0200  tmodes  <tmodes>  (cf493904f8aa)

	* src/hugin1/hugin/CPEditorPanel.cpp, src/hugin1/hugin/MainFrame.cpp,
	src/hugin1/hugin/PanoPanel.cpp, src/hugin1/ptbatcher/Batch.cpp,
	src/hugin1/ptbatcher/BatchFrame.cpp:
	Remove caption from wxMessageDialog for Unix and Apple It is
	required by Windows User Experience Interaction Guidelines, but
	Gnome Human Interface Guidelines and Apple Human Interface
	Guidelines does not want titles.

2010-10-20 19:30 +0200  tmodes  <tmodes>  (3edfcd782b6a)

	* src/hugin1/hugin/CPEditorPanel.cpp, src/hugin1/hugin/MainFrame.cpp,
	src/hugin1/hugin/PanoPanel.cpp, src/hugin1/hugin/xrc/pano_panel.xrc:
	Some more GUI formatting to better fit to GUI guidelines
	* Don't expand buttons vertical
	* Add caption to some message boxes

2010-10-20 18:39 +0200  tmodes  <tmodes>  (69cd40772b12)

	* src/hugin_base/makefilelib/test_util_win32.cpp:
	Added preprocessor makefilelib test to compile with Boost 1.44

2010-10-19 18:43 +0200  harryvanderwolf  <hvdwolf@gmail.com>  (db393a84602f)

	* mac/Hugin.xcodeproj/project.pbxproj:
	[OSX] Minor changes to XCode project

2010-10-19 13:44 +0200  harryvanderwolf  <hvdwolf@gmail.com>  (bc9a38b15b66)

	* mac/Hugin.xcodeproj/project.pbxproj, mac/PTBatcherGUI-Info.plist,
	src/hugin1/icpfind/AutoCtrlPointCreator.cpp:
	[OSX] move hugins patent free cpdetectors from Resources to MacOS;
	Abandon old strategy (even before plugins) where (license bound)
	CPdetectors were installed in Resources

2010-10-18 21:14 +0200  harryvanderwolf  <hvdwolf@gmail.com>  (6f814fb82c21)

	* mac/Hugin.xcodeproj/project.pbxproj, src/celeste/Main.cpp:
	[OSX] more fixes to XCode for celeste_standalone

2010-10-18 18:59 +0200  tmodes  <tmodes>  (c0e0bce81eee)

	* src/celeste/Main.cpp:
	Correct finding of celeste model file for MacOS in
	celeste_standalone

2010-10-18 18:49 +0200  tmodes  <tmodes>  (fd06e19e63a7)

	* src/celeste/CMakeLists.txt, src/celeste/Main.cpp:
	Celeste_standalone is now using getopt for command line parsing Old
	implementation could result in crashs if given invalid parameters

2010-10-18 18:36 +0200  tmodes  <tmodes>  (0c2084090adb)

	* src/hugin_base/algorithms/assistant_makefile/AssistantMakefilelibExp
	ort.cpp:
	Added missing whitespace to makefile

2010-10-18 08:53 +0100  James Legg  <jlegg@users.sourceforge.net>  (2e98140199f0)

	* src/hugin1/hugin/xrc/data/pto_icon.ico,
	src/hugin1/hugin/xrc/data/pto_icon.svg: new file.
	* Merge

2010-10-18 08:52 +0100  James Legg  <jlegg@users.sourceforge.net>  (dda49e5b558f)

	* src/hugin1/hugin/PanoPanel.cpp, src/hugin1/hugin/PanoPanel.h,
	src/hugin1/hugin/xrc/pano_panel.xrc:
	Stitcher tab: remove wxCollapsiblePanes because they didn't behave
	on Windows or OSX. Move file format selection to the related
	sections, and disable them when they can't affect the output. Split
	intermediate targets into related groups. Sit the stitch buttons in
	the lower right of the window. Use less jargon. Align the controls
	neatly.

2010-10-17 17:32 +0200  harryvanderwolf  <hvdwolf@gmail.com>  (2645522f598e)

	* src/hugin_base/algorithms/panorama_makefile/PanoramaMakefilelibExpor
	t.cpp:
	remove "perl -w" check for exiftool for OSX. Not necessary and even
	ends in error

2010-10-17 14:16 +0200  harryvanderwolf  <hvdwolf@gmail.com>  (d52328dc34c0)

	* mac/Hugin.xcodeproj/project.pbxproj, mac/complete-embed.sh, mac
	/complete-tools-package.sh, mac/copyExtraTools.sh,
	mac/copyPTBatcherGuiBins.sh:
	[OSX] fixes, optimizations, additions to XCode for PTBatcherGui,
	Hugin, nona and some more

2010-10-16 19:32 -0400  Matthew Petroff  <Matthew Petroff>  (50eed0dbd416)

	* Merge

2010-10-16 19:27 -0400  Matthew Petroff  <Matthew Petroff>  (0b1af91641e4)

	* src/hugin1/hugin/xrc/data/pto_icon.ico,
	src/hugin1/hugin/xrc/data/pto_icon.svg: new file.
	* src/hugin1/hugin/xrc/data/pto_icon.ico,
	src/hugin1/hugin/xrc/data/pto_icon.svg:
	[Windows] .pto icon

2010-10-16 22:34 +0100  James Legg  <jlegg@users.sourceforge.net>  (0b8ff9a9fd49)

	* src/hugin1/hugin/CPEditorPanel.cpp,
	src/hugin1/hugin/MaskEditorPanel.cpp:
	Revert part of changeset 4466 bc582bbb0722, because it caused a
	regression (default zoom of Mask and Control point editor tabs is
	'Fit to window', but images would appear at 100% zoom), and because
	bug 12568 in wxWidgets that required it has been fixed in their SVN
	revision 65818. Breaks compatibility with the wxWidgets 2.9.1
	release, but that was a development release anyway.

2010-10-16 21:38 +0100  James Legg  <jlegg@users.sourceforge.net>  (6b170d5f198e)

	* Merge

2010-10-16 21:37 +0100  James Legg  <jlegg@users.sourceforge.net>  (16754bf006b1)

	* src/hugin1/hugin/PanoPanel.cpp:
	Stitcher tab: Make the processing controls insensitive rather than
	hidden so the size the processing pane needs does not change. Also,
	attempt to fix layout not being updated on Windows when
	wxCollapsiblePanes are collapsed or expanded: I don't have a windows
	box to hand, so this might not work.

2010-10-16 18:30 +0200  tmodes  <tmodes>  (6991298d6fda)

	* src/hugin_base/algorithms/panorama_makefile/PanoramaMakefilelibExpor
	t.cpp:
	[MacOS] Removed "free -m" from info target because it is not a
	utility of MacOS

2010-10-16 16:18 +0200  tmodes  <tmodes>  (a0690c25e27a)

	* src/hugin1/hugin/xrc/pano_panel.xrc:
	Don't use wxExpand on wxCheckbox on Windows This results in ugly
	behaviour, because clicking on the big empty space right of the
	checkbox also toggles the state of the checkbox.

2010-10-16 12:02 +0100  James Legg  <jlegg@users.sourceforge.net>  (85f2fa5dfc67)

	* src/hugin1/hugin/xrc/pano_panel.xrc:
	Merge, though I'm restricting the border on the check boxes to the
	top and bottom so they line up better with the controls underneath,
	and leaving them expanding horizontally, as it works better on GTK.

2010-10-16 11:49 +0100  James Legg  <jlegg@users.sourceforge.net>  (85caac2a15d2)

	* src/hugin1/hugin/PanoPanel.cpp, src/hugin1/hugin/PanoPanel.h,
	src/hugin1/hugin/xrc/pano_panel.xrc:
	More stitcher tab changes: Stitch buttons go at the bottom and are
	larger. The processing section is also hidden by default. I've made
	the other widgets line up more, which should be slightly easier to
	read.

2010-10-16 12:42 +0200  tmodes  <tmodes>  (931cb061cadb)

	* src/hugin1/hugin/xrc/about.xrc, src/hugin1/hugin/xrc/pano_panel.xrc:
	wx2.9: Some formatting

2010-10-16 12:27 +0200  tmodes  <tmodes>  (44aee6780330)

	* src/hugin1/hugin/AboutDialog.cpp, src/hugin1/hugin/xrc/about.xrc:
	wx2.9: More fixes for about dialog

2010-10-16 12:24 +0200  tmodes  <tmodes>  (bfffe6036b0a)

	* src/hugin1/hugin/GLPreviewFrame.cpp:
	Added whitespace for better button labels with wx 2.9

2010-10-16 11:43 +0200  tmodes  <tmodes>  (51cd7e935ea2)

	* Merged

2010-10-16 11:41 +0200  tmodes  <tmodes>  (2a5b93ce7fb1)

	* src/hugin1/hugin/GLPreviewFrame.h:
	Fixes wxInfoBar for systems other than wxGTK

2010-10-16 11:40 +0200  tmodes  <tmodes>  (b313f11dddf8)

	* src/hugin1/hugin/CPListFrame.cpp:
	wxWidgets 2.9 is using slightly modified callback function for
	wxListCtrl::SortItem

2010-10-16 11:31 +0200  harryvanderwolf  <hvdwolf@gmail.com>  (b61307144754)

	* mac/Hugin.xcodeproj/project.pbxproj:
	[OSX] Add checkpto to bundle

2010-10-16 05:04 +0100  James Legg  <jlegg@users.sourceforge.net>  (794cf2e1705c)

	* src/hugin1/hugin/PanoPanel.cpp, src/hugin1/hugin/PanoPanel.h,
	src/hugin1/hugin/xrc/pano_panel.xrc:
	Change the stitcher tab layout: Move panorama targets to one list,
	move partial result targets inside a wxCollapsiblePane (similar to
	GTK's expander), hidden by default. Give targets more discriptive
	and goal oriented labels. There were discussion about this on
	Hugin-ptx ages ago, but nothing was implemented.

2010-10-15 18:34 +0200  tmodes  <tmodes>  (d72561a9f20e)

	* src/hugin_base/test/CMakeLists.txt,
	src/hugin_base/test/open_file.cpp: deleted file.
	* src/hugin_base/CMakeLists.txt, src/hugin_base/test/CMakeLists.txt,
	src/hugin_base/test/open_file.cpp:
	Removed obsolete files

2010-10-15 02:21 +0100  James Legg  <jlegg@users.sourceforge.net>  (2aacfea4ace1)

	* src/hugin1/hugin/ImagesList.cpp:
	Fix assertion when using masks (another wrong format string).

2010-10-15 02:13 +0100  James Legg  <jlegg@users.sourceforge.net>  (3d250e30b550)

	* src/hugin1/hugin/GLPreviewFrame.cpp,
	src/hugin1/hugin/GLPreviewFrame.h:
	On the fast preview, show some context sensitive projection
	information when the selected field of view and projection is
	dubious (e.g. >120 degree field of view and rectilinear projection).
	With wxWidgets 2.9, the message appears between the image buttons
	and the preview, with earlier versions (which don't support
	wxInfoBar) the message appears in the status bar.

2010-10-14 07:01 +0100  James Legg  <jlegg@users.sourceforge.net>  (b9b23e94f4df)

	* src/hugin1/hugin/PanoPanel.cpp:
	Remove untested comment for working wxWidgets 2.9 code.

2010-10-14 06:42 +0100  James Legg  <jlegg@users.sourceforge.net>  (9c9ff2a90c8d)

	* src/hugin1/hugin/MainFrame.cpp:
	More native looking save changes confirmation, especially on
	wxWidgets 2.9.

2010-10-14 03:14 +0100  James Legg  <jlegg@users.sourceforge.net>  (f1e8e9fbcfba)

	* src/hugin1/hugin/CPEditorPanel.cpp:
	Specify that we want an OK button on the 'no similar point' new
	control point warning. Also, on wxWidgets 2.9, split the message up
	like a native message.

2010-10-14 02:46 +0100  James Legg  <jlegg@users.sourceforge.net>  (381bdb0947a2)

	* src/hugin1/hugin/ImagesPanel.cpp:
	More format string fixes.

2010-10-14 02:20 +0100  James Legg  <jlegg@users.sourceforge.net>  (2e288bea6dd9)

	* src/hugin1/hugin/ImagesPanel.cpp:
	Fix issue where the image preview would have an invalid size on a
	small window.

2010-10-13 23:27 +0100  James Legg  <jlegg@users.sourceforge.net>  (a71b27fd1e51)

	* src/hugin1/hugin/AboutDialog.cpp:
	Fix assertion failure when starting the About box (format string has
	wrong type).

2010-10-13 23:03 +0100  James Legg  <jlegg@users.sourceforge.net>  (80bb2a1402da)

	* src/hugin1/icpfind/AutoCtrlPointCreator.cpp:
	merge

2010-10-13 20:55 +0100  James Legg  <jlegg@users.sourceforge.net>  (d178a3846234)

	* src/hugin1/hugin/GLPreviewFrame.cpp:
	Fix assertion failure on wxGTK 2.9 when closing Hugin after using
	the fast preview.

2010-10-13 19:14 +0100  James Legg  <jlegg@users.sourceforge.net>  (c28579a016b0)

	* src/hugin1/hugin/xrc/main_tool.xrc:
	Don't scale the main tool bar icons (it looks ugly).

2010-10-13 18:54 +0100  James Legg  <jlegg@users.sourceforge.net>  (0035e38d8302)

	* src/hugin1/hugin/PanoPanel.cpp:
	Fix crash when quitting on wxGTK 2.9.

2010-10-13 18:26 +0100  James Legg  <jlegg@users.sourceforge.net>  (1f1b346ff6fe)

	* src/hugin1/hugin/AssistantPanel.cpp:
	Fix crash when loading a project with wxGTK 2.9

2010-10-13 17:55 +0100  James Legg  <jlegg@users.sourceforge.net>  (bc582bbb0722)

	* src/hugin1/hugin/CPEditorPanel.cpp,
	src/hugin1/hugin/MaskEditorPanel.cpp,
	src/hugin1/hugin/xrc/pano_panel.xrc:
	Fix crashes on statup when built against wxGTK 2.9

2010-10-12 22:51 +0100  James Legg  <jlegg@users.sourceforge.net>  (01ceba5b8534)

	* src/hugin1/base_wx/MyExternalCmdExecDialog.cpp,
	src/hugin1/base_wx/RunStitchPanel.cpp,
	src/hugin1/hugin/CPDetectorDialog.cpp,
	src/hugin1/hugin/GLPreviewFrame.cpp,
	src/hugin1/hugin/HDRMergeOptionDialog.cpp,
	src/hugin1/hugin/LensPanel.cpp, src/hugin1/hugin/MainFrame.cpp,
	src/hugin1/hugin/MaskEditorPanel.cpp,
	src/hugin1/hugin/PreferencesDialog.cpp,
	src/hugin1/hugin/PreviewFrame.cpp,
	src/hugin1/hugin/TextKillFocusHandler.cpp,
	src/hugin1/hugin/wxPanoCommand.cpp,
	src/hugin1/icpfind/AutoCtrlPointCreator.cpp,
	src/hugin1/icpfind/CPDetectorConfig.cpp,
	src/hugin1/nona_gui/nona_gui.cpp, src/hugin1/ptbatcher/Batch.cpp,
	src/hugin1/ptbatcher/BatchFrame.cpp,
	src/hugin1/ptbatcher/PTBatcherGUI.cpp,
	src/hugin1/ptbatcher/RunStitchFrame.cpp,
	src/hugin1/stitch_project/hugin_stitch_project.cpp:
	Fix compilation on wxWidgets 2.9. Flags for wxFileDialog from 2.6
	were still used, even though they changed in 2.8 and Hugin isn't 2.6
	compatible. Some wxEventHandler functions were overridden as
	protected in wxWindow in wxWidgets 2.9, but they should have been
	accessed through GetEventHandler() anyway, since a wxWindow's event
	handler is not necessarily itself. There was some string conversion
	issues. Finally, wxThreadHelper::Create has been depreciated.

2010-10-13 21:57 +0200  tmodes  <tmodes>  (847139136070)

	* Merged

2010-10-13 21:56 +0200  tmodes  <tmodes>  (61d3ec192625)

	* src/hugin1/icpfind/AutoCtrlPointCreator.cpp:
	Correct misplace #endif Could be fix issue [3085605]

2010-10-11 23:12 +0100  James Legg  <jlegg@users.sourceforge.net>  (294c413a5883)

	* src/hugin1/hugin/MainFrame.cpp, src/hugin1/hugin/MainFrame.h,
	src/hugin1/hugin/PanoPanel.cpp, src/hugin1/hugin/PanoPanel.h:
	Warn when trying to stitch panoramas over half a gigapixel.

2010-10-11 21:05 +0200  tmodes  <tmodes>  (cbb3f28763d3)

	* src/tools/pano_modify.cpp:
	Fixes typo

2010-10-11 20:51 +0200  tmodes  <tmodes>  (aa69c4b5bed5)

	* .hgtags:
	Added tag hugin-2010.2.0 for changeset d8ce0ba947cc

2010-10-11 20:51 +0200  tmodes  <tmodes>  (be8946ccb91c)

	* .hgtags:
	Added tag hugin-2010.2.0_rc2 for changeset d8ce0ba947cc

2010-10-11 20:11 +0200  tmodes  <tmodes>  (edb56af6bd6a)

	* src/hugin1/icpfind/default.mac, src/hugin1/icpfind/default.unix,
	src/hugin1/icpfind/default.win: new file.
	* src/hugin1/icpfind/CPDetectorConfig_default.h: deleted file.
	* src/hugin1/hugin/CPDetectorDialog.cpp, src/hugin1/hugin/MainFrame.h,
	src/hugin1/hugin/PreferencesDialog.cpp,
	src/hugin1/hugin/PreferencesDialog.h,
	src/hugin1/hugin/xrc/pref_dialog.xrc,
	src/hugin1/icpfind/CMakeLists.txt,
	src/hugin1/icpfind/CPDetectorConfig.cpp,
	src/hugin1/icpfind/CPDetectorConfig.h,
	src/hugin1/icpfind/CPDetectorConfig_default.h,
	src/hugin1/icpfind/default.mac, src/hugin1/icpfind/default.unix,
	src/hugin1/icpfind/default.win:
	Load default cp detector settings from external file
	* Allows also importing/exporting of cp detector settings to file

2010-10-11 19:39 +0200  tmodes  <tmodes>  (7ef4c5b742a7)

	* src/hugin1/hugin/xrc/data/help_en_EN/Control_Point_Detector_Paramete
	rs.html, src/hugin1/hugin/xrc/data/help_en_EN/Cpfind.html,
	src/hugin1/hugin/xrc/data/help_en_EN/Icpfind.html,
	src/hugin1/hugin/xrc/data/help_en_EN/panotoolsng.png: new file.
	* src/hugin1/hugin/xrc/data/help_en_EN/Autooptimiser.html, src/hugin1/
	hugin/xrc/data/help_en_EN/Control_Point_Detector_Parameters.html,
	src/hugin1/hugin/xrc/data/help_en_EN/Cpfind.html,
	src/hugin1/hugin/xrc/data/help_en_EN/DSLR_spherical_resolution.html,
	src/hugin1/hugin/xrc/data/help_en_EN/Depth_of_Field.html,
	src/hugin1/hugin/xrc/data/help_en_EN/Fulla.html,
	src/hugin1/hugin/xrc/data/help_en_EN/Hugin.html,
	src/hugin1/hugin/xrc/data/help_en_EN/Hugin_FAQ.html,
	src/hugin1/hugin/xrc/data/help_en_EN/Hugin_Mask_tab.html, src/hugin1
	/hugin/xrc/data/help_en_EN/Hugin_Parameters_for_Control_Point_Detect
	ors_dialog.html,
	src/hugin1/hugin/xrc/data/help_en_EN/Hugin_Preferences.html,
	src/hugin1/hugin/xrc/data/help_en_EN/Hugin_translation_guide.html,
	src/hugin1/hugin/xrc/data/help_en_EN/Icpfind.html,
	src/hugin1/hugin/xrc/data/help_en_EN/Nona.html,
	src/hugin1/hugin/xrc/data/help_en_EN/Pano_modify.html,
	src/hugin1/hugin/xrc/data/help_en_EN/Vig_optimize.html,
	src/hugin1/hugin/xrc/data/help_en_EN/pages.txt,
	src/hugin1/hugin/xrc/data/help_en_EN/panotoolsng.png:
	Update manual from wiki

2010-10-11 13:48 +0200  harryvanderwolf  <hvdwolf@gmail.com>  (13409705771c)

	* mac/complete-bundle.sh:
	[OSX] Add localfeatures and icpfind framework to complete-bundle.sh

2010-10-10 23:05 +0100  Bruno Postle  <bruno@postle.net>  (0b1e1394d275)

	* doc/releases/hugin-2010.2.0.txt: new file.
	* doc/releases/hugin-2010.2.0.txt:
	Release notes for 2010.2.0

2010-10-10 13:20 +0200  harryvanderwolf  <hvdwolf@gmail.com>  (7c6ed36a9447)

	* src/hugin1/icpfind/CPDetectorConfig_default.h:
	[OSX] set new CPdetector default settings

2010-10-10 09:14 +0200  harryvanderwolf  <hvdwolf@gmail.com>  (cb9de40cdeb4)

	* src/hugin_cpfind/cpfind/PanoDetector.cpp:
	[OSX] improved path detection in cpfind for celeste.model in bundle

2010-10-10 08:47 +0200  harryvanderwolf  <hvdwolf@gmail.com>  (d306de739bf4)

	* mac/ExternalPrograms/scripts/boost.sh,
	mac/Hugin.xcodeproj/project.pbxproj, mac/complete-bundle.sh, mac
	/complete-tools-package.sh, mac/copyExtraTools.sh:
	[OSX] further boost related changes to XCode and scripts

2010-10-09 16:10 +0200  tmodes  <tmodes>  (bd83048fea44)

	* src/hugin_cpfind/cpfind/PanoDetector.cpp:
	Correct finding of celeste.model in cpfind for MacOS (Harry van der
	Wolf)

2010-10-08 14:44 +0200  Kornel Benko  <Kornel.Benko@berlin.de>  (3fade0ae2060)

	* Debian/postinst: new file.
	* CMakeLists.txt, Debian/postinst:
	Use postinst to call ldconfig after the installation on debian

2010-10-07 19:59 +0200  tmodes  <tmodes>  (847bac136bf6)

	* src/hugin_base/panodata/Panorama.cpp:
	Correctly update optimizeReferenceImage and colorReferenceImage if
	generating Panorama subset This should fix 3082629

2010-10-07 17:19 +0200  jean-luc  <jean-luc.coulon@wanadoo.fr>  (90d1b70a874a)

	* src/translations/fr.po:
	Franch translation update

2010-10-06 23:21 +0200  tmodes  <tmodes>  (badcbe1f045d)

	* src/hugin_cpfind/cpfind/PanoDetector.cpp:
	Some cleanup of code

2010-10-06 22:20 +0200  tmodes  <tmodes>  (e432bab64741)

	* Merged

2010-10-06 22:17 +0200  tmodes  <tmodes>  (c26103d5c809)

	* src/hugin_cpfind/cpfind/PanoDetector.cpp,
	src/hugin_cpfind/cpfind/PanoDetector.h,
	src/hugin_cpfind/cpfind/main.cpp:
	Added multi-row option to cpfind. This speeds up the multi-row
	strategy significant, because
	* it does not need to cache the keyfile to disc and reload it and
	build kd-tree again
	* makes uses of multi-threading for matching

2010-10-06 22:06 +0200  tmodes  <tmodes>  (ec089f8e9032)

	* src/hugin_cpfind/cpfind/PanoDetectorLogic.cpp:
	Remove duplicate cp at end of cpfind

2010-10-06 20:36 +0200  tmodes  <tmodes>  (c0b51fd0af02)

	* src/hugin1/icpfind/AutoCtrlPointCreator.cpp:
	Litte improvement for cpg with stack: If no exposure data found in
	stack use first image instead of image with median index

2010-10-06 22:14 +0200  harryvanderwolf  <hvdwolf@gmail.com>  (2c6640d3923e)

	* mac/ExternalPrograms/scripts/boost.sh,
	mac/Hugin.xcodeproj/project.pbxproj, mac/complete-bundle.sh, mac
	/complete-tools-package.sh:
	[OSX]expand build with new boost libraries, integrate libmakefile,
	icpfind and cpfind into XCode

2010-10-06 17:11 +0200  tmodes  <tmodes>  (4e9304ed1492)

	* src/hugin_base/algorithms/assistant_makefile/AssistantMakefilelibExp
	ort.cpp:
	Fixes typo

2010-10-05 19:42 +0200  tmodes  <tmodes>  (0663128c44a7)

	* src/hugin1/hugin/xrc/assistant_panel.xrc:
	Better label for send to assistant queue

2010-10-05 19:40 +0200  tmodes  <tmodes>  (ba25f2f41674)

	* src/hugin_base/algorithms/assistant_makefile/AssistantMakefilelibExp
	ort.cpp:
	Fixes bug in calling celeste from Assistant makefile

2010-10-04 21:54 +0200  tmodes  <tmodes>  (4fd1620e445a)

	* src/celeste/CMakeLists.txt, src/celeste/Celeste.cpp,
	src/celeste/Celeste.h, src/celeste/CelesteGlobals.cpp,
	src/celeste/CelesteGlobals.h, src/celeste/ContrastFilter.cpp,
	src/celeste/ContrastFilter.h, src/celeste/Gabor.cpp,
	src/celeste/Gabor.h, src/celeste/GaborFilter.cpp,
	src/celeste/GaborFilter.h, src/celeste/GaborGlobal.h,
	src/celeste/GaborJet.cpp, src/celeste/GaborJet.h,
	src/celeste/ImageFile.cpp, src/celeste/ImageFile.h,
	src/celeste/LogPolar.cpp, src/celeste/LogPolar.h,
	src/celeste/Main.cpp, src/celeste/PGMImage.cpp,
	src/celeste/PGMImage.h, src/celeste/Utilities.cpp,
	src/celeste/Utilities.h, src/celeste/svm.cpp, src/celeste/svm.h,
	src/foreign/vigra/vigra/inspectimage.hxx,
	src/hugin1/hugin/CPEditorPanel.cpp,
	src/hugin1/hugin/CPEditorPanel.h, src/hugin1/hugin/ImagesPanel.cpp,
	src/hugin1/hugin/MainFrame.cpp, src/hugin1/hugin/MainFrame.h,
	src/hugin_base/panodata/ControlPoint.h,
	src/hugin_base/panodata/Panorama.cpp,
	src/hugin_base/panodata/Panorama.h,
	src/hugin_cpfind/cpfind/CMakeLists.txt,
	src/hugin_cpfind/cpfind/PanoDetector.cpp,
	src/hugin_cpfind/cpfind/PanoDetector.h,
	src/hugin_cpfind/cpfind/PanoDetectorLogic.cpp,
	src/hugin_cpfind/cpfind/main.cpp, src/hugin_shared.h:
	Refactoring celeste code for integration into cpfind
	* Some speed improvements, smaller memory footprint
	* Integrated into cpfind
	* Speed improvements for using celeste from inside Hugin GUI

2010-10-04 17:58 +0200  tmodes  <tmodes>  (77ed3451d5f2)

	* CMakeModules/win_bundle.cmake:
	Don't install non-existing file

2010-10-04 17:54 +0200  tmodes  <tmodes>  (b2699deb4e5c)

	* src/hugin_base/panodata/PanoramaOptions.h:
	Fixes crash with new project [3080559]

2010-10-03 09:59 +0200  Florian Achleitner  <florian.achleitner.2.6.31@gmail.com>  (aeeb62cff020)

	* src/hugin_base/algorithms/panorama_makefile/PanoramaMakefilelibExpor
	t.cpp, src/hugin_base/makefilelib/Variable.cpp,
	src/hugin_base/makefilelib/test_simple.cpp:
	Fixes Issue 3072069
	- Change a regex in Variable::checkValue to be more compatible with
	older boost versions
	- Reorder rules so that "all" is the default rule again (the first
	that appears)

2010-09-30 14:34 +0200  Florian Achleitner  <florian.achleitner.2.6.31@gmail.com>  (b661b56a1bd9)

	* src/hugin_base/makefilelib/Makefile.cpp,
	src/hugin_base/makefilelib/MakefileItem.h:
	Correct unclean exception usage. Might fix Issue 3072069
	- remove exception from Makefile::remove. It could be triggered when
	destructing a MakefileItem --> bad thing. Replace it by a warning on
	std::cerr
	- only remove items that have been added. Gives the above message a
	higher "truth content"

2010-09-28 23:45 +0100  Bruno Postle  <bruno@postle.net>  (cae898bcf89e)

	* src/dox/introduction.dox: new file.
	* merge

2010-09-28 23:38 +0100  Bruno Postle  <bruno@postle.net>  (16ad7e7ec3ba)

	* doc/releases/hugin-2010.2.0_rc2.txt: new file.
	* doc/releases/hugin-2010.2.0_rc2.txt:
	2010.2.0_rc2 release notes

2010-09-27 20:10 +0200  tmodes  <tmodes>  (c8cb55368a09)

	* src/hugin1/icpfind/AutoCtrlPointCreator.cpp:
	Fixes typo in debug build

2010-09-27 19:20 +0200  tmodes  <tmodes>  (9b6fb7ad225f)

	* src/dox/introduction.dox: new file.
	* src/dox/introduction.dox, src/dox/mainpage.dox:
	Extended documentation

2010-09-27 18:30 +0200  tmodes  <tmodes>  (d931ebe9302b)

	* .hgignore:
	Ignore documentation directory created by doxygen

2010-09-27 18:16 +0200  tmodes  <tmodes>  (650d4cc569b6)

	* src/hugin_base/panodata/Mask.cpp,
	src/hugin_base/panodata/Panorama.cpp,
	src/hugin_base/panodata/SrcPanoImage.cpp:
	Some more fixes for mask calculation

2010-09-27 18:09 +0200  tmodes  <tmodes>  (416e81f9bd69)

	* src/hugin1/hugin/xrc/pref_dialog.xrc:
	Some cosmetic changes

2010-09-26 21:29 +0100  Bruno Postle  <bruno@postle.net>  (8a95a9c82b70)

	* src/foreign/vigra/vigra_impex/CMakeLists.txt:
	Fix -lpthread fix

2010-09-26 21:04 +0100  Bruno Postle  <bruno@postle.net>  (04f3f35f28a6)

	* src/foreign/vigra/vigra_impex/CMakeLists.txt:
	explicitly use -lpthread when available, fixes build failure on
	fedora f14

2010-09-26 14:31 -0400  Yuval Levy  <yuv@users.sourceforge.net>  (eaf037902164)

	* reverted d14b0775fbfa

2010-09-26 13:16 -0400  Yuval Levy  <yuv@users.sourceforge.net>  (655040ff62a8)

	* src/hugin1/hugin/MainFrame.cpp, src/hugin1/hugin/MainFrame.h,
	src/hugin1/hugin/PreferencesDialog.cpp,
	src/hugin1/hugin/config_defaults.h,
	src/hugin1/hugin/xrc/pref_dialog.xrc,
	src/hugin_base/panodata/PanoImage.h,
	src/hugin_base/panodata/Panorama.cpp,
	src/hugin_base/panodata/Panorama.h,
	src/hugin_base/panodata/PanoramaData.h:
	Backed out changeset d14b0775fbfa - my fixes for the issues raised
	won't be ready today and I don't know when I'll have time to pick
	this up again

2010-09-26 18:06 +0100  James Legg  <jlegg@users.sourceforge.net>  (def2da0d26b9)

	* src/tools/nona.cpp:
	Nona: if -g option is used but the hardware & drivers for GPU
	stitching won't support it, fall back to CPU stitching instead of
	dying. This fallback happened anyway if translation parameters or
	unsuported projections were used.

2010-09-26 16:13 +0100  James Legg  <jlegg@users.sourceforge.net>  (28286ade60c6)

	* src/tools/nona.cpp:
	Nona: check for GL_ARB_texture_float before using gpu acceleration.
	This fixes an infinite loop in
	ImageTransformsGPU.cpp:makeChunks(...) on systems which don't
	support it, for example Mesa DRI with Intel 965GM GEM.

2010-09-25 23:18 -0400  Yuval Levy  <yuv@users.sourceforge.net>  (d14b0775fbfa)

	* src/hugin1/hugin/MainFrame.cpp, src/hugin1/hugin/MainFrame.h,
	src/hugin1/hugin/PreferencesDialog.cpp,
	src/hugin1/hugin/config_defaults.h,
	src/hugin1/hugin/xrc/pref_dialog.xrc,
	src/hugin_base/panodata/PanoImage.h,
	src/hugin_base/panodata/Panorama.cpp,
	src/hugin_base/panodata/Panorama.h,
	src/hugin_base/panodata/PanoramaData.h:
	primitive agressive caching of images (with preference defaulting to
	off) does not disturb "previous use" and introduces a caching
	practice that I found helpful in my interaction with the UI. Can
	(and maybe will) be further improved using wxThreads

2010-09-25 14:53 -0400  Yuval Levy  <yuv@users.sourceforge.net>  (22828bb9df09)

	* src/hugin1/hugin/CommandHistory.cpp,
	src/hugin1/hugin/PreferencesDialog.cpp,
	src/hugin1/hugin/config_defaults.h,
	src/hugin1/hugin/xrc/pref_dialog.xrc:
	preferences setting for smart undo

2010-09-25 11:22 -0400  Yuval Levy  <yuv@users.sourceforge.net>  (715a22f0d7d4)

	* src/hugin1/hugin/CommandHistory.cpp:
	smart undo/redo: skip over visibility toggles. work in progress.
	still coming: preference selection to enable/disable behavior

2010-09-25 11:14 -0400  Yuval Levy  <yuv@users.sourceforge.net>  (8c3d3c17bb89)

	* src/hugin1/hugin/GLPreviewFrame.cpp,
	src/hugin1/hugin/PreviewFrame.cpp:
	fix redo key combination in preview windows to be consistent with
	main frame / menu (CTRL+R)

2010-09-25 16:14 +0200  tmodes  <tmodes>  (a2494433b572)

	* src/hugin_base/panodata/image_variables.h,
	src/hugin_base/vigra_ext/utils.h, src/tools/fulla.cpp:
	Fixes vignetting correction in fulla [3057742]

2010-09-25 14:22 +0100  Bruno Postle  <bruno@postle.net>  (803e12f97a13)

	* src/translations/ru.po:
	Russian translation update (Alexandre Prokoudine)

2010-09-24 18:29 +0200  tmodes  <tmodes>  (ea77e6b05cf2)

	* doc/nona.txt:
	Added doc for new mask types

2010-09-24 18:27 +0200  tmodes  <tmodes>  (20fe0bb42d54)

	* src/hugin1/hugin/MaskEditorPanel.cpp,
	src/hugin1/hugin/xrc/mask_editor_panel.xrc,
	src/hugin_base/algorithms/basic/CalculateOverlap.cpp,
	src/hugin_base/algorithms/basic/CalculateOverlap.h,
	src/hugin_base/panodata/Mask.cpp, src/hugin_base/panodata/Mask.h,
	src/hugin_base/panodata/Panorama.cpp,
	src/hugin_base/panodata/Panorama.h,
	src/hugin_cpfind/cpfind/PanoDetector.cpp:
	2 new mask types for working with image stacks

2010-09-24 18:27 +0200  tmodes  <tmodes>  (f9bf975beb07)

	* src/hugin1/hugin/PanoPanel.cpp:
	Enable autocrop for all projections also on pano panel

2010-09-24 18:27 +0200  tmodes  <tmodes>  (c9379e9e6670)

	* src/hugin1/ptbatcher/PTBatcherGUI_rc.rc:
	Fix paths to ico file

2010-09-24 18:26 +0200  tmodes  <tmodes>  (7d4341ca8d6d)

	* src/hugin1/hugin/ImagesPanel.cpp:
	Little speed improvement for moving images up and down

2010-09-23 18:12 +0200  tmodes  <tmodes>  (4f31a1eb03c9)

	* src/hugin1/hugin/GLPreviewFrame.cpp:
	Activate autocrop on all projections

2010-09-23 16:54 +0200  jean-luc  <jean-luc.coulon@wanadoo.fr>  (c2b02e424503)

	* src/translations/fr.po:
	French translation update

2010-09-23 16:48 +0200  jean-luc  <jean-luc.coulon@wanadoo.fr>  (730b28aad85c)

	* src/translations/fr.po:
	French translation update

2010-09-17 16:00 +0200  jean-luc  <jean-luc.coulon@wanadoo.fr>  (945cc2105cfa)

	* src/translations/fr.po:
	French translation update

2010-09-22 20:42 +0200  tmodes  <tmodes>  (edac2ab57447)

	* src/foreign/vigra/vigra/basicimage.hxx~,
	src/foreign/vigra/vigra/impex.hxx~: deleted file.
	* src/foreign/vigra/vigra/accessor.hxx,
	src/foreign/vigra/vigra/basicimage.hxx~,
	src/foreign/vigra/vigra/impex.hxx~,
	src/foreign/vigra/vigra_impex/tiff.cxx,
	src/foreign/vigra/vigra_impex/viff.cxx, src/hugin1/PT/PanoCommand.h,
	src/tools/vig_optimize.cpp:
	Fixes some typos (Andreas Metzler, Yuval Levy)

2010-09-21 11:30 +0200  Emanuele Panz  <Emanuele Panz>  (87f53098e31e)

	* platforms/windows/huginsetup/HuginSetup.nsi,
	platforms/windows/huginsetup/TODO.txt: new file.
	* platforms/windows/huginsetup/CHANGELOG.txt,
	platforms/windows/huginsetup/CPGenerators/Autopano.nsh,
	platforms/windows/huginsetup/CPGenerators/Match-n-shift.nsh,
	platforms/windows/huginsetup/HuginSetup.nsi,
	platforms/windows/huginsetup/HuginSetup_common.nsh,
	platforms/windows/huginsetup/HuginSetup_x32.nsi,
	platforms/windows/huginsetup/HuginSetup_x64.nsi,
	platforms/windows/huginsetup/TODO.txt:
	+ Fixed Autopano-103 settings (wrong zip extraction) + Fixed
	Match-n-shift settings (doubled .exe extension)

	0.2.8 (2010-09-15) + Using Match-n-shift version 2008-02-19 (from
	my Dropbox folder) + Added Stacked/Multirow settings (tests needed)
	+ Added Italian translation to ControlPointDisclaimer + Added
	HuginSetup.nsi with CMake settings directives (needs works) +
	Updated 32/64bit installers for 2010.2.0-beta2 build (thanks to Aron
	Helser - www.aronhelser.com )

2010-09-20 19:43 +0200  tmodes  <tmodes>  (c97570168646)

	* src/hugin1/icpfind/icpfind.cpp,
	src/hugin_base/panodata/Panorama.cpp,
	src/hugin_cpfind/cpfind/PanoDetector.cpp:
	Better handling of path prefix for cpfind/icpfind

2010-09-20 18:52 +0200  tmodes  <tmodes>  (3742a6e7ebe2)

	* authors.txt, src/hugin1/hugin/xrc/data/sponsors.htm:
	Added credits

2010-09-20 16:51 +0200  harryvanderwolf  <hvdwolf@gmail.com>  (838457715fe7)

	* mac/ExternalPrograms/scripts/boost.sh,
	mac/Hugin.xcodeproj/project.pbxproj:
	[OSX] expand boost script and add makefilelib to XCode project

2010-09-19 23:16 +0200  tmodes  <tmodes>  (b9b37f9f0e0d)

	* src/hugin_base/makefilelib/Anything.cpp,
	src/hugin_base/makefilelib/Manager.cpp: new file.
	* src/hugin1/ptbatcher/Batch.cpp, src/hugin1/ptbatcher/Batch.h,
	src/hugin_base/makefilelib/Anything.cpp,
	src/hugin_base/makefilelib/Anything.h,
	src/hugin_base/makefilelib/CMakeLists.txt,
	src/hugin_base/makefilelib/Manager.cpp,
	src/hugin_base/makefilelib/Manager.h,
	src/hugin_base/vigra_ext/ImageTransformsGPU.cpp,
	src/hugin_base/vigra_ext/ImageTransformsGPU.h,
	src/hugin_cpfind/cpfind/PanoDetector.cpp:
	Some more fixes for Windows dynamic build

2010-09-19 21:27 +0200  tmodes  <tmodes>  (8b91f6104fa0)

	* src/foreign/zthread/src/ThreadQueue.cxx:
	Bugfix for MSVC10

2010-09-19 21:27 +0200  tmodes  <tmodes>  (9fb97b6629ed)

	* src/hugin1/icpfind/CPDetectorConfig.cpp,
	src/hugin1/icpfind/CPDetectorConfig_default.h:
	Added cp detector setting for hugins cpfind

2010-09-19 20:42 +0200  tmodes  <tmodes>  (419cd4ab9f7b)

	* src/hugin1/hugin/CPDetectorDialog.cpp,
	src/hugin1/hugin/CPDetectorDialog.h,
	src/hugin1/icpfind/AutoCtrlPointCreator.cpp,
	src/hugin1/icpfind/AutoCtrlPointCreator.h,
	src/hugin1/icpfind/CMakeLists.txt,
	src/hugin1/icpfind/CPDetectorConfig.cpp,
	src/hugin1/icpfind/CPDetectorConfig.h,
	src/hugin1/icpfind/CPDetectorConfig_default.h,
	src/hugin1/icpfind/icpfind.cpp, src/hugin1/icpfind/icpfind.h,
	src/hugin1/ptbatcher/FailedProjectsDialog.cpp,
	src/hugin1/ptbatcher/FailedProjectsDialog.h,
	src/hugin1/ptbatcher/FindPanoDialog.cpp,
	src/hugin1/ptbatcher/FindPanoDialog.h, src/hugin_base/algorithms/ass
	istant_makefile/AssistantMakefilelibExport.cpp, src/hugin_base/algor
	ithms/assistant_makefile/AssistantMakefilelibExport.h, src/hugin_bas
	e/algorithms/panorama_makefile/PanoramaMakefilelibExport.cpp, src/hu
	gin_base/algorithms/panorama_makefile/PanoramaMakefilelibExport.h,
	src/hugin_base/makefilelib/Anything.h,
	src/hugin_base/makefilelib/AutoVariable.cpp,
	src/hugin_base/makefilelib/AutoVariable.h,
	src/hugin_base/makefilelib/CMakeLists.txt,
	src/hugin_base/makefilelib/Comment.cpp,
	src/hugin_base/makefilelib/Comment.h,
	src/hugin_base/makefilelib/Conditional.cpp,
	src/hugin_base/makefilelib/Conditional.h,
	src/hugin_base/makefilelib/Doxyfile,
	src/hugin_base/makefilelib/Makefile.cpp,
	src/hugin_base/makefilelib/Makefile.h,
	src/hugin_base/makefilelib/Makefile.mk,
	src/hugin_base/makefilelib/MakefileItem.cpp,
	src/hugin_base/makefilelib/MakefileItem.h,
	src/hugin_base/makefilelib/Manageable.h,
	src/hugin_base/makefilelib/Manager.h,
	src/hugin_base/makefilelib/Newline.h,
	src/hugin_base/makefilelib/README.dox,
	src/hugin_base/makefilelib/Rule.cpp,
	src/hugin_base/makefilelib/Rule.h,
	src/hugin_base/makefilelib/StringAdapter.h,
	src/hugin_base/makefilelib/Variable.cpp,
	src/hugin_base/makefilelib/Variable.h,
	src/hugin_base/makefilelib/VariableDef.cpp,
	src/hugin_base/makefilelib/VariableDef.h,
	src/hugin_base/makefilelib/VariableRef.cpp,
	src/hugin_base/makefilelib/VariableRef.h,
	src/hugin_base/makefilelib/char_type.h,
	src/hugin_base/makefilelib/example.cpp,
	src/hugin_base/makefilelib/test_filenames.cpp,
	src/hugin_base/makefilelib/test_makefilelib.cpp,
	src/hugin_base/makefilelib/test_simple.cpp,
	src/hugin_base/makefilelib/test_util.cpp,
	src/hugin_base/makefilelib/test_util.h,
	src/hugin_base/makefilelib/test_util_win32.cpp,
	src/hugin_base/makefilelib/unicode.cpp,
	src/hugin_base/makefilelib/unicode.dox, src/tools/checkpto.cpp: new
	file.
	* src/hugin1/hugin/AutoCtrlPointCreator.cpp,
	src/hugin1/hugin/AutoCtrlPointCreator.h,
	src/hugin1/hugin/CPDetectorConfig.cpp,
	src/hugin1/hugin/CPDetectorConfig.h,
	src/hugin1/hugin/CPDetectorConfig_default.h, src/hugin_base/algorith
	ms/panorama_makefile/PanoramaMakefileExport.cpp, src/hugin_base/algo
	rithms/panorama_makefile/PanoramaMakefileExport.h: deleted file.
	* CMakeLists.txt, CMakeModules/win_bundle.cmake,
	src/hugin1/hugin/AutoCtrlPointCreator.cpp,
	src/hugin1/hugin/AutoCtrlPointCreator.h,
	src/hugin1/hugin/CPDetectorConfig.cpp,
	src/hugin1/hugin/CPDetectorConfig.h,
	src/hugin1/hugin/CPDetectorConfig_default.h,
	src/hugin1/hugin/ImagesPanel.cpp, src/hugin1/hugin/MainFrame.cpp,
	src/hugin1/hugin/wxPanoCommand.cpp,
	src/hugin1/hugin/xrc/assistant_panel.xrc,
	src/hugin1/icpfind/CPDetectorConfig_default.h, src/hugin_base/algori
	thms/panorama_makefile/PanoramaMakefileExport.cpp, src/hugin_base/al
	gorithms/panorama_makefile/PanoramaMakefileExport.h,
	src/hugin_base/panodata/SrcPanoImage.h, src/hugin_shared.h:
	Merged gsoc2010-makefilelib-branch

2010-09-19 20:33 +0200  tmodes  <tmodes>  (68626d1bc1aa)

	* Closing gsoc2010_makefilelib branch

2010-09-19 20:32 +0200  tmodes  <tmodes>  (c3f117cb447d)

	* CMakeModules/FindBoostPython.cmake, src/foreign/tclap/Arg.h,
	src/foreign/tclap/ArgException.h, src/foreign/tclap/CmdLine.h,
	src/foreign/tclap/CmdLineInterface.h,
	src/foreign/tclap/CmdLineOutput.h, src/foreign/tclap/Constraint.h,
	src/foreign/tclap/DocBookOutput.h, src/foreign/tclap/HelpVisitor.h,
	src/foreign/tclap/IgnoreRestVisitor.h, src/foreign/tclap/MultiArg.h,
	src/foreign/tclap/MultiSwitchArg.h,
	src/foreign/tclap/OptionalUnlabeledTracker.h,
	src/foreign/tclap/StdOutput.h, src/foreign/tclap/SwitchArg.h,
	src/foreign/tclap/UnlabeledMultiArg.h,
	src/foreign/tclap/UnlabeledValueArg.h, src/foreign/tclap/ValueArg.h,
	src/foreign/tclap/ValuesConstraint.h,
	src/foreign/tclap/VersionVisitor.h, src/foreign/tclap/Visitor.h,
	src/foreign/tclap/XorHandler.h,
	src/foreign/vigra/vigra/basicimage.hxx~,
	src/foreign/vigra/vigra/impex.hxx~, src/foreign/zthread/AUTHORS,
	src/foreign/zthread/COPYING, src/foreign/zthread/LICENSE,
	src/foreign/zthread/MIT.TXT, src/foreign/zthread/README,
	src/foreign/zthread/ReadMe.txt,
	src/foreign/zthread/include/zthread/AtomicCount.h,
	src/foreign/zthread/include/zthread/Barrier.h,
	src/foreign/zthread/include/zthread/BiasedReadWriteLock.h,
	src/foreign/zthread/include/zthread/BlockingQueue.h,
	src/foreign/zthread/include/zthread/BoundedQueue.h,
	src/foreign/zthread/include/zthread/Cancelable.h,
	src/foreign/zthread/include/zthread/ClassLockable.h,
	src/foreign/zthread/include/zthread/ConcurrentExecutor.h,
	src/foreign/zthread/include/zthread/Condition.h,
	src/foreign/zthread/include/zthread/Config.h,
	src/foreign/zthread/include/zthread/CountedPtr.h,
	src/foreign/zthread/include/zthread/CountingSemaphore.h,
	src/foreign/zthread/include/zthread/Exceptions.h,
	src/foreign/zthread/include/zthread/Executor.h,
	src/foreign/zthread/include/zthread/FairReadWriteLock.h,
	src/foreign/zthread/include/zthread/FastMutex.h,
	src/foreign/zthread/include/zthread/FastRecursiveMutex.h,
	src/foreign/zthread/include/zthread/Guard.h,
	src/foreign/zthread/include/zthread/GuardedClass.h,
	src/foreign/zthread/include/zthread/Lockable.h,
	src/foreign/zthread/include/zthread/LockedQueue.h,
	src/foreign/zthread/include/zthread/MonitoredQueue.h,
	src/foreign/zthread/include/zthread/Mutex.h,
	src/foreign/zthread/include/zthread/NonCopyable.h,
	src/foreign/zthread/include/zthread/PoolExecutor.h,
	src/foreign/zthread/include/zthread/Priority.h,
	src/foreign/zthread/include/zthread/PriorityCondition.h,
	src/foreign/zthread/include/zthread/PriorityInheritanceMutex.h,
	src/foreign/zthread/include/zthread/PriorityMutex.h,
	src/foreign/zthread/include/zthread/PrioritySemaphore.h,
	src/foreign/zthread/include/zthread/Queue.h,
	src/foreign/zthread/include/zthread/ReadWriteLock.h,
	src/foreign/zthread/include/zthread/RecursiveMutex.h,
	src/foreign/zthread/include/zthread/Runnable.h,
	src/foreign/zthread/include/zthread/Semaphore.h,
	src/foreign/zthread/include/zthread/Singleton.h,
	src/foreign/zthread/include/zthread/SynchronousExecutor.h,
	src/foreign/zthread/include/zthread/Task.h,
	src/foreign/zthread/include/zthread/Thread.h,
	src/foreign/zthread/include/zthread/ThreadLocal.h,
	src/foreign/zthread/include/zthread/ThreadLocalImpl.h,
	src/foreign/zthread/include/zthread/ThreadedExecutor.h,
	src/foreign/zthread/include/zthread/Time.h,
	src/foreign/zthread/include/zthread/Waitable.h,
	src/foreign/zthread/include/zthread/ZThread.h,
	src/foreign/zthread/share/acinclude.m4, src/foreign/zthread/share
	/atomic-gcc.m4, src/foreign/zthread/share/atomic-linux.m4,
	src/foreign/zthread/share/doxygen.m4,
	src/foreign/zthread/share/ftime.m4,
	src/foreign/zthread/share/pthread.m4,
	src/foreign/zthread/share/zthread.m4,
	src/foreign/zthread/src/AtomicCount.cxx,
	src/foreign/zthread/src/CMakeLists.txt,
	src/foreign/zthread/src/ConcurrentExecutor.cxx,
	src/foreign/zthread/src/Condition.cxx,
	src/foreign/zthread/src/ConditionImpl.h,
	src/foreign/zthread/src/CountingSemaphore.cxx,
	src/foreign/zthread/src/Debug.h,
	src/foreign/zthread/src/DeferredInterruptionScope.h,
	src/foreign/zthread/src/FastLock.h,
	src/foreign/zthread/src/FastMutex.cxx,
	src/foreign/zthread/src/FastRecursiveLock.h,
	src/foreign/zthread/src/FastRecursiveMutex.cxx,
	src/foreign/zthread/src/IntrusivePtr.h,
	src/foreign/zthread/src/Makefile.am,
	src/foreign/zthread/src/Makefile.in,
	src/foreign/zthread/src/Monitor.cxx,
	src/foreign/zthread/src/Monitor.h,
	src/foreign/zthread/src/Mutex.cxx,
	src/foreign/zthread/src/MutexImpl.h,
	src/foreign/zthread/src/PoolExecutor.cxx,
	src/foreign/zthread/src/PriorityCondition.cxx,
	src/foreign/zthread/src/PriorityInheritanceMutex.cxx,
	src/foreign/zthread/src/PriorityMutex.cxx,
	src/foreign/zthread/src/PrioritySemaphore.cxx,
	src/foreign/zthread/src/RecursiveMutex.cxx,
	src/foreign/zthread/src/RecursiveMutexImpl.cxx,
	src/foreign/zthread/src/RecursiveMutexImpl.h,
	src/foreign/zthread/src/Scheduling.h,
	src/foreign/zthread/src/Semaphore.cxx,
	src/foreign/zthread/src/SemaphoreImpl.h,
	src/foreign/zthread/src/State.h, src/foreign/zthread/src/Status.h,
	src/foreign/zthread/src/SynchronousExecutor.cxx,
	src/foreign/zthread/src/TSS.h, src/foreign/zthread/src/Thread.cxx,
	src/foreign/zthread/src/ThreadImpl.cxx,
	src/foreign/zthread/src/ThreadImpl.h,
	src/foreign/zthread/src/ThreadLocalImpl.cxx,
	src/foreign/zthread/src/ThreadOps.cxx,
	src/foreign/zthread/src/ThreadOps.h,
	src/foreign/zthread/src/ThreadQueue.cxx,
	src/foreign/zthread/src/ThreadQueue.h,
	src/foreign/zthread/src/ThreadedExecutor.cxx,
	src/foreign/zthread/src/Time.cxx,
	src/foreign/zthread/src/TimeStrategy.h,
	src/foreign/zthread/src/linux/AtomicCount.cxx,
	src/foreign/zthread/src/linux/AtomicFastLock.h,
	src/foreign/zthread/src/linux/FastRecursiveLock.h,
	src/foreign/zthread/src/macos/FastLock.h,
	src/foreign/zthread/src/macos/Monitor.cxx,
	src/foreign/zthread/src/macos/Monitor.h,
	src/foreign/zthread/src/macos/TSS.h,
	src/foreign/zthread/src/macos/ThreadOps.cxx,
	src/foreign/zthread/src/macos/ThreadOps.h,
	src/foreign/zthread/src/macos/UpTimeStrategy.h,
	src/foreign/zthread/src/posix/ConditionRecursiveLock.h,
	src/foreign/zthread/src/posix/FastLock.h,
	src/foreign/zthread/src/posix/FtimeStrategy.h,
	src/foreign/zthread/src/posix/GetTimeOfDayStrategy.h,
	src/foreign/zthread/src/posix/Monitor.cxx,
	src/foreign/zthread/src/posix/Monitor.h,
	src/foreign/zthread/src/posix/PriorityOps.h,
	src/foreign/zthread/src/posix/TSS.h,
	src/foreign/zthread/src/posix/ThreadOps.cxx,
	src/foreign/zthread/src/posix/ThreadOps.h,
	src/foreign/zthread/src/solaris/FastRecursiveLock.h,
	src/foreign/zthread/src/vanilla/DualMutexRecursiveLock.h,
	src/foreign/zthread/src/vanilla/SimpleAtomicCount.cxx,
	src/foreign/zthread/src/vanilla/SimpleRecursiveLock.h,
	src/foreign/zthread/src/win32/AtomicCount.cxx,
	src/foreign/zthread/src/win32/AtomicFastLock.h,
	src/foreign/zthread/src/win32/AtomicFastRecursiveLock.h,
	src/foreign/zthread/src/win32/FastLock.h,
	src/foreign/zthread/src/win32/FastRecursiveLock.h,
	src/foreign/zthread/src/win32/Monitor.cxx,
	src/foreign/zthread/src/win32/Monitor.h,
	src/foreign/zthread/src/win32/PerformanceCounterStrategy.h,
	src/foreign/zthread/src/win32/TSS.h,
	src/foreign/zthread/src/win32/ThreadOps.cxx,
	src/foreign/zthread/src/win32/ThreadOps.h,
	src/foreign/zthread/src/win9x/AtomicCount.cxx,
	src/foreign/zthread/src/win9x/AtomicFastLock.h,
	src/foreign/zthread/zthread.vcproj, src/hugin_cpfind/AUTHORS,
	src/hugin_cpfind/CMakeLists.txt, src/hugin_cpfind/LICENSE,
	src/hugin_cpfind/cpfind/CMakeLists.txt,
	src/hugin_cpfind/cpfind/ImageImport.h,
	src/hugin_cpfind/cpfind/KDTree.h,
	src/hugin_cpfind/cpfind/KDTreeImpl.h,
	src/hugin_cpfind/cpfind/PanoDetector.cpp,
	src/hugin_cpfind/cpfind/PanoDetector.h,
	src/hugin_cpfind/cpfind/PanoDetectorDefs.h,
	src/hugin_cpfind/cpfind/PanoDetectorLogic.cpp,
	src/hugin_cpfind/cpfind/TestCode.cpp,
	src/hugin_cpfind/cpfind/TestCode.h,
	src/hugin_cpfind/cpfind/Tracer.h, src/hugin_cpfind/cpfind/Utils.cpp,
	src/hugin_cpfind/cpfind/Utils.h, src/hugin_cpfind/cpfind/main.cpp,
	src/hugin_cpfind/localfeatures/BoundedSet.h,
	src/hugin_cpfind/localfeatures/BoxFilter.h,
	src/hugin_cpfind/localfeatures/CMakeLists.txt,
	src/hugin_cpfind/localfeatures/CircularKeyPointDescriptor.cpp,
	src/hugin_cpfind/localfeatures/CircularKeyPointDescriptor.h,
	src/hugin_cpfind/localfeatures/Homography.cpp,
	src/hugin_cpfind/localfeatures/Homography.h,
	src/hugin_cpfind/localfeatures/Image.cpp,
	src/hugin_cpfind/localfeatures/Image.h,
	src/hugin_cpfind/localfeatures/KeyPoint.h,
	src/hugin_cpfind/localfeatures/KeyPointDescriptor.h,
	src/hugin_cpfind/localfeatures/KeyPointDetector.cpp,
	src/hugin_cpfind/localfeatures/KeyPointDetector.h,
	src/hugin_cpfind/localfeatures/KeyPointIO.cpp,
	src/hugin_cpfind/localfeatures/KeyPointIO.h,
	src/hugin_cpfind/localfeatures/MathStuff.cpp,
	src/hugin_cpfind/localfeatures/MathStuff.h,
	src/hugin_cpfind/localfeatures/PointMatch.h,
	src/hugin_cpfind/localfeatures/RansacFiltering.cpp,
	src/hugin_cpfind/localfeatures/RansacFiltering.h,
	src/hugin_cpfind/localfeatures/Sieve.h,
	src/hugin_cpfind/localfeatures/WaveFilter.h,
	src/hugin_cpfind/localfeatures/python_wrapper.cpp: new file.
	* authors.txt:
	Merged cpfind branch into default

2010-09-19 20:29 +0200  tmodes  <tmodes>  (69d12eead852)

	* Closing branch gsoc2010_patent_free_cpm

2010-09-19 20:29 +0200  tmodes  <tmodes>  (e15d7604d9df)

	* src/hugin_cpfind/AUTHORS, src/hugin_cpfind/CMakeLists.txt,
	src/hugin_cpfind/LICENSE, src/hugin_cpfind/cpfind/CMakeLists.txt,
	src/hugin_cpfind/cpfind/ImageImport.h,
	src/hugin_cpfind/cpfind/KDTree.h,
	src/hugin_cpfind/cpfind/KDTreeImpl.h,
	src/hugin_cpfind/cpfind/PanoDetector.cpp,
	src/hugin_cpfind/cpfind/PanoDetector.h,
	src/hugin_cpfind/cpfind/PanoDetectorDefs.h,
	src/hugin_cpfind/cpfind/PanoDetectorLogic.cpp,
	src/hugin_cpfind/cpfind/TestCode.cpp,
	src/hugin_cpfind/cpfind/TestCode.h,
	src/hugin_cpfind/cpfind/Tracer.h, src/hugin_cpfind/cpfind/Utils.cpp,
	src/hugin_cpfind/cpfind/Utils.h, src/hugin_cpfind/cpfind/main.cpp,
	src/hugin_cpfind/localfeatures/BoundedSet.h,
	src/hugin_cpfind/localfeatures/BoxFilter.h,
	src/hugin_cpfind/localfeatures/CMakeLists.txt,
	src/hugin_cpfind/localfeatures/CircularKeyPointDescriptor.cpp,
	src/hugin_cpfind/localfeatures/CircularKeyPointDescriptor.h,
	src/hugin_cpfind/localfeatures/Homography.cpp,
	src/hugin_cpfind/localfeatures/Homography.h,
	src/hugin_cpfind/localfeatures/Image.cpp,
	src/hugin_cpfind/localfeatures/Image.h,
	src/hugin_cpfind/localfeatures/KeyPoint.h,
	src/hugin_cpfind/localfeatures/KeyPointDescriptor.h,
	src/hugin_cpfind/localfeatures/KeyPointDetector.cpp,
	src/hugin_cpfind/localfeatures/KeyPointDetector.h,
	src/hugin_cpfind/localfeatures/KeyPointIO.cpp,
	src/hugin_cpfind/localfeatures/KeyPointIO.h,
	src/hugin_cpfind/localfeatures/MathStuff.cpp,
	src/hugin_cpfind/localfeatures/MathStuff.h,
	src/hugin_cpfind/localfeatures/PointMatch.h,
	src/hugin_cpfind/localfeatures/RansacFiltering.cpp,
	src/hugin_cpfind/localfeatures/RansacFiltering.h,
	src/hugin_cpfind/localfeatures/Sieve.h,
	src/hugin_cpfind/localfeatures/WaveFilter.h,
	src/hugin_cpfind/localfeatures/python_wrapper.cpp: new file.
	* src/libpanomatic/AUTHORS, src/libpanomatic/CMakeLists.txt,
	src/libpanomatic/LICENSE,
	src/libpanomatic/localfeatures/BoundedSet.h,
	src/libpanomatic/localfeatures/BoxFilter.h,
	src/libpanomatic/localfeatures/CMakeLists.txt,
	src/libpanomatic/localfeatures/CircularKeyPointDescriptor.cpp,
	src/libpanomatic/localfeatures/CircularKeyPointDescriptor.h,
	src/libpanomatic/localfeatures/Homography.cpp,
	src/libpanomatic/localfeatures/Homography.h,
	src/libpanomatic/localfeatures/Image.cpp,
	src/libpanomatic/localfeatures/Image.h,
	src/libpanomatic/localfeatures/KeyPoint.h,
	src/libpanomatic/localfeatures/KeyPointDescriptor.h,
	src/libpanomatic/localfeatures/KeyPointDetector.cpp,
	src/libpanomatic/localfeatures/KeyPointDetector.h,
	src/libpanomatic/localfeatures/KeyPointIO.cpp,
	src/libpanomatic/localfeatures/KeyPointIO.h,
	src/libpanomatic/localfeatures/MathStuff.cpp,
	src/libpanomatic/localfeatures/MathStuff.h,
	src/libpanomatic/localfeatures/PointMatch.h,
	src/libpanomatic/localfeatures/RansacFiltering.cpp,
	src/libpanomatic/localfeatures/RansacFiltering.h,
	src/libpanomatic/localfeatures/Sieve.h,
	src/libpanomatic/localfeatures/WaveFilter.h,
	src/libpanomatic/localfeatures/python_wrapper.cpp,
	src/libpanomatic/panomatic/CMakeLists.txt,
	src/libpanomatic/panomatic/ImageImport.h,
	src/libpanomatic/panomatic/KDTree.h,
	src/libpanomatic/panomatic/KDTreeImpl.h,
	src/libpanomatic/panomatic/PanoDetector.cpp,
	src/libpanomatic/panomatic/PanoDetector.h,
	src/libpanomatic/panomatic/PanoDetectorDefs.h,
	src/libpanomatic/panomatic/PanoDetectorLogic.cpp,
	src/libpanomatic/panomatic/TestCode.cpp,
	src/libpanomatic/panomatic/TestCode.h,
	src/libpanomatic/panomatic/Tracer.h,
	src/libpanomatic/panomatic/Utils.cpp,
	src/libpanomatic/panomatic/Utils.h,
	src/libpanomatic/panomatic/main.cpp: deleted file.
	* authors.txt, src/CMakeLists.txt, src/hugin_cpfind/AUTHORS,
	src/hugin_cpfind/CMakeLists.txt, src/hugin_cpfind/LICENSE,
	src/hugin_cpfind/cpfind/CMakeLists.txt,
	src/hugin_cpfind/cpfind/ImageImport.h,
	src/hugin_cpfind/cpfind/KDTree.h,
	src/hugin_cpfind/cpfind/KDTreeImpl.h,
	src/hugin_cpfind/cpfind/PanoDetector.cpp,
	src/hugin_cpfind/cpfind/PanoDetector.h,
	src/hugin_cpfind/cpfind/PanoDetectorDefs.h,
	src/hugin_cpfind/cpfind/PanoDetectorLogic.cpp,
	src/hugin_cpfind/cpfind/TestCode.cpp,
	src/hugin_cpfind/cpfind/TestCode.h,
	src/hugin_cpfind/cpfind/Tracer.h, src/hugin_cpfind/cpfind/Utils.cpp,
	src/hugin_cpfind/cpfind/Utils.h, src/hugin_cpfind/cpfind/main.cpp,
	src/hugin_cpfind/localfeatures/BoundedSet.h,
	src/hugin_cpfind/localfeatures/BoxFilter.h,
	src/hugin_cpfind/localfeatures/CMakeLists.txt,
	src/hugin_cpfind/localfeatures/CircularKeyPointDescriptor.cpp,
	src/hugin_cpfind/localfeatures/CircularKeyPointDescriptor.h,
	src/hugin_cpfind/localfeatures/Homography.cpp,
	src/hugin_cpfind/localfeatures/Homography.h,
	src/hugin_cpfind/localfeatures/Image.cpp,
	src/hugin_cpfind/localfeatures/Image.h,
	src/hugin_cpfind/localfeatures/KeyPoint.h,
	src/hugin_cpfind/localfeatures/KeyPointDescriptor.h,
	src/hugin_cpfind/localfeatures/KeyPointDetector.cpp,
	src/hugin_cpfind/localfeatures/KeyPointDetector.h,
	src/hugin_cpfind/localfeatures/KeyPointIO.cpp,
	src/hugin_cpfind/localfeatures/KeyPointIO.h,
	src/hugin_cpfind/localfeatures/MathStuff.cpp,
	src/hugin_cpfind/localfeatures/MathStuff.h,
	src/hugin_cpfind/localfeatures/PointMatch.h,
	src/hugin_cpfind/localfeatures/RansacFiltering.cpp,
	src/hugin_cpfind/localfeatures/RansacFiltering.h,
	src/hugin_cpfind/localfeatures/Sieve.h,
	src/hugin_cpfind/localfeatures/WaveFilter.h,
	src/hugin_cpfind/localfeatures/python_wrapper.cpp,
	src/libpanomatic/AUTHORS, src/libpanomatic/CMakeLists.txt,
	src/libpanomatic/LICENSE,
	src/libpanomatic/localfeatures/BoundedSet.h,
	src/libpanomatic/localfeatures/BoxFilter.h,
	src/libpanomatic/localfeatures/CMakeLists.txt,
	src/libpanomatic/localfeatures/CircularKeyPointDescriptor.cpp,
	src/libpanomatic/localfeatures/CircularKeyPointDescriptor.h,
	src/libpanomatic/localfeatures/Homography.cpp,
	src/libpanomatic/localfeatures/Homography.h,
	src/libpanomatic/localfeatures/Image.cpp,
	src/libpanomatic/localfeatures/Image.h,
	src/libpanomatic/localfeatures/KeyPoint.h,
	src/libpanomatic/localfeatures/KeyPointDescriptor.h,
	src/libpanomatic/localfeatures/KeyPointDetector.cpp,
	src/libpanomatic/localfeatures/KeyPointDetector.h,
	src/libpanomatic/localfeatures/KeyPointIO.cpp,
	src/libpanomatic/localfeatures/KeyPointIO.h,
	src/libpanomatic/localfeatures/MathStuff.cpp,
	src/libpanomatic/localfeatures/MathStuff.h,
	src/libpanomatic/localfeatures/PointMatch.h,
	src/libpanomatic/localfeatures/RansacFiltering.cpp,
	src/libpanomatic/localfeatures/RansacFiltering.h,
	src/libpanomatic/localfeatures/Sieve.h,
	src/libpanomatic/localfeatures/WaveFilter.h,
	src/libpanomatic/localfeatures/python_wrapper.cpp,
	src/libpanomatic/panomatic/CMakeLists.txt,
	src/libpanomatic/panomatic/ImageImport.h,
	src/libpanomatic/panomatic/KDTree.h,
	src/libpanomatic/panomatic/KDTreeImpl.h,
	src/libpanomatic/panomatic/PanoDetector.cpp,
	src/libpanomatic/panomatic/PanoDetector.h,
	src/libpanomatic/panomatic/PanoDetectorDefs.h,
	src/libpanomatic/panomatic/PanoDetectorLogic.cpp,
	src/libpanomatic/panomatic/TestCode.cpp,
	src/libpanomatic/panomatic/TestCode.h,
	src/libpanomatic/panomatic/Tracer.h,
	src/libpanomatic/panomatic/Utils.cpp,
	src/libpanomatic/panomatic/Utils.h,
	src/libpanomatic/panomatic/main.cpp:
	Changed name of cp detector to cpfind

2010-09-19 19:50 +0200  harryvanderwolf  <hvdwolf@gmail.com>  (f81a8254bbb8)

	* merge changes committed

2010-09-19 18:27 +0200  harryvanderwolf  <hvdwolf@gmail.com>  (b4e151f86da1)

	* mac/ExternalPrograms/scripts/boost.sh,
	mac/ExternalPrograms/scripts/libjpeg.sh,
	mac/ExternalPrograms/scripts/libpng.sh,
	mac/Hugin.xcodeproj/project.pbxproj:
	[OSX] small script changes

2010-09-19 18:23 +0200  harryvanderwolf  <hvdwolf@gmail.com>  (c5bdcdc30b7f)

	* mac/Version.xcconfig:
	[OSX] Set Version.xconfig to 2010.3 in trunk

2010-09-19 14:48 +0200  harryvanderwolf  <hvdwolf@gmail.com>  (266611f2f1a9)

	* src/hugin1/hugin/xrc/assistant_panel.xrc:
	set lens type wxchoice pulldown on assistant tab to correct size

2010-09-19 18:32 +0200  tmodes  <tmodes>  (bf78f29d1da8)

	* src/libpanomatic/panomatic/grep: deleted file.
	* src/libpanomatic/panomatic/grep:
	Remove obsolete file

2010-09-19 12:55 +0200  tmodes  <tmodes>  (59662ea3906b)

	* src/hugin1/icpfind/CPDetectorConfig.cpp:
	Little fix for better backward compatibility

2010-09-18 19:48 +0200  tmodes  <tmodes>  (14e86c2cfee4)

	* .hgtags:
	Added tag hugin-2010.2.0_rc1 for changeset 23e34640f870

2010-09-18 12:49 +0200  tmodes  <tmodes>  (1948c19590f1)

	* src/hugin_base/algorithms/panorama_makefile/PanoramaMakefilelibExpor
	t.cpp:
	Also print some hardware information on MacOS

2010-09-18 11:43 +0200  tmodes  <tmodes>  (0e6c4d24d5c6)

	* src/libpanomatic/panomatic/main.cpp:
	Removed now obsolete command line switch

2010-09-18 10:51 +0200  tmodes  <tmodes>  (ee60f82edce0)

	* src/CMakeLists.txt~, src/foreign/CMakeLists.txt~,
	src/libpanomatic/COPYING, src/libpanomatic/ChangeLog,
	src/libpanomatic/README: deleted file.
	* src/CMakeLists.txt~, src/foreign/CMakeLists.txt~,
	src/libpanomatic/COPYING, src/libpanomatic/ChangeLog,
	src/libpanomatic/README:
	Remove obsolete files

2010-09-18 10:49 +0200  tmodes  <tmodes>  (8d3f375bcd6c)

	* src/hugin_shared.h,
	src/libpanomatic/localfeatures/CircularKeyPointDescriptor.h,
	src/libpanomatic/localfeatures/Homography.h,
	src/libpanomatic/localfeatures/Image.h,
	src/libpanomatic/localfeatures/KeyPointDetector.h,
	src/libpanomatic/localfeatures/KeyPointIO.h,
	src/libpanomatic/localfeatures/RansacFiltering.h:
	Fixes compilation of dynamic version for windows

2010-09-18 10:34 +0200  tmodes  <tmodes>  (3c4d894af74a)

	* src/libpanomatic/panomatic/PanoDetector.cpp:
	Some better printing of information

2010-09-18 10:34 +0200  tmodes  <tmodes>  (4ae9d957d14f)

	* src/libpanomatic/panomatic/PanoDetectorLogic.cpp:
	Added exception handling to catch errors when loading images

2010-09-18 10:17 +0200  tmodes  <tmodes>  (c05c1c417b99)

	* src/hugin_base/algorithms/assistant_makefile/AssistantMakefilelibExp
	ort.cpp, src/hugin_base/algorithms/assistant_makefile/AssistantMakef
	ilelibExport.h, src/hugin_base/algorithms/panorama_makefile/Panorama
	MakefilelibExport.cpp, src/hugin_base/makefilelib/Rule.h:
	Print some more progress messages

2010-09-18 09:35 +0200  tmodes  <tmodes>  (548c3130cc81)

	* src/hugin_base/algorithms/panorama_makefile/PanoramaMakefilelibExpor
	t.cpp, src/hugin_base/makefilelib/Rule.h:
	Move some more makefile syntax to lib

2010-09-18 09:13 +0200  tmodes  <tmodes>  (4a805a2b21d1)

	* src/hugin_base/algorithms/panorama_makefile/PanoramaMakefilelibExpor
	t.cpp:
	Modified system information for MacOS

2010-09-17 18:38 +0200  tmodes  <tmodes>  (636a450bd827)

	* src/tools/checkpto.cpp:
	Print some information if unconnected images found

2010-09-17 18:37 +0200  tmodes  <tmodes>  (1bcb2adfd719)

	* src/hugin1/icpfind/CPDetectorConfig.h:
	Unified line breaks

2010-09-17 18:31 +0200  tmodes  <tmodes>  (cf448fb7ae07)

	* src/hugin_base/panodata/SrcPanoImage.cpp:
	Don't override loaded crop factor from project file

2010-09-15 20:29 +0100  Bruno Postle  <bruno@postle.net>  (7db57f4072dc)

	* doc/releases/hugin-2010.2.0_beta1.txt,
	doc/releases/hugin-2010.2.0_rc1.txt: new file.
	* doc/releases/hugin-2010.2.0_beta1.txt,
	doc/releases/hugin-2010.2.0_rc1.txt:
	Some release notes

2010-09-14 21:24 -0400  Yuval Levy  <yuv@users.sourceforge.net>  (7bbf7f981896)

	* platforms/windows/huginsetup/CHANGELOG.txt,
	platforms/windows/huginsetup/CPGenerators/Autopano-sift-c.nsh,
	platforms/windows/huginsetup/CPGenerators/Autopano.nsh,
	platforms/windows/huginsetup/CPGenerators/Match-n-shift.nsh,
	platforms/windows/huginsetup/CPGenerators/Panomatic.nsh,
	platforms/windows/huginsetup/Graphics/Hugin-sidebar.bmp,
	platforms/windows/huginsetup/Graphics/Hugin.bmp,
	platforms/windows/huginsetup/Graphics/Hugin.png,
	platforms/windows/huginsetup/Graphics/hugin-installer-icon.ico,
	platforms/windows/huginsetup/Graphics/hugin-installer-icon.svg,
	platforms/windows/huginsetup/Graphics/hugin-installer-icon.xcf,
	platforms/windows/huginsetup/HuginSetup_common.nsh,
	platforms/windows/huginsetup/HuginSetup_x32.nsi,
	platforms/windows/huginsetup/HuginSetup_x64.nsi,
	platforms/windows/huginsetup/Languages/DE.nsh,
	platforms/windows/huginsetup/Languages/EN.nsh,
	platforms/windows/huginsetup/Languages/IT.nsh,
	platforms/windows/huginsetup/Licenses/Autopano.txt,
	platforms/windows/huginsetup/Licenses/Autopano_IT.txt,
	platforms/windows/huginsetup/Licenses/ControlPointDisclaimer_DE.txt,
	platforms/windows/huginsetup/Licenses/ControlPointDisclaimer_EN.txt,
	platforms/windows/huginsetup/Licenses/ControlPointDisclaimer_IT.txt,
	platforms/windows/huginsetup/Licenses/GPLv2.txt,
	platforms/windows/huginsetup/Licenses/Licenses.nsh,
	platforms/windows/huginsetup/Licenses/Panomatic.txt,
	platforms/windows/huginsetup/Licenses/Panomatic_IT.txt,
	platforms/windows/huginsetup/Plugins/nsis7z.dll,
	platforms/windows/huginsetup/Plugins/nsisunz.dll: new file.
	* platforms/windows/huginsetup/CHANGELOG.txt,
	platforms/windows/huginsetup/CPGenerators/Autopano-sift-c.nsh,
	platforms/windows/huginsetup/CPGenerators/Autopano.nsh,
	platforms/windows/huginsetup/CPGenerators/Match-n-shift.nsh,
	platforms/windows/huginsetup/CPGenerators/Panomatic.nsh,
	platforms/windows/huginsetup/Graphics/Hugin-sidebar.bmp,
	platforms/windows/huginsetup/Graphics/Hugin.bmp,
	platforms/windows/huginsetup/Graphics/Hugin.png,
	platforms/windows/huginsetup/Graphics/hugin-installer-icon.ico,
	platforms/windows/huginsetup/Graphics/hugin-installer-icon.svg,
	platforms/windows/huginsetup/Graphics/hugin-installer-icon.xcf,
	platforms/windows/huginsetup/HuginSetup_common.nsh,
	platforms/windows/huginsetup/HuginSetup_x32.nsi,
	platforms/windows/huginsetup/HuginSetup_x64.nsi,
	platforms/windows/huginsetup/Languages/DE.nsh,
	platforms/windows/huginsetup/Languages/EN.nsh,
	platforms/windows/huginsetup/Languages/IT.nsh,
	platforms/windows/huginsetup/Licenses/Autopano.txt,
	platforms/windows/huginsetup/Licenses/Autopano_IT.txt,
	platforms/windows/huginsetup/Licenses/ControlPointDisclaimer_DE.txt,
	platforms/windows/huginsetup/Licenses/ControlPointDisclaimer_EN.txt,
	platforms/windows/huginsetup/Licenses/ControlPointDisclaimer_IT.txt,
	platforms/windows/huginsetup/Licenses/GPLv2.txt,
	platforms/windows/huginsetup/Licenses/Licenses.nsh,
	platforms/windows/huginsetup/Licenses/Panomatic.txt,
	platforms/windows/huginsetup/Licenses/Panomatic_IT.txt,
	platforms/windows/huginsetup/Plugins/nsis7z.dll,
	platforms/windows/huginsetup/Plugins/nsisunz.dll:
	initial import of NSIS installer by Emanuele Panz

2010-09-14 19:42 -0400  Yuval Levy  <yuv@users.sourceforge.net>  (fb6b3b0c0d7a)

	* CMakeLists.txt:
	reverted most Debian dependencies as it seems that .deb packages
	built by CMake do not support minimimum versions in the
	dependencies.

2010-09-14 23:44 +0200  tmodes  <tmodes>  (f155f69f2415)

	* src/libpanomatic/panomatic/PanoDetector.cpp,
	src/libpanomatic/panomatic/PanoDetector.h:
	Print some more information to stdout

2010-09-14 23:07 +0200  tmodes  <tmodes>  (99a11129c55c)

	* src/libpanomatic/panomatic/PanoDetectorLogic.cpp:
	Improved calculation of distance map

2010-09-14 20:03 +0200  tmodes  <tmodes>  (3b7072116310)

	* src/libpanomatic/panomatic/PanoDetector.cpp:
	Refactored code

2010-09-14 20:01 +0200  tmodes  <tmodes>  (9c05c6b53890)

	* src/libpanomatic/panomatic/PanoDetectorLogic.cpp:
	Unified line breaks

2010-09-14 19:52 +0200  tmodes  <tmodes>  (658b76003fcf)

	* src/hugin_base/panodata/SrcPanoImage.cpp:
	Fixes issue that HFOV is not shown if crop factor could not
	calculated from EXIF

2010-09-14 19:14 +0200  tmodes  <tmodes>  (bf8c12f7977d)

	* src/libpanomatic/panomatic/PanoDetector.h,
	src/libpanomatic/panomatic/PanoDetectorLogic.cpp:
	Use distance map for checking if control points are inside image
	This considers also alpha layers in image files and masks in pto
	file for cp detection. This fixes also the issue, that only control
	points near the borders are found for remapped images.

2010-09-14 17:14 +0200  tmodes  <tmodes>  (0c1c79f30d7b)

	* src/hugin_base/appbase/ProgressDisplayOld.cpp,
	src/hugin_base/appbase/ProgressDisplayOld.h,
	src/hugin_base/vigra_ext/ImageTransforms.h:
	Fixes typo

2010-09-13 22:15 +0100  Bruno Postle  <bruno@postle.net>  (29beb35f0611)

	* doc/nona.txt:
	put TrX,TrY,TrZ parameters in right place in doc

2010-09-13 19:45 +0200  tmodes  <tmodes>  (576580cce523)

	* src/libpanomatic/panomatic/PanoDetectorLogic.cpp:
	Bugfixes for loading keyfiles (Keyfiles are always saved with full
	resolution. This needs to be considered when loading keyfiles and
	remapping cp back to image space)

2010-09-13 19:24 +0200  tmodes  <tmodes>  (32236480705e)

	* src/libpanomatic/panomatic/PanoDetector.cpp,
	src/libpanomatic/panomatic/PanoDetector.h,
	src/libpanomatic/panomatic/PanoDetectorLogic.cpp,
	src/libpanomatic/panomatic/main.cpp:
	Allow caching of keypoint files to user defined directory. Default
	is the same directory as image.

2010-09-13 17:33 +0200  tmodes  <tmodes>  (0302ad1a5644)

	* src/hugin1/hugin/GLPreviewFrame.cpp,
	src/hugin1/hugin/GLPreviewFrame.h,
	src/hugin1/hugin/PreviewFrame.cpp, src/hugin1/hugin/PreviewFrame.h:
	Allow undo and redo in preview frames (Ctrl+Z/Ctrl+Y)

2010-09-12 19:06 +0200  tmodes  <tmodes>  (af609b00a15b)

	* src/hugin1/hugin/CPDetectorDialog.cpp,
	src/hugin1/hugin/CPDetectorDialog.h,
	src/hugin1/hugin/xrc/cpdetector_dialog.xrc,
	src/hugin1/icpfind/AutoCtrlPointCreator.cpp,
	src/hugin1/icpfind/AutoCtrlPointCreator.h,
	src/hugin1/icpfind/CPDetectorConfig.cpp,
	src/hugin1/icpfind/CPDetectorConfig.h,
	src/hugin1/icpfind/CPDetectorConfig_default.h:
	Added cleanup code for cp detector
	* Adaption for libpanomatic

2010-09-12 17:42 +0200  tmodes  <tmodes>  (22660fdfa21d)

	* src/hugin_base/algorithms/assistant_makefile/AssistantMakefilelibExp
	ort.cpp:
	Unified line endings

2010-09-12 17:30 +0200  tmodes  <tmodes>  (3684115b1d02)

	* src/libpanomatic/panomatic/PanoDetector.cpp,
	src/libpanomatic/panomatic/PanoDetector.h,
	src/libpanomatic/panomatic/main.cpp:
	Added options for better integration into hugins heuristic cp
	detector

2010-09-11 18:31 -0400  Yuval Levy  <yuv@users.sourceforge.net>  (23d47515854e)

	* CMakeLists.txt:
	minor: versions of Debian package dependencies

2010-09-11 16:56 -0400  Yuval Levy  <yuv@users.sourceforge.net>  (554160625863)

	* CMakeLists.txt:
	Debian package dependencies (Kornel Benko)

2010-09-11 14:45 +0200  tmodes  <tmodes>  (b476a602385d)

	* src/tools/checkpto.cpp:
	Unified line endings

2010-09-11 14:45 +0200  tmodes  <tmodes>  (d4fea37964ba)

	* src/hugin_base/algorithms/assistant_makefile/AssistantMakefilelibExp
	ort.cpp:
	Assistant: Run cp detector always when there are unconnected images
	groups (not only when there are no cp)

2010-09-11 14:43 +0200  tmodes  <tmodes>  (6a01edd02d52)

	* src/hugin1/icpfind/AutoCtrlPointCreator.cpp:
	If cp detector has no path given, search also in hugins bin
	directory for suitable program (Windows only)

2010-09-11 14:14 +0200  tmodes  <tmodes>  (ff81bf9151c4)

	* src/hugin1/ptbatcher/FailedProjectsDialog.cpp,
	src/hugin1/ptbatcher/FailedProjectsDialog.h: new file.
	* src/hugin1/base_wx/MyExternalCmdExecDialog.cpp,
	src/hugin1/base_wx/MyExternalCmdExecDialog.h,
	src/hugin1/base_wx/RunStitchPanel.cpp,
	src/hugin1/base_wx/RunStitchPanel.h,
	src/hugin1/hugin/xrc/batch_frame.xrc,
	src/hugin1/ptbatcher/Batch.cpp, src/hugin1/ptbatcher/Batch.h,
	src/hugin1/ptbatcher/BatchFrame.cpp,
	src/hugin1/ptbatcher/BatchFrame.h,
	src/hugin1/ptbatcher/CMakeLists.txt,
	src/hugin1/ptbatcher/FailedProjectsDialog.cpp,
	src/hugin1/ptbatcher/FailedProjectsDialog.h,
	src/hugin1/ptbatcher/RunStitchFrame.cpp,
	src/hugin1/ptbatcher/RunStitchFrame.h,
	src/hugin1/stitch_project/hugin_stitch_project.cpp:
	Allow saving of log output
	* hugin_stitch_project manually with file select dialog
	* PTBatcherGUI automatically for failed projects

2010-09-11 14:13 +0200  tmodes  <tmodes>  (cc9934911679)

	* src/hugin1/icpfind/AutoCtrlPointCreator.cpp:
	Bug fix for running icpfind (Windows only)

2010-09-11 00:03 +0100  Bruno Postle  <bruno@postle.net>  (142dbc9048b5)

	* doc/nona.txt:
	Note TrX,TrY,TrZ mosaic mode translation offsets

2010-09-10 21:41 +0100  Bruno Postle  <bruno@postle.net>  (31603488100a)

	* src/translations/zh_CN.po:
	Updated Simplified Chinese translation (Lu Fang)

2010-09-10 08:33 +0200  tmodes  <tmodes>  (fc38b89e608e)

	* src/hugin1/hugin/AssistantPanel.cpp,
	src/hugin1/hugin/AssistantPanel.h:
	Disable send to batch button (on assistant tab) if project contains
	less than 2 images

2010-09-10 08:28 +0200  tmodes  <tmodes>  (c5b7df549f2d)

	* src/hugin1/hugin/AboutDialog.cpp, src/hugin1/hugin/AboutDialog.h,
	src/hugin1/hugin/xrc/about.xrc:
	Added system information to About screen

2010-09-10 07:49 +0200  tmodes  <tmodes>  (2c15e1c853dc)

	* src/hugin_base/algorithms/panorama_makefile/PanoramaMakefilelibExpor
	t.cpp:
	More info for info target

2010-09-09 22:45 +0100  Bruno Postle  <bruno@postle.net>  (2c1cfdf75b1b)

	* authors.txt:
	Missing tabs in authors.txt, note Masahiro Kitagawa

2010-09-09 21:31 +0200  tmodes  <tmodes>  (781e333ae8d6)

	* src/hugin_base/algorithms/panorama_makefile/PanoramaMakefilelibExpor
	t.cpp:
	Improved info target on linux if a tool is missing

2010-09-09 20:56 +0200  tmodes  <tmodes>  (603cf21fc265)

	* src/hugin_base/algorithms/panorama_makefile/PanoramaMakefilelibExpor
	t.cpp:
	Modified apple specific code

2010-09-09 20:35 +0200  tmodes  <tmodes>  (ca2c561ec7bf)

	* src/hugin_base/algorithms/panorama_makefile/PanoramaMakefilelibExpor
	t.cpp:
	Added more information to info target

2010-09-09 10:32 -0400  Yuval Levy  <yuv@users.sourceforge.net>  (d21377b2c560)

	* authors.txt:
	updated authors list

2010-09-09 13:05 +0200  tmodes  <tmodes>  (9b8bf4a91b1b)

	* src/hugin1/base_wx/RunStitchPanel.cpp, src/hugin_base/algorithms/pan
	orama_makefile/PanoramaMakefilelibExport.cpp, src/hugin_base/algorit
	hms/panorama_makefile/PanoramaMakefilelibExport.h:
	Added info target to makefile to get better bug reports

2010-09-09 13:04 +0200  tmodes  <tmodes>  (6f8185028bea)

	* src/tools/pto2mk.cpp:
	Removed debug output

2010-09-09 13:04 +0200  tmodes  <tmodes>  (b737a640d3b4)

	* src/hugin1/icpfind/AutoCtrlPointCreator.h,
	src/hugin1/icpfind/CPDetectorConfig.h,
	src/hugin_base/makefilelib/Anything.h,
	src/hugin_base/makefilelib/AutoVariable.h,
	src/hugin_base/makefilelib/CMakeLists.txt,
	src/hugin_base/makefilelib/Comment.h,
	src/hugin_base/makefilelib/Conditional.h,
	src/hugin_base/makefilelib/Makefile.h,
	src/hugin_base/makefilelib/MakefileItem.h,
	src/hugin_base/makefilelib/Manageable.h,
	src/hugin_base/makefilelib/Manager.h,
	src/hugin_base/makefilelib/Newline.h,
	src/hugin_base/makefilelib/Rule.h,
	src/hugin_base/makefilelib/StringAdapter.h,
	src/hugin_base/makefilelib/Variable.h,
	src/hugin_base/makefilelib/VariableDef.h,
	src/hugin_base/makefilelib/VariableRef.h, src/hugin_shared.h:
	Improvements for building dynamic lib on windows

2010-09-08 08:39 +0200  tmodes  <tmodes>  (db5bbc917c76)

	* src/celeste/PGMImage.cpp:
	Fixes overflow in celeste write PGM (Markus Meier) (transplanted
	from bc5806a6c323d9ef25647300981fa8bcd64281eb)

2010-09-08 08:15 +0200  tmodes  <tmodes>  (8f0ca3b198b1)

	* src/hugin1/hugin/OptimizePanel.cpp:
	Optimise anchors yaw and pitch when optimising translation
	parameters

2010-09-06 13:45 +0200  cri  <cri.penta@gmail.com>  (894db7d251dd)

	* src/translations/it.po:
	Updated Italian translation

2010-09-05 17:32 +0200  tmodes  <tmodes>  (e8ceda6f377e)

	* src/hugin1/hugin/xrc/optimize_photo_panel.xrc:
	Remove wrong placed tooltip

2010-09-05 13:15 +0200  Florian Achleitner  <florian.achleitner.2.6.31@gmail.com>  (2471dd521d53)

	* src/hugin_base/makefilelib/test_filenames.cpp:
	test_filenames: remove obsolete include

2010-09-05 08:28 +0200  tmodes  <tmodes>  (fb526dd72d6e)

	* Merge

2010-09-05 08:25 +0200  tmodes  <tmodes>  (b43ce8722d82)

	* src/hugin_base/algorithms/panorama_makefile/PanoramaMakefilelibExpor
	t.cpp:
	Added missing whitespace

2010-09-04 23:00 +0200  Florian Achleitner  <florian.achleitner.2.6.31@gmail.com>  (3f2ea7277be6)

	* src/hugin_base/makefilelib/Makefile.cpp,
	src/hugin_base/makefilelib/test_filenames.cpp:
	- Makefile.cpp: remove locale switch, it doesn't seem to be
	neccessary.
	- test_filenames.cpp: locale is completely unused here, removed

2010-09-04 21:25 +0100  Bruno Postle  <bruno@postle.net>  (46513ff233cb)

	* src/hugin1/hugin/xrc/optimize_photo_panel.xrc:
	Revert a tooltip change that was part of a japanese translation
	update

2010-09-04 14:14 +0200  tmodes  <tmodes>  (b6255d61499c)

	* CMakeModules/win_bundle.cmake, src/hugin1/hugin/CPImageCtrl.cpp,
	src/hugin1/hugin/CPImageCtrl.h,
	src/hugin1/icpfind/AutoCtrlPointCreator.h,
	src/hugin1/icpfind/CPDetectorConfig.h, src/hugin_base/algorithms/ass
	istant_makefile/AssistantMakefilelibExport.h, src/hugin_base/algorit
	hms/panorama_makefile/PanoramaMakefilelibExport.cpp, src/hugin_base/
	algorithms/panorama_makefile/PanoramaMakefilelibExport.h,
	src/hugin_base/makefilelib/Anything.h,
	src/hugin_base/makefilelib/AutoVariable.h,
	src/hugin_base/makefilelib/Comment.h,
	src/hugin_base/makefilelib/Conditional.h,
	src/hugin_base/makefilelib/Makefile.cpp,
	src/hugin_base/makefilelib/Makefile.h,
	src/hugin_base/makefilelib/MakefileItem.h,
	src/hugin_base/makefilelib/Manageable.h,
	src/hugin_base/makefilelib/Manager.h,
	src/hugin_base/makefilelib/Newline.h,
	src/hugin_base/makefilelib/Rule.h,
	src/hugin_base/makefilelib/StringAdapter.h,
	src/hugin_base/makefilelib/Variable.h,
	src/hugin_base/makefilelib/VariableDef.h,
	src/hugin_base/makefilelib/VariableRef.h, src/hugin_shared.h:
	Modification to makefilebranch to allow building dynamic libs

2010-09-04 12:52 +0200  tmodes  <tmodes>  (ada49d96c3c4)

	* src/hugin_base/makefilelib/test_filenames.cpp:
	More fixes for MacOS (Harry van der Wolf)

2010-09-04 12:43 +0900  Masahiro Kitagawa  <arctica0316@gmail.com>  (2d2e68e562fb)

	* src/hugin1/hugin/xrc/optimize_photo_panel.xrc,
	src/translations/ja.po:
	updated Japanese translation

2010-09-03 20:05 +0200  tmodes  <tmodes>  (56e3b4c928bf)

	* src/hugin1/ptbatcher/FindPanoDialog.h,
	src/hugin_base/algorithms/optimizer/ImageGraph.h,
	src/hugin_base/makefilelib/Makefile.cpp,
	src/hugin_base/makefilelib/Manager.h:
	More fixes for MacOS

2010-09-03 19:46 +0200  cri  <cri.penta@gmail.com>  (3d43b51068e0)

	* src/translations/it.po:
	Updated Italian translation

2010-09-02 19:40 +0200  tmodes  <tmodes>  (4275b94d63a1)

	* src/translations/de.po:
	Updated german translation

2010-09-02 19:24 +0200  tmodes  <tmodes>  (b41086a6c6b0)

	* src/hugin1/hugin/xrc/batch_menu.xrc:
	Modified PTBatcherGUI menu for more clarity

2010-09-02 15:41 +0200  cri  <cri.penta@gmail.com>  (ed650c517472)

	* src/translations/it.po:
	updated Italian translation

2010-09-01 22:25 +0200  tmodes  <tmodes>  (afcb49d443f0)

	* src/hugin_base/makefilelib/CMakeLists.txt:
	Improved option to build makefilelib tests

2010-09-01 20:53 +0100  Bruno Postle  <bruno@postle.net>  (11fe796a3e42)

	* src/hugin1/hugin/xrc/data/help_en_EN/22px-Preview_layout.svg.png,
	src/hugin1/hugin/xrc/data/help_en_EN/Layout-small.png: new file.
	* src/hugin1/hugin/xrc/data/help_en_EN/22px-Preview_layout.svg.png,
	src/hugin1/hugin/xrc/data/help_en_EN/Layout-small.png:
	Some images to go with manual update

2010-09-01 20:50 +0100  Bruno Postle  <bruno@postle.net>  (4330ac3ddf2a)

	* src/hugin1/hugin/xrc/data/help_en_EN/Hugin_Fast_Preview_window.html:
	Minor manual update

2010-09-02 01:25 +0900  Masahiro Kitagawa  <arctica0316@gmail.com>  (2c23239b6c40)

	* doc/releases/hugin-2010.2.0_beta2.txt,
	src/hugin1/hugin/xrc/data/help_en_EN/197px-Field-of-view.svg.png,
	src/hugin1/hugin/xrc/data/help_en_EN/360px-Pantheon-150x100-rect-
	panini.jpg: new file.
	* src/translations/ja.po:
	updated Japanese translation

2010-09-02 01:12 +0900  Masahiro Kitagawa  <arctica0316@gmail.com>  (dd98fffc16fc)

	* src/translations/ja.po:
	updated Japanese translation

2010-08-31 00:09 +0100  Bruno Postle  <bruno@postle.net>  (02d4c93df71c)

	* doc/releases/hugin-2010.2.0_beta2.txt: new file.
	* doc/releases/hugin-2010.2.0_beta2.txt:
	Release notes for 2010.2.0_beta2

2010-08-30 18:20 +0200  tmodes  <tmodes>  (79fdb698be70)

	* src/libpanomatic/panomatic/PanoDetector.cpp:
	Correct check load success with -k parameter

2010-08-30 18:20 +0200  tmodes  <tmodes>  (238953b1f537)

	* src/libpanomatic/panomatic/main.cpp:
	Use hugins version numbering for panomatic

2010-08-30 18:19 +0200  tmodes  <tmodes>  (f69d28f0ff2d)

	* src/libpanomatic/keypoints/CMakeLists.txt,
	src/libpanomatic/keypoints/keypoints.cpp: deleted file.
	* src/libpanomatic/CMakeLists.txt,
	src/libpanomatic/keypoints/CMakeLists.txt,
	src/libpanomatic/keypoints/keypoints.cpp:
	Remove now obsolote program keypoints

2010-08-30 00:39 +0100  James Legg  <jlegg@users.sourceforge.net>  (a1bdf93f59b0)

	* src/hugin1/hugin/GreatCircles.cpp:
	Fix crash when trying to draw control points on the fast preview
	that are not in the projectable region.

2010-08-29 22:56 +0100  Bruno Postle  <bruno@postle.net>  (6d9c12d4fccd)

	* src/hugin1/hugin/xrc/data/help_en_EN/Fulla.html,
	src/hugin1/hugin/xrc/data/help_en_EN/Hugin.html,
	src/hugin1/hugin/xrc/data/help_en_EN/Hugin_FAQ.html,
	src/hugin1/hugin/xrc/data/help_en_EN/Hugin_Preferences.html,
	src/hugin1/hugin/xrc/data/help_en_EN/Hugin_Reset_Values_window.html,
	src/hugin1/hugin/xrc/data/help_en_EN/Pano_modify.html,
	src/hugin1/hugin/xrc/data/help_en_EN/Panorama_tools.html,
	src/hugin1/hugin/xrc/data/help_en_EN/Panotools.html,
	src/hugin1/hugin/xrc/data/help_en_EN/Pto_merge.html:
	Update manual from wiki

2010-08-29 22:46 +0100  Bruno Postle  <bruno@postle.net>  (982e8040a489)

	* src/hugin1/hugin/xrc/data/help_en_EN/197px-Field-of-view.svg.png,
	src/hugin1/hugin/xrc/data/help_en_EN/360px-Pantheon-150x100-rect-
	panini.jpg: new file.
	* src/hugin1/hugin/xrc/data/help_en_EN/197px-Field-of-view.svg.png,
	src/hugin1/hugin/xrc/data/help_en_EN/360px-Pantheon-150x100-rect-
	panini.jpg:
	Add some images from the manual that got missed before

2010-08-29 22:32 +0100  Bruno Postle  <bruno@postle.net>  (b2247720dcb0)

	* ChangeLog:
	Update ChangeLog for default branch

2010-08-28 20:43 +0100  Bruno Postle  <bruno@postle.net>  (b810ebe7243d)

	* CMakeLists.txt:
	No need to search for boost_system-mt, boost_system works on Windows
	and Linux

2010-08-28 12:36 +0100  Bruno Postle  <bruno@postle.net>  (33c9f4471693)

	* src/translations/ja.po:
	Remove some \n from Japanese translation that caused fatal error

2010-08-28 14:49 +0900  Masahiro Kitagawa  <arctica0316@gmail.com>  (e36f788bf17f)

	* src/translations/ja.po:
	updated Japanese translation

2010-08-26 23:19 +0100  Bruno Postle  <bruno@postle.net>  (3f560fa2730e)

	* CMakeLists.txt:
	Need to link explicitely to libboost_system-mt when building with
	gcc-4.4.4 on fedora 13

2010-08-26 19:11 +0200  tmodes  <tmodes>  (72e8b6455103)

	* CMakeLists.txt:
	Added version check for boost Makefilelib branches requires at least
	Boost 1.34

2010-08-26 19:04 +0200  tmodes  <tmodes>  (74941976f2e8)

	* src/libpanomatic/panomatic/PanoDetector.cpp:
	Bugfix for projects which does not require stereographic remapping

2010-08-25 20:49 +0200  tmodes  <tmodes>  (db6a0a66364a)

	* src/hugin1/hugin/ImagesPanel.cpp:
	Ignore empty input fields in Images tab

2010-08-24 23:09 +0200  tmodes  <tmodes>  (d1ce8e7b687b)

	* Merged

2010-08-24 23:06 +0200  tmodes  <tmodes>  (eeec623544fb)

	* src/hugin1/icpfind/AutoCtrlPointCreator.cpp:
	Added missing flag for Linux systems

2010-08-24 22:09 +0200  Florian Achleitner  <florian.achleitner.2.6.31@gmail.com>  (08270a51616d)

	* src/hugin1/hugin/CPDetectorDialog.cpp,
	src/hugin1/hugin/CPDetectorDialog.h,
	src/hugin1/icpfind/AutoCtrlPointCreator.cpp,
	src/hugin1/icpfind/AutoCtrlPointCreator.h,
	src/hugin1/icpfind/CMakeLists.txt,
	src/hugin1/icpfind/CPDetectorConfig.cpp,
	src/hugin1/icpfind/CPDetectorConfig.h,
	src/hugin1/icpfind/CPDetectorConfig_default.h,
	src/hugin1/icpfind/icpfind.cpp, src/hugin1/icpfind/icpfind.h,
	src/hugin1/ptbatcher/FindPanoDialog.cpp,
	src/hugin1/ptbatcher/FindPanoDialog.h, src/hugin_base/algorithms/ass
	istant_makefile/AssistantMakefilelibExport.cpp, src/hugin_base/algor
	ithms/assistant_makefile/AssistantMakefilelibExport.h,
	src/tools/checkpto.cpp: new file.
	* src/hugin1/hugin/AutoCtrlPointCreator.cpp,
	src/hugin1/hugin/AutoCtrlPointCreator.h,
	src/hugin1/hugin/CPDetectorConfig.cpp,
	src/hugin1/hugin/CPDetectorConfig.h,
	src/hugin1/hugin/CPDetectorConfig_default.h, src/hugin_base/algorith
	ms/panorama_makefile/PanoramaMakefileExport.cpp, src/hugin_base/algo
	rithms/panorama_makefile/PanoramaMakefileExport.h,
	src/tools/pto2mkold.cpp: deleted file.
	* src/hugin1/hugin/AutoCtrlPointCreator.cpp,
	src/hugin1/hugin/AutoCtrlPointCreator.h,
	src/hugin1/hugin/CPDetectorConfig.cpp,
	src/hugin1/hugin/CPDetectorConfig.h,
	src/hugin1/hugin/CPDetectorConfig_default.h, src/hugin_base/algorith
	ms/panorama_makefile/PanoramaMakefileExport.cpp, src/hugin_base/algo
	rithms/panorama_makefile/PanoramaMakefileExport.h, src/hugin_base/al
	gorithms/panorama_makefile/PanoramaMakefilelibExport.cpp, src/hugin_
	base/algorithms/panorama_makefile/PanoramaMakefilelibExport.h,
	src/hugin_base/makefilelib/CMakeLists.txt,
	src/hugin_base/makefilelib/Makefile.cpp, src/tools/pto2mkold.cpp:
	Merge with 94ef9df0f4ea05d2cd6205e5e2ffda36afe0c6ec

2010-08-24 22:03 +0200  Florian Achleitner  <florian.achleitner.2.6.31@gmail.com>  (578d7087e8ea)

	* src/Doxyfile:
	- don't hardcode doxygen output path

2010-08-21 11:02 +0200  Florian Achleitner  <florian.achleitner.2.6.31@gmail.com>  (158913fc52bf)

	* src/hugin_base/makefilelib/Makefile.mk,
	src/hugin_base/makefilelib/test_simple.cpp: new file.
	* src/hugin_base/makefilelib/main.cpp: deleted file.
	* src/hugin_base/makefilelib/CMakeLists.txt,
	src/hugin_base/makefilelib/Doxyfile,
	src/hugin_base/makefilelib/Makefile.mk,
	src/hugin_base/makefilelib/main.cpp,
	src/hugin_base/makefilelib/test_simple.cpp:
	- rename main.cpp to test_simple.cpp for consistent naming
	- create a Makefile.mk that builds the lib and the testers independent
	of cmake (for gsoc submission)
	- don't hardcode doxygen output path

2010-08-21 09:21 +0200  Florian Achleitner  <florian.achleitner.2.6.31@gmail.com>  (f53d21b7773a)

	* src/hugin_base/algorithms/panorama_makefile/PanoramaMakefilelibExpor
	t.cpp, src/hugin_base/algorithms/panorama_makefile/PanoramaMakefilel
	ibExport.h, src/hugin_base/makefilelib/Anything.h,
	src/hugin_base/makefilelib/AutoVariable.cpp,
	src/hugin_base/makefilelib/AutoVariable.h,
	src/hugin_base/makefilelib/Comment.cpp,
	src/hugin_base/makefilelib/Comment.h,
	src/hugin_base/makefilelib/Conditional.cpp,
	src/hugin_base/makefilelib/Conditional.h,
	src/hugin_base/makefilelib/Makefile.cpp,
	src/hugin_base/makefilelib/Makefile.h,
	src/hugin_base/makefilelib/MakefileItem.cpp,
	src/hugin_base/makefilelib/MakefileItem.h,
	src/hugin_base/makefilelib/Manageable.h,
	src/hugin_base/makefilelib/Manager.h,
	src/hugin_base/makefilelib/Newline.h,
	src/hugin_base/makefilelib/Rule.cpp,
	src/hugin_base/makefilelib/Rule.h,
	src/hugin_base/makefilelib/StringAdapter.h,
	src/hugin_base/makefilelib/Variable.cpp,
	src/hugin_base/makefilelib/Variable.h,
	src/hugin_base/makefilelib/VariableDef.cpp,
	src/hugin_base/makefilelib/VariableDef.h,
	src/hugin_base/makefilelib/VariableRef.cpp,
	src/hugin_base/makefilelib/VariableRef.h,
	src/hugin_base/makefilelib/char_type.h,
	src/hugin_base/makefilelib/example.cpp,
	src/hugin_base/makefilelib/main.cpp,
	src/hugin_base/makefilelib/test_filenames.cpp,
	src/hugin_base/makefilelib/test_makefilelib.cpp,
	src/hugin_base/makefilelib/test_util.cpp,
	src/hugin_base/makefilelib/test_util.h,
	src/hugin_base/makefilelib/test_util_win32.cpp,
	src/hugin_base/makefilelib/unicode.cpp:
	Insert GPL Header

2010-08-24 20:52 +0200  tmodes  <tmodes>  (94ef9df0f4ea)

	* src/hugin1/hugin/CPDetectorDialog.cpp,
	src/hugin1/hugin/CPDetectorDialog.h,
	src/hugin1/icpfind/AutoCtrlPointCreator.cpp,
	src/hugin1/icpfind/AutoCtrlPointCreator.h,
	src/hugin1/icpfind/CMakeLists.txt,
	src/hugin1/icpfind/CPDetectorConfig.cpp,
	src/hugin1/icpfind/CPDetectorConfig.h,
	src/hugin1/icpfind/CPDetectorConfig_default.h,
	src/hugin1/icpfind/icpfind.cpp, src/hugin1/icpfind/icpfind.h,
	src/hugin1/ptbatcher/FindPanoDialog.cpp,
	src/hugin1/ptbatcher/FindPanoDialog.h, src/hugin_base/algorithms/ass
	istant_makefile/AssistantMakefilelibExport.cpp, src/hugin_base/algor
	ithms/assistant_makefile/AssistantMakefilelibExport.h,
	src/tools/checkpto.cpp: new file.
	* src/hugin1/hugin/AutoCtrlPointCreator.cpp,
	src/hugin1/hugin/AutoCtrlPointCreator.h,
	src/hugin1/hugin/CPDetectorConfig.cpp,
	src/hugin1/hugin/CPDetectorConfig.h,
	src/hugin1/hugin/CPDetectorConfig_default.h: deleted file.
	* src/hugin1/CMakeLists.txt,
	src/hugin1/base_wx/MyExternalCmdExecDialog.cpp,
	src/hugin1/base_wx/MyExternalCmdExecDialog.h,
	src/hugin1/base_wx/RunStitchPanel.cpp,
	src/hugin1/base_wx/RunStitchPanel.h,
	src/hugin1/base_wx/huginConfig.cpp,
	src/hugin1/base_wx/huginConfig.h,
	src/hugin1/hugin/AssistantPanel.cpp,
	src/hugin1/hugin/AssistantPanel.h,
	src/hugin1/hugin/AutoCtrlPointCreator.cpp,
	src/hugin1/hugin/AutoCtrlPointCreator.h,
	src/hugin1/hugin/CMakeLists.txt,
	src/hugin1/hugin/CPDetectorConfig.cpp,
	src/hugin1/hugin/CPDetectorConfig.h,
	src/hugin1/hugin/CPDetectorConfig_default.h,
	src/hugin1/hugin/CPDetectorDialog.cpp,
	src/hugin1/hugin/CPDetectorDialog.h,
	src/hugin1/hugin/ImagesPanel.cpp, src/hugin1/hugin/ImagesPanel.h,
	src/hugin1/hugin/PreferencesDialog.cpp,
	src/hugin1/hugin/PreferencesDialog.h,
	src/hugin1/hugin/wxPanoCommand.cpp,
	src/hugin1/hugin/wxPanoCommand.h,
	src/hugin1/hugin/xrc/assistant_panel.xrc,
	src/hugin1/hugin/xrc/batch_frame.xrc,
	src/hugin1/hugin/xrc/batch_menu.xrc,
	src/hugin1/icpfind/AutoCtrlPointCreator.cpp,
	src/hugin1/icpfind/AutoCtrlPointCreator.h,
	src/hugin1/icpfind/CMakeLists.txt,
	src/hugin1/icpfind/CPDetectorConfig.cpp,
	src/hugin1/icpfind/CPDetectorConfig.h,
	src/hugin1/icpfind/CPDetectorConfig_default.h,
	src/hugin1/icpfind/icpfind.cpp, src/hugin1/icpfind/icpfind.h,
	src/hugin1/ptbatcher/Batch.cpp, src/hugin1/ptbatcher/Batch.h,
	src/hugin1/ptbatcher/BatchFrame.cpp,
	src/hugin1/ptbatcher/BatchFrame.h,
	src/hugin1/ptbatcher/CMakeLists.txt,
	src/hugin1/ptbatcher/FindPanoDialog.cpp,
	src/hugin1/ptbatcher/FindPanoDialog.h,
	src/hugin1/ptbatcher/PTBatcherGUI.cpp,
	src/hugin1/ptbatcher/PTBatcherGUI.h,
	src/hugin1/ptbatcher/ProjectArray.cpp,
	src/hugin1/ptbatcher/ProjectArray.h,
	src/hugin1/ptbatcher/ProjectListBox.cpp,
	src/hugin1/ptbatcher/ProjectListBox.h,
	src/hugin1/ptbatcher/RunStitchFrame.cpp,
	src/hugin1/ptbatcher/RunStitchFrame.h,
	src/hugin_base/CMakeLists.txt, src/hugin_base/algorithms/assistant_m
	akefile/AssistantMakefilelibExport.cpp, src/hugin_base/algorithms/as
	sistant_makefile/AssistantMakefilelibExport.h,
	src/hugin_base/panodata/SrcPanoImage.h, src/tools/CMakeLists.txt,
	src/tools/checkpto.cpp, src/tools/pano_modify.cpp:
	Make assistant batchable

2010-08-24 20:23 +0200  tmodes  <tmodes>  (c9a154eaa43a)

	* src/hugin_base/algorithms/panorama_makefile/PanoramaMakefileExport.c
	pp, src/hugin_base/algorithms/panorama_makefile/PanoramaMakefileExpo
	rt.h, src/tools/pto2mkold.cpp: deleted file.
	* src/hugin1/base_wx/RunStitchPanel.cpp,
	src/hugin1/base_wx/RunStitchPanel.h,
	src/hugin1/base_wx/huginConfig.h, src/hugin1/hugin/MainFrame.cpp,
	src/hugin1/ptbatcher/RunStitchFrame.cpp,
	src/hugin1/ptbatcher/RunStitchFrame.h,
	src/hugin1/stitch_project/hugin_stitch_project.cpp,
	src/hugin_base/CMakeLists.txt, src/hugin_base/algorithms/panorama_ma
	kefile/PanoramaMakefileExport.cpp, src/hugin_base/algorithms/panoram
	a_makefile/PanoramaMakefileExport.h, src/hugin_base/algorithms/panor
	ama_makefile/PanoramaMakefilelibExport.cpp, src/hugin_base/algorithm
	s/panorama_makefile/PanoramaMakefilelibExport.h,
	src/hugin_base/makefilelib/CMakeLists.txt,
	src/hugin_base/makefilelib/Makefile.cpp, src/tools/pto2mkold.cpp:
	Make hugin gui use new makefilelib

2010-08-23 23:20 +0100  Bruno Postle  <bruno@postle.net>  (3bed0a85cc33)

	* src/translations/it.po:
	Updated Italian translation (Cristian Marchi)

2010-08-16 18:25 +0200  Antoine  <Antoine>  (c07b7c4a48f4)

	* src/libpanomatic/panomatic/PanoDetector.cpp,
	src/libpanomatic/panomatic/PanoDetectorLogic.cpp:
	Clean comments out of the code.

2010-08-15 23:50 +0200  Antoine  <Antoine>  (34506e198557)

	* src/libpanomatic/panomatic/PanoDetector.cpp,
	src/libpanomatic/panomatic/PanoDetector.h,
	src/libpanomatic/panomatic/PanoDetectorLogic.cpp:
	Remove masked control points according to the alpha channel after
	remapping.

2010-08-15 21:59 +0200  Florian Achleitner  <florian.achleitner.2.6.31@gmail.com>  (6a1e77698314)

	* src/tools/pto2mkold.cpp: new file.
	* src/tools/pto2mk.cpp, src/tools/pto2mkold.cpp:
	- add a pto2mkold using the old makefile export
	- print outputFiles at the end for testing

2010-08-15 21:58 +0200  Florian Achleitner  <florian.achleitner.2.6.31@gmail.com>  (a3e7b9ed290d)

	* src/hugin_base/makefilelib/README.dox: new file.
	* src/Doxyfile, src/hugin_base/makefilelib/Doxyfile,
	src/hugin_base/makefilelib/README.dox,
	src/hugin_base/makefilelib/example.cpp,
	src/hugin_base/makefilelib/main.cpp,
	src/hugin_base/makefilelib/unicode.dox:
	Integrate example into docu, the libs local and hugins in one
	improve docu, add mainpage

2010-08-15 20:21 +0200  Florian Achleitner  <florian.achleitner.2.6.31@gmail.com>  (ef4960ca8613)

	* src/hugin_base/makefilelib/example.cpp: new file.
	* src/hugin_base/makefilelib/CMakeLists.txt,
	src/hugin_base/makefilelib/example.cpp:
	create example

2010-08-15 00:10 +0200  Florian Achleitner  <florian.achleitner.2.6.31@gmail.com>  (7f0ac9682168)

	* src/hugin_base/algorithms/panorama_makefile/PanoramaMakefilelibExpor
	t.cpp:
	- fix error in outputFiles
	- don't quote del on windows

2010-08-14 23:53 +0200  Florian Achleitner  <florian.achleitner.2.6.31@gmail.com>  (751f02a2c323)

	* src/hugin_base/algorithms/panorama_makefile/PanoramaMakefileExport.c
	pp, src/hugin_base/algorithms/panorama_makefile/PanoramaMakefilelibE
	xport.cpp, src/hugin_base/algorithms/panorama_makefile/PanoramaMakef
	ilelibExport.h:
	add outputFiles feature (and overlap->10)

2010-08-14 23:51 +0200  Florian Achleitner  <florian.achleitner.2.6.31@gmail.com>  (f5f5d56e3000)

	* src/hugin_base/makefilelib/AutoVariable.cpp,
	src/hugin_base/makefilelib/AutoVariable.h,
	src/hugin_base/makefilelib/Variable.h:
	add a getter for Variable::values vector

2010-08-14 13:35 +0200  Antoine  <Antoine>  (03d4036d5131)

	* src/libpanomatic/panomatic/PanoDetectorLogic.cpp:
	Bug fixed for windows compatibility.

2010-08-14 12:21 +0200  Florian Achleitner  <florian.achleitner.2.6.31@gmail.com>  (31d66bc80688)

	* src/hugin_base/makefilelib/AutoVariable.cpp:
	- fix linker error on MSVC, it doesn't understand inline correctly

2010-08-14 12:21 +0200  Florian Achleitner  <florian.achleitner.2.6.31@gmail.com>  (fe7a830a5021)

	* src/Doxyfile, src/hugin_base/makefilelib/Doxyfile:
	Build doxygen docu outside source tree

2010-08-14 11:42 +0200  Florian Achleitner  <florian.achleitner.2.6.31@gmail.com>  (a9e5606f3ba0)

	* src/hugin_base/algorithms/panorama_makefile/PanoramaMakefilelibExpor
	t.cpp, src/hugin_base/algorithms/panorama_makefile/PanoramaMakefilel
	ibExport.h:
	- fix several problems with exposure layers

2010-08-14 10:45 +0200  Florian Achleitner  <florian.achleitner.2.6.31@gmail.com>  (66d1cc265c60)

	* src/hugin_base/algorithms/panorama_makefile/PanoramaMakefilelibExpor
	t.cpp:
	- fix missing enfuseOptions
	- remove needless includes

2010-08-14 09:40 +0200  Florian Achleitner  <florian.achleitner.2.6.31@gmail.com>  (b9ea9e6f2faf)

	* src/hugin_base/algorithms/panorama_makefile/PanoramaMakefilelibExpor
	t.cpp:
	- Fix another stupid typo in windows part.

2010-08-13 23:23 +0200  Florian Achleitner  <florian.achleitner.2.6.31@gmail.com>  (8004934d1784)

	* src/hugin_base/makefilelib/Variable.h:
	- change default quotemode for numeric value constructor to NONE,
	quoting not needed.

2010-08-13 23:22 +0200  Florian Achleitner  <florian.achleitner.2.6.31@gmail.com>  (345ebffbe1ee)

	* src/hugin_base/algorithms/panorama_makefile/PanoramaMakefilelibExpor
	t.cpp:
	- fix missing enblendOptions

2010-08-13 22:44 +0200  Florian Achleitner  <florian.achleitner.2.6.31@gmail.com>  (fa8724cf3e51)

	* src/hugin_base/algorithms/panorama_makefile/PanoramaMakefilelibExpor
	t.cpp:
	Patch from Thomas
	- use const_iterator where applicable
	- typo in Windows part

2010-08-13 14:56 +0200  Florian Achleitner  <florian.achleitner.2.6.31@gmail.com>  (9a0eac864930)

	* src/hugin_base/algorithms/panorama_makefile/PanoramaMakefilelibExpor
	t.cpp:
	Prevent potential segfault: change Varialbe* initial value for those
	which only get a value depending on conditions to a dummy Variable,
	not NULL

2010-08-13 14:47 +0200  Florian Achleitner  <florian.achleitner.2.6.31@gmail.com>  (2c984e2d6b60)

	* src/hugin_base/makefilelib/MakefileItem.cpp,
	src/hugin_base/makefilelib/MakefileItem.h,
	src/hugin_base/makefilelib/Rule.h,
	src/hugin_base/makefilelib/test_makefilelib.cpp:
	Usability improvements:
	- add operator+ for MakefileItem + string to save a lot of .toString()
	calls
	- add additional add.. - members in Rule that take Variables
	- Comments
	- use all that in the tester

2010-08-13 14:45 +0200  Florian Achleitner  <florian.achleitner.2.6.31@gmail.com>  (b94e44fdda57)

	* src/hugin_base/algorithms/panorama_makefile/PanoramaMakefilelibExpor
	t.cpp:
	more lines, now the end is reached!
	- using new features of the lib, code gets a littler more compact..

2010-08-12 16:30 +0200  Antoine  <Antoine>  (4162fd98fee0)

	* src/libpanomatic/panomatic/PanoDetector.cpp:
	Square cropping of remapped images.

2010-08-12 09:42 +0200  Florian Achleitner  <florian.achleitner.2.6.31@gmail.com>  (67281cfc4200)

	* src/hugin_base/algorithms/panorama_makefile/PanoramaMakefilelibExpor
	t.cpp, src/hugin_base/algorithms/panorama_makefile/PanoramaMakefilel
	ibExport.h:
	fast fertig!

2010-08-11 19:52 +0200  Florian Achleitner  <florian.achleitner.2.6.31@gmail.com>  (b7e8acd39411)

	* src/hugin_base/makefilelib/Anything.h: new file.
	* src/hugin_base/makefilelib/Anything.h,
	src/hugin_base/makefilelib/CMakeLists.txt:
	Add a Generic MakefileItem for not included features.

2010-08-11 19:51 +0200  Florian Achleitner  <florian.achleitner.2.6.31@gmail.com>  (b03a7f70a61f)

	* src/hugin_base/algorithms/panorama_makefile/PanoramaMakefilelibExpor
	t.cpp, src/hugin_base/algorithms/panorama_makefile/PanoramaMakefilel
	ibExport.h:
	more..

2010-08-10 14:32 +0200  Antoine  <Antoine>  (1451eca1f648)

	* src/libpanomatic/panomatic/PanoDetector.cpp,
	src/libpanomatic/panomatic/PanoDetector.h,
	src/libpanomatic/panomatic/PanoDetectorLogic.cpp:
	Code restructered for optimized multicore processing.

2010-08-10 18:45 +0200  Florian Achleitner  <florian.achleitner.2.6.31@gmail.com>  (0eb940c237ac)

	* src/hugin_base/algorithms/panorama_makefile/PanoramaMakefilelibExpor
	t.cpp, src/hugin_base/algorithms/panorama_makefile/PanoramaMakefilel
	ibExport.h:
	more .. stacks ..

2010-08-10 09:57 +0200  Florian Achleitner  <florian.achleitner.2.6.31@gmail.com>  (1f0b43b9139a)

	* src/hugin_base/algorithms/panorama_makefile/PanoramaMakefilelibExpor
	t.cpp:
	patch from thomas

2010-08-09 17:26 +0200  Florian Achleitner  <florian.achleitner.2.6.31@gmail.com>  (8cf8367f8ee2)

	* src/hugin_base/algorithms/panorama_makefile/PanoramaMakefilelibExpor
	t.cpp:
	simplify loop 4->1

2010-08-09 17:26 +0200  Florian Achleitner  <florian.achleitner.2.6.31@gmail.com>  (4310a297512b)

	* src/hugin_base/makefilelib/Manager.h,
	src/hugin_base/makefilelib/Variable.cpp,
	src/hugin_base/makefilelib/Variable.h,
	src/hugin_base/makefilelib/test_makefilelib.cpp:
	- Extend Variable to support vectors of values, often used for
	filenames.
	- template Manager::own_add

2010-08-09 17:15 +0200  Florian Achleitner  <florian.achleitner.2.6.31@gmail.com>  (69006f5e31d5)

	* src/hugin_base/algorithms/panorama_makefile/PanoramaMakefilelibExpor
	t.cpp, src/hugin_base/algorithms/panorama_makefile/PanoramaMakefilel
	ibExport.h:
	more ..

2010-08-09 09:39 +0200  Florian Achleitner  <florian.achleitner.2.6.31@gmail.com>  (9c6081c38f44)

	* src/hugin_base/makefilelib/AutoVariable.cpp,
	src/hugin_base/makefilelib/AutoVariable.h,
	src/hugin_base/makefilelib/Variable.h,
	src/hugin_base/makefilelib/VariableDef.cpp:
	Improve Variable: provide an unquoted value too

2010-08-09 09:39 +0200  Florian Achleitner  <florian.achleitner.2.6.31@gmail.com>  (06085aca610f)

	* src/hugin_base/algorithms/panorama_makefile/PanoramaMakefilelibExpor
	t.cpp:
	- introduce a shortcut macro
	- remove all cstr() macro instances, this codes is not wchar aware at
	all.
	- more code

2010-08-07 20:57 +0200  tmodes  <tmodes>  (7865fdc91695)

	* src/hugin_base/algorithms/basic/CalculateOverlap.cpp,
	src/hugin_base/algorithms/basic/CalculateOverlap.h,
	src/hugin_base/panodata/Panorama.cpp,
	src/hugin_base/panodata/SrcPanoImage.cpp,
	src/hugin_base/panodata/SrcPanoImage.h:
	Faster mask calculation for bigger projects

2010-08-07 11:20 +0200  tmodes  <tmodes>  (8e0fa9d64380)

	* src/hugin1/hugin/MainFrame.cpp,
	src/hugin_base/algorithms/control_points/CleanCP.cpp:
	Fixes bug in last commit (652ab1e4d937)

2010-08-06 17:28 +0200  Florian Achleitner  <florian.achleitner.2.6.31@gmail.com>  (bb181c34d98c)

	* src/hugin_base/algorithms/panorama_makefile/PanoramaMakefilelibExpor
	t.cpp, src/hugin_base/algorithms/panorama_makefile/PanoramaMakefilel
	ibExport.h:
	more and more ...

2010-08-06 17:27 +0200  Florian Achleitner  <florian.achleitner.2.6.31@gmail.com>  (d9ed7f906c0b)

	* src/hugin_base/makefilelib/Makefile.cpp,
	src/hugin_base/makefilelib/Makefile.h,
	src/hugin_base/makefilelib/Manager.h,
	src/hugin_base/makefilelib/Variable.cpp,
	src/hugin_base/makefilelib/Variable.h:
	- integrate a locale into Makefile for number output
	- fix Manager includes
	- add Variable constructor taking a numeric value

2010-08-06 13:01 +0200  Florian Achleitner  <florian.achleitner.2.6.31@gmail.com>  (cf33b9547127)

	* src/hugin_base/makefilelib/Makefile.cpp,
	src/hugin_base/makefilelib/Makefile.h,
	src/hugin_base/makefilelib/MakefileItem.h:
	- Improve Makefile Singleton concept to prevent senseless
	constructions and destructions
	- And throw an exception if a programming error is likely

2010-08-06 13:00 +0200  Florian Achleitner  <florian.achleitner.2.6.31@gmail.com>  (c7602efd53a2)

	* src/hugin_base/algorithms/panorama_makefile/PanoramaMakefilelibExpor
	t.cpp:
	Extend and use Makefile::Manager

2010-08-06 12:21 +0200  Florian Achleitner  <florian.achleitner.2.6.31@gmail.com>  (378c70849d49)

	* src/hugin_base/makefilelib/Manageable.h,
	src/hugin_base/makefilelib/Manager.h: new file.
	* src/hugin_base/makefilelib/CMakeLists.txt,
	src/hugin_base/makefilelib/Comment.h,
	src/hugin_base/makefilelib/Conditional.h,
	src/hugin_base/makefilelib/Makefile.h,
	src/hugin_base/makefilelib/MakefileItem.h,
	src/hugin_base/makefilelib/Manageable.h,
	src/hugin_base/makefilelib/Manager.h,
	src/hugin_base/makefilelib/Newline.h,
	src/hugin_base/makefilelib/Rule.h,
	src/hugin_base/makefilelib/Variable.h,
	src/hugin_base/makefilelib/test_makefilelib.cpp:
	Invent a Manager class and some necessary structuring to simplify
	the usage of this lib. Make the tester use the Manager, runs great,
	no memory leaks (valgrind).

2010-08-06 10:19 +0200  Florian Achleitner  <florian.achleitner.2.6.31@gmail.com>  (f961ac488669)

	* src/hugin_base/makefilelib/Variable.h,
	src/hugin_base/makefilelib/VariableDef.cpp:
	add "export" feature to VariableDef

2010-08-05 17:17 +0200  Florian Achleitner  <florian.achleitner.2.6.31@gmail.com>  (c85d7b5a33cd)

	* src/hugin_base/algorithms/panorama_makefile/PanoramaMakefilelibExpor
	t.cpp, src/hugin_base/algorithms/panorama_makefile/PanoramaMakefilel
	ibExport.h: new file.
	* src/hugin_base/CMakeLists.txt, src/hugin_base/algorithms/panorama_ma
	kefile/PanoramaMakefilelibExport.cpp, src/hugin_base/algorithms/pano
	rama_makefile/PanoramaMakefilelibExport.h, src/tools/pto2mk.cpp:
	- start PanoramaMakefilelibExport, a class compatible to the
	existing PanoramaMakefileExport, but using the makefilelib
	- adapt pto2mk to use the new class for testing.
	- adapt cmake

2010-08-05 20:07 +0200  tmodes  <tmodes>  (652ab1e4d937)

	* src/hugin1/hugin/MainFrame.cpp,
	src/hugin_base/algorithms/control_points/CleanCP.cpp,
	src/hugin_base/algorithms/control_points/CleanCP.h:
	Refactored code for removing control points in masks

2010-08-05 19:44 +0200  tmodes  <tmodes>  (c6244856168f)

	* src/hugin_base/panodata/ControlPoint.cpp,
	src/hugin_base/panodata/ControlPoint.h,
	src/hugin_base/panodata/Panorama.cpp,
	src/hugin_base/panodata/Panorama.h,
	src/hugin_base/panodata/PanoramaData.h:
	Added code to remove duplicate control points after merging

2010-08-05 10:29 +0200  Antoine  <Antoine>  (e39b2dc78c13)

	* src/libpanomatic/panomatic/PanoDetector.cpp:
	No remapping with keypiont files. Thomas' corrections included.

2010-08-04 20:43 +0200  tmodes  <tmodes>  (090323ed8e65)

	* src/hugin_base/algorithms/basic/CalculateOptimalROI.cpp,
	src/hugin_base/algorithms/basic/CalculateOptimalROI.h:
	Several improvements for autocrop
	* Better memory management
	* Make autocrop aware of crops and masks
	* Works now also with bigger dimensions

2010-08-04 11:08 +0200  Antoine  <Antoine>  (a5f56a33bb3c)

	* src/libpanomatic/panomatic/PanoDetector.cpp,
	src/libpanomatic/panomatic/PanoDetector.h:
	Stereographic projection achieved in every case(debug)+remapping
	back matches. Test needed.

2010-08-01 18:28 +0200  tmodes  <tmodes>  (729147f7db0c)

	* src/hugin_base/algorithms/basic/CalculateOptimalROI.cpp,
	src/hugin_base/algorithms/basic/CalculateOptimalROI.h:
	Do autocrop to active images only and not all images Clean up code
	(removed unused lines)

2010-08-01 17:16 +0200  Florian Achleitner  <florian.achleitner.2.6.31@gmail.com>  (749b1ba0b1f7)

	* src/hugin_base/makefilelib/test_filenames.cpp,
	src/hugin_base/makefilelib/test_util.cpp,
	src/hugin_base/makefilelib/test_util.h:
	remove argv consistently from exec_make, fixing an error

2010-08-01 09:38 +0200  tmodes  <tmodes>  (ebece9c9319d)

	* src/hugin_base/algorithms/basic/CalculateOverlap.cpp,
	src/hugin_base/algorithms/point_sampler/PointSampler.h,
	src/hugin_base/nona/RemappedPanoImage.h,
	src/hugin_base/panotools/PanoToolsInterface.cpp:
	Check, if transformImgCoord was successfull This should fix the bug,
	that the fov was calculated wrong for projects with non-zero
	translations parameters. Now also the photometric optimisation
	should work for these projects.

2010-07-29 22:39 +0200  harryvanderwolf  <hvdwolf@gmail.com>  (c5c9bb0923a3)

	* CMakeLists.txt:
	[OSX] typo corrected

2010-07-29 19:51 +0200  harryvanderwolf  <hvdwolf@gmail.com>  (27b53a38eb7e)

	* CMakeLists.txt:
	[OSX] neccessary adjustment for cmake compilation

2010-07-29 19:30 +0200  Florian Achleitner  <florian.achleitner.2.6.31@gmail.com>  (d9da0f5f77d7)

	* src/hugin_base/makefilelib/test_util_win32.cpp: new file.
	* src/hugin_base/makefilelib/Filename.cpp,
	src/hugin_base/makefilelib/Filename.h: deleted file.
	* src/hugin_base/makefilelib/CMakeLists.txt,
	src/hugin_base/makefilelib/Filename.cpp,
	src/hugin_base/makefilelib/Filename.h,
	src/hugin_base/makefilelib/test_util_win32.cpp:
	Ported the make-pipe execution function to native windows api. The
	testers run on windows now, but they still miss tools they invoke
	(touch, cp, echo..) Remove Filename, obsolete.

2010-07-28 17:23 +0200  tmodes  <tmodes>  (31fdaa8ffc2c)

	* src/hugin1/hugin/MainFrame.cpp:
	Fixes possible bug in 5e631cee4cc5 (It's not sure, that the
	constants ID_SHOW_PANEL_IMAGES ... ID_SHOW_PANEL_PANORAMA are
	consecutive. They can have random values.)

2010-07-28 10:29 +0200  Florian Achleitner  <florian.achleitner.2.6.31@gmail.com>  (08eea48ddb18)

	* src/hugin_base/makefilelib/test_makefilelib.cpp:
	add TestConditional

2010-07-28 09:15 +0200  Florian Achleitner  <florian.achleitner.2.6.31@gmail.com>  (e32b21d40e63)

	* src/hugin_base/makefilelib/test_filenames.cpp,
	src/hugin_base/makefilelib/test_makefilelib.cpp,
	src/hugin_base/makefilelib/test_util.cpp,
	src/hugin_base/makefilelib/test_util.h:
	C++ify tester to overcome design problems.

2010-07-27 22:37 +0200  Florian Achleitner  <florian.achleitner.2.6.31@gmail.com>  (bbbcff39b7ba)

	* src/hugin_base/makefilelib/test_makefilelib.cpp,
	src/hugin_base/makefilelib/test_util.cpp:
	- make test_util wchar compatible
	- extend tester

2010-07-27 12:32 +0200  Florian Achleitner  <florian.achleitner.2.6.31@gmail.com>  (2fcd5c5ccfc2)

	* src/hugin_base/makefilelib/test_util.cpp,
	src/hugin_base/makefilelib/test_util.h:
	add docu

2010-07-27 12:22 +0200  Florian Achleitner  <florian.achleitner.2.6.31@gmail.com>  (40d2c64e8f3a)

	* src/hugin_base/makefilelib/test_util.cpp,
	src/hugin_base/makefilelib/test_util.h: new file.
	* src/hugin_base/makefilelib/CMakeLists.txt,
	src/hugin_base/makefilelib/test_filenames.cpp,
	src/hugin_base/makefilelib/test_makefilelib.cpp,
	src/hugin_base/makefilelib/test_util.cpp,
	src/hugin_base/makefilelib/test_util.h:
	- Extract make exec with makefile input via a pipe and use it in
	test_filename --> double speed
	- capture stderr too

2010-07-27 23:27 +0200  Vaclav Cerny  <vatoz@seznam.cz>  (5e631cee4cc5)

	* src/hugin1/hugin/MainFrame.cpp, src/hugin1/hugin/MainFrame.h,
	src/hugin1/hugin/xrc/main_menu.xrc:
	Add menuitems Show panel ... with shortcut

2010-07-27 00:04 +0200  Florian Achleitner  <florian.achleitner.2.6.31@gmail.com>  (d735217f801b)

	* src/hugin_base/makefilelib/char_type.h,
	src/hugin_base/makefilelib/test_filenames.cpp:
	fix bug with limits because of signed types in filename tester

2010-07-26 23:40 +0200  Florian Achleitner  <florian.achleitner.2.6.31@gmail.com>  (69510b352032)

	* src/hugin_base/makefilelib/test_makefilelib.cpp: new file.
	* CMakeLists.txt, src/hugin_base/makefilelib/CMakeLists.txt,
	src/hugin_base/makefilelib/test_makefilelib.cpp:
	- start feature tester
	- pulls in another boost lib

2010-07-25 10:02 +0200  Florian Achleitner  <florian.achleitner.2.6.31@gmail.com>  (54f7a287c206)

	* src/hugin_base/makefilelib/Makefile.cpp:
	Fix typo in WIN32 part

2010-07-24 17:40 +0200  Florian Achleitner  <florian.achleitner.2.6.31@gmail.com>  (4af48b084a2a)

	* src/hugin_base/makefilelib/unicode.dox: new file.
	* src/hugin_base/makefilelib/test_filenames.cpp,
	src/hugin_base/makefilelib/unicode.dox:
	Finish filename tester and summarize the info from emails.

2010-07-24 15:56 +0200  Andreas Metzler  <Andreas Metzler>  (2fc209cbb6ee)

	* CMakeLists.txt, CMakeModules/FindPANO13.cmake:
	Added version checking for libpano13 (transplanted from
	6e072258d9510951f49c37962332c682cc78d9ac)

2010-07-24 00:04 +0200  Florian Achleitner  <florian.achleitner.2.6.31@gmail.com>  (218a13048178)

	* src/hugin_base/makefilelib/StringAdapter.h,
	src/hugin_base/makefilelib/test_filenames.cpp:
	- improve filename tester
	- and StringAdapter

2010-07-23 23:35 +0200  Florian Achleitner  <florian.achleitner.2.6.31@gmail.com>  (462f7c47db2c)

	* src/hugin_base/makefilelib/test_filenames.cpp:
	filename tester basically working.

2010-07-23 14:57 +0200  Florian Achleitner  <florian.achleitner.2.6.31@gmail.com>  (e0047496a2f6)

	* src/hugin_base/makefilelib/StringAdapter.h:
	fine tuning

2010-07-23 14:48 +0200  Florian Achleitner  <florian.achleitner.2.6.31@gmail.com>  (adcffab95362)

	* src/hugin_base/makefilelib/StringAdapter.h: new file.
	* src/hugin_base/makefilelib/CMakeLists.txt,
	src/hugin_base/makefilelib/StringAdapter.h,
	src/hugin_base/makefilelib/Variable.cpp,
	src/hugin_base/makefilelib/main.cpp:
	add StringAdapter and use it

2010-07-23 22:30 +0200  tmodes  <tmodes>  (8cbe07845ccf)

	* src/hugin_base/algorithms/panorama_makefile/PanoramaMakefileExport.c
	pp:
	Reduce resolution for overlap detection in makefile generation (This
	should speed up of writing of makefile)

2010-07-22 23:32 +0100  Bruno Postle  <bruno@postle.net>  (f408e18d7ed7)

	* src/hugin1/hugin/xrc/data/help_en_EN/Hugin_Reset_Values_window.html,
	src/hugin1/hugin/xrc/data/help_en_EN/Pano_modify.html,
	src/hugin1/hugin/xrc/data/help_en_EN/Pto_merge.html: new file.
	* src/hugin1/hugin/xrc/data/help_en_EN/Autooptimiser.html,
	src/hugin1/hugin/xrc/data/help_en_EN/Autopano-sift-C.html,
	src/hugin1/hugin/xrc/data/help_en_EN/Chromatic_aberration.html,
	src/hugin1/hugin/xrc/data/help_en_EN/DSLR_spherical_resolution.html,
	src/hugin1/hugin/xrc/data/help_en_EN/Enfuse.html,
	src/hugin1/hugin/xrc/data/help_en_EN/Field_of_View.html,
	src/hugin1/hugin/xrc/data/help_en_EN/HDR_workflow_with_hugin.html,
	src/hugin1/hugin/xrc/data/help_en_EN/Horizontal_control_points.html,
	src/hugin1/hugin/xrc/data/help_en_EN/Hugin.html,
	src/hugin1/hugin/xrc/data/help_en_EN/Hugin_Camera_and_Lens_tab.html,
	src/hugin1/hugin/xrc/data/help_en_EN/Hugin_Control_Points_tab.html,
	src/hugin1/hugin/xrc/data/help_en_EN/Hugin_FAQ.html,
	src/hugin1/hugin/xrc/data/help_en_EN/Hugin_Fast_Preview_window.html,
	src/hugin1/hugin/xrc/data/help_en_EN/Hugin_Images_tab.html,
	src/hugin1/hugin/xrc/data/help_en_EN/Hugin_Mask_tab.html,
	src/hugin1/hugin/xrc/data/help_en_EN/Hugin_Optimizer_tab.html, src/h
	ugin1/hugin/xrc/data/help_en_EN/Hugin_Parameters_for_Control_Point_D
	etectors_dialog.html,
	src/hugin1/hugin/xrc/data/help_en_EN/Hugin_Preferences.html,
	src/hugin1/hugin/xrc/data/help_en_EN/Hugin_Reset_Values_window.html,
	src/hugin1/hugin/xrc/data/help_en_EN/Hugin_translation_guide.html,
	src/hugin1/hugin/xrc/data/help_en_EN/Pano_modify.html, src/hugin1/hu
	gin/xrc/data/help_en_EN/Panorama_scripting_in_a_nutshell.html,
	src/hugin1/hugin/xrc/data/help_en_EN/Pitch.html,
	src/hugin1/hugin/xrc/data/help_en_EN/Projections.html,
	src/hugin1/hugin/xrc/data/help_en_EN/Pto_merge.html,
	src/hugin1/hugin/xrc/data/help_en_EN/SmartBlend.html, src/hugin1/hug
	in/xrc/data/help_en_EN/Straight_line_control_points.html,
	src/hugin1/hugin/xrc/data/help_en_EN/Swing_rod.html, src/hugin1/hugi
	n/xrc/data/help_en_EN/The_General_Panini_Projection.html,
	src/hugin1/hugin/xrc/data/help_en_EN/Vertical_control_points.html,
	src/hugin1/hugin/xrc/data/help_en_EN/Wavy_distortion.html,
	src/hugin1/hugin/xrc/data/help_en_EN/Yaw.html:
	Update manual from wiki

2010-07-22 23:27 +0100  Bruno Postle  <bruno@postle.net>  (014cdfa994d2)

	* src/hugin1/hugin/xrc/data/help_en_EN/pages.txt:
	New pages from wiki

2010-07-20 17:22 +0200  Florian Achleitner  <florian.achleitner.2.6.31@gmail.com>  (45e5b3a71d32)

	* src/hugin_base/makefilelib/main.cpp:
	Runs with wchars now!
	- Simple temporary fix for main.cpp, writing to a file instead of cout

2010-07-20 17:16 +0200  Florian Achleitner  <florian.achleitner.2.6.31@gmail.com>  (cead664f3eff)

	* src/hugin_base/makefilelib/char_type.h: new file.
	* src/hugin_base/makefilelib/AutoVariable.cpp,
	src/hugin_base/makefilelib/AutoVariable.h,
	src/hugin_base/makefilelib/Comment.cpp,
	src/hugin_base/makefilelib/Comment.h,
	src/hugin_base/makefilelib/Conditional.cpp,
	src/hugin_base/makefilelib/Conditional.h,
	src/hugin_base/makefilelib/Filename.cpp,
	src/hugin_base/makefilelib/Filename.h,
	src/hugin_base/makefilelib/Makefile.cpp,
	src/hugin_base/makefilelib/Makefile.h,
	src/hugin_base/makefilelib/MakefileItem.cpp,
	src/hugin_base/makefilelib/MakefileItem.h,
	src/hugin_base/makefilelib/Newline.h,
	src/hugin_base/makefilelib/Rule.cpp,
	src/hugin_base/makefilelib/Rule.h,
	src/hugin_base/makefilelib/Variable.cpp,
	src/hugin_base/makefilelib/Variable.h,
	src/hugin_base/makefilelib/VariableDef.cpp,
	src/hugin_base/makefilelib/VariableDef.h,
	src/hugin_base/makefilelib/VariableRef.cpp,
	src/hugin_base/makefilelib/VariableRef.h,
	src/hugin_base/makefilelib/char_type.h,
	src/hugin_base/makefilelib/main.cpp,
	src/hugin_base/makefilelib/test_filenames.cpp:
	Warning, broken commit Mission Unicode: Make the makefilelib unicode
	aware and make this easily changeable (very tough).
	- extract all char dependant types into a single header (char_type.h)
	to allow choosing between char and wchar_t on one point.
	- this breaks a lot of stuff, like literal strings because C++ seems
	not to be made for this.
	- cout doesn't work with wchar_t, so main.cpp is still broken if
	USE_WCHAR is defined.
	- the rest compiles, don't know if it links and works.

2010-07-19 14:38 +0200  Florian Achleitner  <florian.achleitner.2.6.31@gmail.com>  (de53d98e8d9d)

	* src/hugin_base/makefilelib/test_filenames.cpp: new file.
	* CMakeLists.txt, src/hugin_base/makefilelib/CMakeLists.txt,
	src/hugin_base/makefilelib/MakefileItem.h,
	src/hugin_base/makefilelib/test_filenames.cpp:
	- add Boost filesystems in global CMakeLists
	- start filename tester

2010-07-16 18:10 +0200  Florian Achleitner  <florian.achleitner.2.6.31@gmail.com>  (010acf1baffb)

	* src/hugin_base/makefilelib/unicode.cpp:
	Lot of tryout about locales added

2010-07-18 23:01 +0100  Bruno Postle  <bruno@postle.net>  (87026235e9ca)

	* doc/pano_trafo.1:
	Regenerate pano_trafo man page (Andreas Metzler)

2010-07-15 20:05 +0100  James Legg  <jlegg@users.sourceforge.net>  (275fb96ee614)

	* src/hugin1/hugin/ViewState.cpp:
	Fix bug where fast preview interactions could disconnect image's
	lenses introduced in 66f626bf15aa.

2010-07-15 11:21 +0200  tmodes  <tmodes>  (690b85e84096)

	* CMakeModules/win_bundle.cmake:
	Added missing files to install target for windows

2010-07-14 21:52 +0200  Florian Achleitner  <florian.achleitner.2.6.31@gmail.com>  (213688c4d94c)

	* src/hugin_base/makefilelib/unicode.cpp: new file.
	* src/hugin_base/makefilelib/unicode.cpp:
	add char and wchar_t test program

2010-07-13 09:27 +0200  tmodes  <tmodes>  (a7e8dc9da841)

	* src/hugin_base/panodata/Panorama.cpp:
	Fixes an issue with positive masks and fisheye images

2010-07-12 17:15 +0200  Antoine  <Antoine>  (512576561dff)

	* src/libpanomatic/panomatic/PanoDetector.cpp,
	src/libpanomatic/panomatic/PanoDetectorLogic.cpp:
	Compilation error fixed. The command line is in debug mode:
	stereographic projection computed from images are exported. BUG: no
	keypoint detected.

2010-07-11 19:46 +0200  Florian Achleitner  <florian.achleitner.2.6.31@gmail.com>  (4d7bd2c01c47)

	* src/hugin_base/makefilelib/Conditional.cpp,
	src/hugin_base/makefilelib/Conditional.h: new file.
	* src/hugin_base/makefilelib/CMakeLists.txt,
	src/hugin_base/makefilelib/Conditional.cpp,
	src/hugin_base/makefilelib/Conditional.h,
	src/hugin_base/makefilelib/main.cpp:
	add and implement conditionals

2010-07-09 21:59 +0200  Florian Achleitner  <florian.achleitner.2.6.31@gmail.com>  (380782bc646c)

	* src/hugin_base/makefilelib/Variable.cpp,
	src/hugin_base/makefilelib/Variable.h,
	src/hugin_base/makefilelib/main.cpp:
	add check of variable value (for forbidden newlines)

2010-07-09 14:07 +0200  Florian Achleitner  <florian.achleitner.2.6.31@gmail.com>  (3824de0a7270)

	* src/hugin_base/makefilelib/CMakeLists.txt,
	src/hugin_base/makefilelib/Makefile.h,
	src/hugin_base/makefilelib/Rule.cpp,
	src/hugin_base/makefilelib/Rule.h,
	src/hugin_base/makefilelib/main.cpp:
	- Add -Wall to CXXFLAGS
	- Implement Rule

2010-07-08 20:56 +0200  Florian Achleitner  <florian.achleitner.2.6.31@gmail.com>  (52fdb339612e)

	* src/hugin_base/makefilelib/Newline.h: new file.
	* src/hugin_base/makefilelib/CMakeLists.txt,
	src/hugin_base/makefilelib/MakefileItem.h,
	src/hugin_base/makefilelib/Newline.h,
	src/hugin_base/makefilelib/main.cpp:
	- add Newline class, just printing whitespace
	- revert auto add of MakefileItems, as this makes VariableRef hard to
	use.

2010-07-08 20:15 +0200  Florian Achleitner  <florian.achleitner.2.6.31@gmail.com>  (cb480015b075)

	* src/hugin_base/makefilelib/Makefile.cpp,
	src/hugin_base/makefilelib/Makefile.h,
	src/hugin_base/makefilelib/MakefileItem.h,
	src/hugin_base/makefilelib/main.cpp:
	make Makefile a singleton and auto-add all created makefile items
	for easy use

2010-07-08 15:29 +0200  Antoine  <Antoine>  (281fe657b75f)

	* src/libpanomatic/panomatic/PanoDetector.cpp,
	src/libpanomatic/panomatic/PanoDetector.h:
	Stereographic projection of images before finding keypoints. There
	is a compilation error to fix on that version.

2010-07-07 21:45 +0100  Bruno Postle  <bruno@postle.net>  (8cf00462e9cf)

	* doc/releases/hugin-0.8.0.txt, doc/releases/hugin-0.8.0_rc1.txt,
	doc/releases/hugin-0.8.0_rc2.txt, doc/releases/hugin-0.8.0_rc3.txt,
	doc/releases/hugin-0.8.0_rc4.txt, doc/releases/hugin-0.8.0_rc5.txt,
	doc/releases/hugin-2009.4.0.txt,
	doc/releases/hugin-2009.4.0_rc3.txt,
	doc/releases/hugin-2010.0.0.txt,
	doc/releases/hugin-2010.0.0_rc1.txt: new file.
	* doc/releases/hugin-0.8.0.txt, doc/releases/hugin-0.8.0_rc1.txt,
	doc/releases/hugin-0.8.0_rc2.txt, doc/releases/hugin-0.8.0_rc3.txt,
	doc/releases/hugin-0.8.0_rc4.txt, doc/releases/hugin-0.8.0_rc5.txt,
	doc/releases/hugin-2009.4.0.txt,
	doc/releases/hugin-2009.4.0_rc3.txt,
	doc/releases/hugin-2010.0.0.txt,
	doc/releases/hugin-2010.0.0_rc1.txt:
	Add some historic release notes

2010-07-07 21:34 +0100  Bruno Postle  <bruno@postle.net>  (c9df36df86dd)

	* admin/update_tarball.sh: deleted file.
	* admin/update_tarball.sh:
	Remove ancient unused script

2010-07-07 21:33 +0100  Bruno Postle  <bruno@postle.net>  (f641d81bb04e)

	* doc/batch-processing/README.batch: deleted file.
	* doc/batch-processing/README.batch:
	Outdated info is now on the wiki

2010-07-07 16:20 +0200  Florian Achleitner  <florian.achleitner.2.6.31@gmail.com>  (49ba80f5e1f2)

	* src/hugin_base/makefilelib/Makefile.cpp,
	src/hugin_base/makefilelib/MakefileItem.h,
	src/hugin_base/makefilelib/main.cpp:
	add cast operator to string for MakefileItem and remove needless
	class. Not sure how useful that is ..

2010-07-07 15:57 +0200  Florian Achleitner  <florian.achleitner.2.6.31@gmail.com>  (d945efd815b3)

	* src/hugin_base/makefilelib/Makefile.cpp,
	src/hugin_base/makefilelib/Makefile.h,
	src/hugin_base/makefilelib/Variable.h,
	src/hugin_base/makefilelib/main.cpp:
	add item storage functionality to Makefile

2010-07-07 10:03 +0200  Florian Achleitner  <florian.achleitner.2.6.31@gmail.com>  (9fa807d6fadd)

	* src/hugin_base/makefilelib/Makefile.cpp,
	src/hugin_base/makefilelib/Variable.h,
	src/hugin_base/makefilelib/main.cpp:
	Add variable reference pattern in quoting regex

2010-07-06 23:52 +0200  Florian Achleitner  <florian.achleitner.2.6.31@gmail.com>  (0902ad5f07e7)

	* src/hugin_base/makefilelib/AutoVariable.cpp,
	src/hugin_base/makefilelib/AutoVariable.h,
	src/hugin_base/makefilelib/Variable.cpp,
	src/hugin_base/makefilelib/Variable.h,
	src/hugin_base/makefilelib/main.cpp:
	integrate quote into Variable and main.

2010-07-06 23:33 +0200  Florian Achleitner  <florian.achleitner.2.6.31@gmail.com>  (842edc4aeb15)

	* src/hugin_base/makefilelib/Comment.cpp,
	src/hugin_base/makefilelib/Makefile.cpp,
	src/hugin_base/makefilelib/Makefile.h,
	src/hugin_base/makefilelib/Variable.cpp,
	src/hugin_base/makefilelib/main.cpp:
	add quoting method with mode switch using regex.

2010-06-29 23:36 +0100  James Legg  <jlegg@users.sourceforge.net>  (9fb6e9f16ef8)

	* merge

2010-06-29 23:35 +0100  James Legg  <jlegg@users.sourceforge.net>  (66f626bf15aa)

	* src/hugin1/hugin/ViewState.cpp, src/hugin1/hugin/wxPanoCommand.cpp,
	src/hugin_base/algorithms/basic/CalculateOverlap.cpp, src/hugin_base
	/algorithms/panorama_makefile/PanoramaMakefileExport.cpp:
	Don't call Panorama::getSrcImage when a const reference would do,
	use Panorama::getImage instead. Most performance improvements are
	from CalculateImageOverlap::calculate. In my test saving a project
	was three times faster.

2010-06-29 22:38 +0200  Kornel Benko  <Kornel.Benko@berlin.de>  (b60ba225e103)

	* CMakeLists.txt:
	Enable creation of ChangeLog from build-dir

2010-06-28 21:59 +0100  Bruno Postle  <bruno@postle.net>  (a69d9c1929c5)

	* merge (I'm not sure why)

2010-06-28 21:42 +0100  Bruno Postle  <bruno@postle.net>  (f2ec72d1d228)

	* CMakeLists.txt:
	Set minor version to 3 for unstable trunk

2010-06-28 22:46 +0200  harryvanderwolf  <hvdwolf@gmail.com>  (640f8f2af986)

	* mac/copyExtraTools.sh:
	[OSX] correct stupid enblend enfuse copy error

2010-06-28 22:21 +0200  harryvanderwolf  <hvdwolf@gmail.com>  (9fa03ec044ad)

	* mac/Hugin.xcodeproj/project.pbxproj:
	[OSX] Change version stamp to only hexadecimal part

2010-06-28 21:03 +0100  Bruno Postle  <bruno@postle.net>  (d017edd0161f)

	* src/translations/zh_TW.po:
	Updated Traditional Chinese translation (Rick Langford)

2010-06-28 20:55 +0100  Bruno Postle  <bruno@postle.net>  (8ce1c813f7a1)

	* src/translations/hu.po:
	Updated Hungarian translation #3021348 (Höss Lajos)

2010-06-28 15:17 +1000  Terry Duell  <tduell@users.sourceforge.net>  (38ed0587798b)

	* ChangeLog, authors.txt:
	Update authors.txt

2010-06-27 15:00 +1000  Terry Duell  <tduell@users.sourceforge.net>  (a7c760281f3c)

	* CMakeLists.txt:
	change CMakeLists.txt to produce Hg log file when UPDATE_CHANGELOG=1
	switch is used

2010-06-25 12:55 +0200  harryvanderwolf  <hvdwolf@gmail.com>  (9f9f7edf27f3)

	* mac/copyExtraTools.sh: new file.
	* mac/Hugin.xcodeproj/project.pbxproj, mac/complete-bundle.sh,
	mac/copyExtraTools.sh, mac/copyTools.sh:
	[OSX] Considerable change of design of the XCode project to
	facilitate building of 32bit vs. 32/64 bit vs. 64bit and other
	architecures from one project out of multiple folders. This wasn't
	possible with the original project as it completely ruined the
	internal library paths. Copies of binaries and libraries are now
	done via scripts.

2010-06-24 19:34 +0200  harryvanderwolf  <hvdwolf@gmail.com>  (347aa1e2b72e)

	* mac/ExternalPrograms/scripts/boost.sh,
	mac/ExternalPrograms/scripts/enblend.sh,
	mac/ExternalPrograms/scripts/gettext.sh,
	mac/ExternalPrograms/scripts/gnumake.sh,
	mac/ExternalPrograms/scripts/ilmbase.sh,
	mac/ExternalPrograms/scripts/lcms.sh,
	mac/ExternalPrograms/scripts/libexiv2.sh,
	mac/ExternalPrograms/scripts/libexpat.sh,
	mac/ExternalPrograms/scripts/libglew.sh,
	mac/ExternalPrograms/scripts/libiconv.sh,
	mac/ExternalPrograms/scripts/libjpeg.sh,
	mac/ExternalPrograms/scripts/libpng.sh,
	mac/ExternalPrograms/scripts/libtiff.sh,
	mac/ExternalPrograms/scripts/libxmi.sh,
	mac/ExternalPrograms/scripts/openexr16.sh,
	mac/ExternalPrograms/scripts/pano13.sh,
	mac/ExternalPrograms/scripts/wxmac28.sh,
	mac/Hugin.xcodeproj/project.pbxproj, mac/complete-bundle.sh,
	mac/copyTools.sh:
	[OSX]correct panotools script; build basic error checking in all
	build scripts

2010-06-24 19:07 +0200  Antoine  <Antoine>  (39ad1168821d)

	* src/libpanomatic/localfeatures/KeyPointIO.cpp,
	src/libpanomatic/panomatic/PanoDetectorLogic.cpp:
	Matches bug fixed using SIFTFormatWriter instead of
	DescPerfFormatWriter.

2010-06-24 18:47 +0200  Antoine  <Antoine>  (f41a4c1ff971)

	* src/libpanomatic/localfeatures/KeyPointIO.cpp,
	src/libpanomatic/panomatic/PanoDetector.cpp,
	src/libpanomatic/panomatic/PanoDetector.h,
	src/libpanomatic/panomatic/PanoDetectorLogic.cpp,
	src/libpanomatic/panomatic/main.cpp:
	New usage for the panomatic command line. Tests needed. BUG: too few
	matches when using keyfiles.

2010-06-20 20:04 +0200  tmodes  <tmodes>  (bc6fc8081244)

	* CMakeLists.txt:
	Set correctly man path for NetBSD

2010-06-20 20:01 +0200  tmodes  <tmodes>  (8754cf65a790)

	* CMakeModules/FindExiv2.cmake, CMakeModules/FindJPEG.cmake,
	CMakeModules/FindPNG.cmake, CMakeModules/FindTIFF.cmake,
	CMakeModules/win_bundle.cmake:
	Updated some FindLib to current versions (Exiv2, Jpeg, LibPNG,
	LibTiff)

2010-06-20 19:59 +0200  tmodes  <tmodes>  (364b9cc77e77)

	* CMakeLists.txt:
	Added missing Boost::date_time to CMake

2010-06-20 18:18 +0200  tmodes  <tmodes>  (a2c5e21aeb66)

	* src/hugin_base/algorithms/control_points/APSIFTFeatureExtractor.cpp,
	src/hugin_base/algorithms/control_points/APSIFTFeatureExtractor.h,
	src/hugin_base/algorithms/control_points/FeatureExtractor.cpp,
	src/hugin_base/algorithms/control_points/FeatureExtractor.h,
	src/hugin_base/algorithms/control_points/FeatureExtractorZoran.h,
	src/hugin_base/algorithms/control_points/FeatureMatcher.cpp,
	src/hugin_base/algorithms/control_points/FeatureMatcher.h: deleted
	file.
	* src/hugin_base/algorithms/control_points/APSIFTFeatureExtractor.cpp,
	src/hugin_base/algorithms/control_points/APSIFTFeatureExtractor.h,
	src/hugin_base/algorithms/control_points/FeatureExtractor.cpp,
	src/hugin_base/algorithms/control_points/FeatureExtractor.h,
	src/hugin_base/algorithms/control_points/FeatureExtractorZoran.h,
	src/hugin_base/algorithms/control_points/FeatureMatcher.cpp,
	src/hugin_base/algorithms/control_points/FeatureMatcher.h:
	Removed unused files

2010-06-20 17:30 +0200  Antoine  <Antoine>  (e22b7586b33a)

	* src/libpanomatic/panomatic/PanoDetector.cpp,
	src/libpanomatic/panomatic/PanoDetector.h,
	src/libpanomatic/panomatic/Utils.h:
	Apply Thomas' patch removing unnessary includes and fixing
	compilation on windows

2010-06-20 17:21 +0200  Antoine  <Antoine>  (9e6e35f29960)

	* src/libpanomatic/panomatic/PanoDetector.cpp,
	src/libpanomatic/panomatic/PanoDetector.h,
	src/libpanomatic/panomatic/PanoDetectorLogic.cpp,
	src/libpanomatic/panomatic/main.cpp:
	BUG FIX: loadkeys trace info correctly numbered

2010-06-20 14:43 +0200  Antoine  <Antoine>  (037cddfa380a)

	* src/libpanomatic/panomatic/PanoDetector.cpp,
	src/libpanomatic/panomatic/PanoDetector.h,
	src/libpanomatic/panomatic/PanoDetectorLogic.cpp,
	src/libpanomatic/panomatic/main.cpp:
	BUG FIX: Key point matching was not processed with --loadproject

2010-06-20 13:38 +0200  Antoine  <Antoine>  (c049185ba09f)

	* src/libpanomatic/panomatic/PanoDetectorLogic.cpp:
	BUG FIX: Images duplicated while using --loadproject.

2010-06-20 18:08 +0200  tmodes  <tmodes>  (60c1f12ed9a6)

	* src/hugin1/hugin/config_defaults.h:
	Fixes an issue when a config would be empty because of missing
	symbol "unix"

2010-06-18 21:37 +0200  tmodes  <tmodes>  (ec3e84ebd1f1)

	* src/hugin_base/algorithms/nona/ComputeImageROI.cpp:
	Fixes wrong mask when image has circular crop

2010-06-17 21:02 +0200  Antoine  <Antoine>  (55a41715f2b4)

	* src/libpanomatic/panomatic/PanoDetector.cpp,
	src/libpanomatic/panomatic/PanoDetector.h,
	src/libpanomatic/panomatic/PanoDetectorLogic.cpp:
	Bug Fix: correct image names in .pto output when using --keypoints.
	Windows compatibility.

2010-06-17 13:52 +0300  Juha Helminen  <jhelmine@users.sourceforge.net>  (9175c6d673a1)

	* src/translations/fi.po:
	Finnish translation addition

2010-06-16 18:51 +0200  tmodes  <tmodes>  (d1ea284f28bc)

	* src/hugin_base/algorithms/basic/CalculateOptimalScale.cpp:
	Make calculate optimal scale aware of translation parameters

2010-06-16 18:45 +0200  tmodes  <tmodes>  (0ef86753d88c)

	* src/hugin_base/algorithms/basic/StraightenPanorama.h:
	Don't straighten panorama, if translation parameters are non-zero

2010-06-13 18:48 +0200  tmodes  <tmodes>  (9a29b3a656c7)

	* src/hugin_base/algorithms/nona/CenterHorizontally.cpp:
	Don't try to center panorama by yaw shift if translation parameters
	are non-zero

2010-06-12 17:25 +0200  tmodes  <tmodes>  (8541d997e02b)

	* src/tools/nona.cpp:
	Added more range checks to nona.

2010-06-12 16:41 +0200  tmodes  <tmodes>  (d55a954b9ac4)

	* src/tools/nona.cpp:
	Don't use GPU calculation if translation parameters are non-zero.

2010-06-11 16:20 +0100  James Legg  <jlegg@users.sourceforge.net>  (a6704b2bb525)

	* merge

2010-06-11 16:11 +0100  James Legg  <jlegg@users.sourceforge.net>  (b7aa801a08bf)

	* src/hugin1/hugin/PreviewLayoutLinesTool.cpp:
	Hide layout lines that connect to an inactive image.

2010-06-08 18:54 +0200  tmodes  <tmodes>  (21876db4662e)

	* src/hugin_base/panodata/Mask.cpp, src/hugin_base/panodata/Mask.h,
	src/hugin_base/panodata/Panorama.cpp:
	Improved propagation of positive masks
	* Should fix bug "Include mask bug removes an entire photo - ID:
	3011921"
	* Improves positive masks for fisheye images

2010-06-06 16:40 +0200  tmodes  <tmodes>  (b691961680b1)

	* src/hugin_base/panodata/Panorama.cpp,
	src/hugin_base/panodata/SrcPanoImage.cpp:
	Reset cropfactor to 1 and not to zero (when adding images and when
	loading pto files)

2010-06-07 09:01 +0200  Antoine  <Antoine>  (b421dd76a9fd)

	* rev.txt: deleted file.
	* rev.txt, src/foreign/CMakeLists.txt, src/hugin_shared.h,
	src/libpanomatic/CMakeLists.txt,
	src/libpanomatic/keypoints/CMakeLists.txt,
	src/libpanomatic/keypoints/keypoints.cpp,
	src/libpanomatic/localfeatures/CMakeLists.txt,
	src/libpanomatic/localfeatures/KeyPoint.h,
	src/libpanomatic/panomatic/CMakeLists.txt,
	src/libpanomatic/panomatic/PanoDetector.cpp,
	src/libpanomatic/panomatic/PanoDetector.h,
	src/libpanomatic/panomatic/PanoDetectorLogic.cpp,
	src/libpanomatic/panomatic/main.cpp:
	panomatic: Ability to read a project file using --loadproject.
	Control point doublettes generated.

2010-06-05 15:48 +0200  Florian Achleitner  <florian.achleitner.2.6.31@gmail.com>  (92cd7da1f7c8)

	* src/hugin_base/makefilelib/AutoVariable.cpp,
	src/hugin_base/makefilelib/AutoVariable.h: new file.
	* src/hugin_base/makefilelib/AutoVariable.cpp,
	src/hugin_base/makefilelib/AutoVariable.h,
	src/hugin_base/makefilelib/CMakeLists.txt,
	src/hugin_base/makefilelib/Variable.cpp,
	src/hugin_base/makefilelib/Variable.h,
	src/hugin_base/makefilelib/main.cpp:
	- add AutoVariable.
	- Filter Variable names.

2010-06-04 23:03 +0200  flo  <flo>  (6c0c9fa6aee2)

	* src/hugin_base/makefilelib/main.cpp:
	clean up main.cpp

2010-06-04 22:08 +0200  flo  <flo>  (1e135ec07a5b)

	* src/hugin_base/makefilelib/Comment.cpp,
	src/hugin_base/makefilelib/Comment.h,
	src/hugin_base/makefilelib/Filename.cpp,
	src/hugin_base/makefilelib/Filename.h,
	src/hugin_base/makefilelib/MakefileItem.h,
	src/hugin_base/makefilelib/Rule.h,
	src/hugin_base/makefilelib/Variable.h,
	src/hugin_base/makefilelib/VariableDef.cpp,
	src/hugin_base/makefilelib/VariableDef.h,
	src/hugin_base/makefilelib/VariableRef.cpp,
	src/hugin_base/makefilelib/VariableRef.h,
	src/hugin_base/makefilelib/main.cpp:
	MakefileItem: switch from print which uses ostreams to toString,
	which creates a string representation. More flexible!

2010-06-04 17:14 +0200  flo  <flo>  (5d0a58d78dbb)

	* src/hugin_base/makefilelib/Filename.h,
	src/hugin_base/makefilelib/MakefileItem.h,
	src/hugin_base/makefilelib/Rule.h,
	src/hugin_base/makefilelib/Variable.cpp,
	src/hugin_base/makefilelib/Variable.h,
	src/hugin_base/makefilelib/VariableDef.cpp,
	src/hugin_base/makefilelib/VariableDef.h,
	src/hugin_base/makefilelib/VariableRef.cpp,
	src/hugin_base/makefilelib/VariableRef.h,
	src/hugin_base/makefilelib/main.cpp:
	Partial implementation of Variable and Co.

2010-06-03 19:34 +0200  harryvanderwolf  <hvdwolf@gmail.com>  (a3988d6c4e7b)

	* src/translations/nl.po:
	Updated dutch translation

2010-06-03 18:23 +0200  tmodes  <tmodes>  (b3c032c81b85)

	* src/translations/bg.po, src/translations/ca_ES.po,
	src/translations/cs_CZ.po, src/translations/de.po,
	src/translations/en_GB.po, src/translations/es.po,
	src/translations/fi.po, src/translations/fr.po,
	src/translations/hu.po, src/translations/hugin.pot,
	src/translations/it.po, src/translations/ja.po,
	src/translations/ko.po, src/translations/nl.po,
	src/translations/pl.po, src/translations/pt_BR.po,
	src/translations/ru.po, src/translations/sk.po,
	src/translations/sl.po, src/translations/sv.po,
	src/translations/uk.po, src/translations/zh_CN.po,
	src/translations/zh_TW.po:
	Updated translations

2010-06-03 17:02 +0200  Antoine  <Antoine>  (18eeb600ca11)

	* .hgignore~: deleted file.
	* .hgignore~:
	CMakeLists files in src/libpanomatic are cleant out following
	thomas' advice.

2010-06-03 16:59 +0200  Antoine  <Antoine>  (040c75c41ddb)

	* .hgignore~: new file.
	* src/libpanomatic/CMakeLists.txt~,
	src/libpanomatic/localfeatures/CMakeLists.txt~,
	src/libpanomatic/panomatic/CMakeLists.txt~,
	src/libpanomatic/panomatic/PanoDetector.cpp~,
	src/libpanomatic/panomatic/PanoDetectorLogic.cpp~: deleted file.
	* .hgignore~, src/libpanomatic/CMakeLists.txt,
	src/libpanomatic/CMakeLists.txt~,
	src/libpanomatic/keypoints/CMakeLists.txt,
	src/libpanomatic/localfeatures/CMakeLists.txt,
	src/libpanomatic/localfeatures/CMakeLists.txt~,
	src/libpanomatic/panomatic/CMakeLists.txt,
	src/libpanomatic/panomatic/CMakeLists.txt~,
	src/libpanomatic/panomatic/PanoDetector.cpp~,
	src/libpanomatic/panomatic/PanoDetectorLogic.cpp~:
	CMakeLists files in src/libpanomatic are cleant out following
	Thomas' advice.

2010-06-01 22:36 +0200  harryvanderwolf  <hvdwolf@gmail.com>  (de0df4d47d83)

	* src/hugin1/hugin/CPDetectorConfig_default.h:
	[OSX]Add -v option to align_image_stack settings in OSX for more
	verbosity

2010-06-01 18:12 +0200  Antoine  <Antoine>  (00823771e86f)

	* CMakeModules/FindBoostPython.cmake, rev.txt, src/CMakeLists.txt~,
	src/foreign/CMakeLists.txt~, src/foreign/tclap/Arg.h,
	src/foreign/tclap/ArgException.h, src/foreign/tclap/CmdLine.h,
	src/foreign/tclap/CmdLineInterface.h,
	src/foreign/tclap/CmdLineOutput.h, src/foreign/tclap/Constraint.h,
	src/foreign/tclap/DocBookOutput.h, src/foreign/tclap/HelpVisitor.h,
	src/foreign/tclap/IgnoreRestVisitor.h, src/foreign/tclap/MultiArg.h,
	src/foreign/tclap/MultiSwitchArg.h,
	src/foreign/tclap/OptionalUnlabeledTracker.h,
	src/foreign/tclap/StdOutput.h, src/foreign/tclap/SwitchArg.h,
	src/foreign/tclap/UnlabeledMultiArg.h,
	src/foreign/tclap/UnlabeledValueArg.h, src/foreign/tclap/ValueArg.h,
	src/foreign/tclap/ValuesConstraint.h,
	src/foreign/tclap/VersionVisitor.h, src/foreign/tclap/Visitor.h,
	src/foreign/tclap/XorHandler.h,
	src/foreign/vigra/vigra/basicimage.hxx~,
	src/foreign/vigra/vigra/impex.hxx~, src/foreign/zthread/AUTHORS,
	src/foreign/zthread/COPYING, src/foreign/zthread/LICENSE,
	src/foreign/zthread/MIT.TXT, src/foreign/zthread/README,
	src/foreign/zthread/ReadMe.txt,
	src/foreign/zthread/include/zthread/AtomicCount.h,
	src/foreign/zthread/include/zthread/Barrier.h,
	src/foreign/zthread/include/zthread/BiasedReadWriteLock.h,
	src/foreign/zthread/include/zthread/BlockingQueue.h,
	src/foreign/zthread/include/zthread/BoundedQueue.h,
	src/foreign/zthread/include/zthread/Cancelable.h,
	src/foreign/zthread/include/zthread/ClassLockable.h,
	src/foreign/zthread/include/zthread/ConcurrentExecutor.h,
	src/foreign/zthread/include/zthread/Condition.h,
	src/foreign/zthread/include/zthread/Config.h,
	src/foreign/zthread/include/zthread/CountedPtr.h,
	src/foreign/zthread/include/zthread/CountingSemaphore.h,
	src/foreign/zthread/include/zthread/Exceptions.h,
	src/foreign/zthread/include/zthread/Executor.h,
	src/foreign/zthread/include/zthread/FairReadWriteLock.h,
	src/foreign/zthread/include/zthread/FastMutex.h,
	src/foreign/zthread/include/zthread/FastRecursiveMutex.h,
	src/foreign/zthread/include/zthread/Guard.h,
	src/foreign/zthread/include/zthread/GuardedClass.h,
	src/foreign/zthread/include/zthread/Lockable.h,
	src/foreign/zthread/include/zthread/LockedQueue.h,
	src/foreign/zthread/include/zthread/MonitoredQueue.h,
	src/foreign/zthread/include/zthread/Mutex.h,
	src/foreign/zthread/include/zthread/NonCopyable.h,
	src/foreign/zthread/include/zthread/PoolExecutor.h,
	src/foreign/zthread/include/zthread/Priority.h,
	src/foreign/zthread/include/zthread/PriorityCondition.h,
	src/foreign/zthread/include/zthread/PriorityInheritanceMutex.h,
	src/foreign/zthread/include/zthread/PriorityMutex.h,
	src/foreign/zthread/include/zthread/PrioritySemaphore.h,
	src/foreign/zthread/include/zthread/Queue.h,
	src/foreign/zthread/include/zthread/ReadWriteLock.h,
	src/foreign/zthread/include/zthread/RecursiveMutex.h,
	src/foreign/zthread/include/zthread/Runnable.h,
	src/foreign/zthread/include/zthread/Semaphore.h,
	src/foreign/zthread/include/zthread/Singleton.h,
	src/foreign/zthread/include/zthread/SynchronousExecutor.h,
	src/foreign/zthread/include/zthread/Task.h,
	src/foreign/zthread/include/zthread/Thread.h,
	src/foreign/zthread/include/zthread/ThreadLocal.h,
	src/foreign/zthread/include/zthread/ThreadLocalImpl.h,
	src/foreign/zthread/include/zthread/ThreadedExecutor.h,
	src/foreign/zthread/include/zthread/Time.h,
	src/foreign/zthread/include/zthread/Waitable.h,
	src/foreign/zthread/include/zthread/ZThread.h,
	src/foreign/zthread/share/acinclude.m4, src/foreign/zthread/share
	/atomic-gcc.m4, src/foreign/zthread/share/atomic-linux.m4,
	src/foreign/zthread/share/doxygen.m4,
	src/foreign/zthread/share/ftime.m4,
	src/foreign/zthread/share/pthread.m4,
	src/foreign/zthread/share/zthread.m4,
	src/foreign/zthread/src/AtomicCount.cxx,
	src/foreign/zthread/src/CMakeLists.txt,
	src/foreign/zthread/src/ConcurrentExecutor.cxx,
	src/foreign/zthread/src/Condition.cxx,
	src/foreign/zthread/src/ConditionImpl.h,
	src/foreign/zthread/src/CountingSemaphore.cxx,
	src/foreign/zthread/src/Debug.h,
	src/foreign/zthread/src/DeferredInterruptionScope.h,
	src/foreign/zthread/src/FastLock.h,
	src/foreign/zthread/src/FastMutex.cxx,
	src/foreign/zthread/src/FastRecursiveLock.h,
	src/foreign/zthread/src/FastRecursiveMutex.cxx,
	src/foreign/zthread/src/IntrusivePtr.h,
	src/foreign/zthread/src/Makefile.am,
	src/foreign/zthread/src/Makefile.in,
	src/foreign/zthread/src/Monitor.cxx,
	src/foreign/zthread/src/Monitor.h,
	src/foreign/zthread/src/Mutex.cxx,
	src/foreign/zthread/src/MutexImpl.h,
	src/foreign/zthread/src/PoolExecutor.cxx,
	src/foreign/zthread/src/PriorityCondition.cxx,
	src/foreign/zthread/src/PriorityInheritanceMutex.cxx,
	src/foreign/zthread/src/PriorityMutex.cxx,
	src/foreign/zthread/src/PrioritySemaphore.cxx,
	src/foreign/zthread/src/RecursiveMutex.cxx,
	src/foreign/zthread/src/RecursiveMutexImpl.cxx,
	src/foreign/zthread/src/RecursiveMutexImpl.h,
	src/foreign/zthread/src/Scheduling.h,
	src/foreign/zthread/src/Semaphore.cxx,
	src/foreign/zthread/src/SemaphoreImpl.h,
	src/foreign/zthread/src/State.h, src/foreign/zthread/src/Status.h,
	src/foreign/zthread/src/SynchronousExecutor.cxx,
	src/foreign/zthread/src/TSS.h, src/foreign/zthread/src/Thread.cxx,
	src/foreign/zthread/src/ThreadImpl.cxx,
	src/foreign/zthread/src/ThreadImpl.h,
	src/foreign/zthread/src/ThreadLocalImpl.cxx,
	src/foreign/zthread/src/ThreadOps.cxx,
	src/foreign/zthread/src/ThreadOps.h,
	src/foreign/zthread/src/ThreadQueue.cxx,
	src/foreign/zthread/src/ThreadQueue.h,
	src/foreign/zthread/src/ThreadedExecutor.cxx,
	src/foreign/zthread/src/Time.cxx,
	src/foreign/zthread/src/TimeStrategy.h,
	src/foreign/zthread/src/linux/AtomicCount.cxx,
	src/foreign/zthread/src/linux/AtomicFastLock.h,
	src/foreign/zthread/src/linux/FastRecursiveLock.h,
	src/foreign/zthread/src/macos/FastLock.h,
	src/foreign/zthread/src/macos/Monitor.cxx,
	src/foreign/zthread/src/macos/Monitor.h,
	src/foreign/zthread/src/macos/TSS.h,
	src/foreign/zthread/src/macos/ThreadOps.cxx,
	src/foreign/zthread/src/macos/ThreadOps.h,
	src/foreign/zthread/src/macos/UpTimeStrategy.h,
	src/foreign/zthread/src/posix/ConditionRecursiveLock.h,
	src/foreign/zthread/src/posix/FastLock.h,
	src/foreign/zthread/src/posix/FtimeStrategy.h,
	src/foreign/zthread/src/posix/GetTimeOfDayStrategy.h,
	src/foreign/zthread/src/posix/Monitor.cxx,
	src/foreign/zthread/src/posix/Monitor.h,
	src/foreign/zthread/src/posix/PriorityOps.h,
	src/foreign/zthread/src/posix/TSS.h,
	src/foreign/zthread/src/posix/ThreadOps.cxx,
	src/foreign/zthread/src/posix/ThreadOps.h,
	src/foreign/zthread/src/solaris/FastRecursiveLock.h,
	src/foreign/zthread/src/vanilla/DualMutexRecursiveLock.h,
	src/foreign/zthread/src/vanilla/SimpleAtomicCount.cxx,
	src/foreign/zthread/src/vanilla/SimpleRecursiveLock.h,
	src/foreign/zthread/src/win32/AtomicCount.cxx,
	src/foreign/zthread/src/win32/AtomicFastLock.h,
	src/foreign/zthread/src/win32/AtomicFastRecursiveLock.h,
	src/foreign/zthread/src/win32/FastLock.h,
	src/foreign/zthread/src/win32/FastRecursiveLock.h,
	src/foreign/zthread/src/win32/Monitor.cxx,
	src/foreign/zthread/src/win32/Monitor.h,
	src/foreign/zthread/src/win32/PerformanceCounterStrategy.h,
	src/foreign/zthread/src/win32/TSS.h,
	src/foreign/zthread/src/win32/ThreadOps.cxx,
	src/foreign/zthread/src/win32/ThreadOps.h,
	src/foreign/zthread/src/win9x/AtomicCount.cxx,
	src/foreign/zthread/src/win9x/AtomicFastLock.h,
	src/foreign/zthread/zthread.vcproj,
	src/libpanomatic/CMakeLists.txt~,
	src/libpanomatic/localfeatures/CMakeLists.txt~,
	src/libpanomatic/panomatic/CMakeLists.txt~,
	src/libpanomatic/panomatic/PanoDetector.cpp~,
	src/libpanomatic/panomatic/PanoDetectorLogic.cpp~,
	src/libpanomatic/panomatic/grep: new file.
	* src/libpanomatic/CMakeModules/FindBoostPython.cmake,
	src/libpanomatic/CMakeModules/FindJPEG.cmake,
	src/libpanomatic/CMakeModules/FindPNG.cmake,
	src/libpanomatic/CMakeModules/FindTIFF.cmake,
	src/libpanomatic/CMakeModules/FindVIGRA.cmake,
	src/libpanomatic/CMakeModules/FindZLIB.cmake,
	src/libpanomatic/tclap/Arg.h, src/libpanomatic/tclap/ArgException.h,
	src/libpanomatic/tclap/CmdLine.h,
	src/libpanomatic/tclap/CmdLineInterface.h,
	src/libpanomatic/tclap/CmdLineOutput.h,
	src/libpanomatic/tclap/Constraint.h,
	src/libpanomatic/tclap/DocBookOutput.h,
	src/libpanomatic/tclap/HelpVisitor.h,
	src/libpanomatic/tclap/IgnoreRestVisitor.h,
	src/libpanomatic/tclap/MultiArg.h,
	src/libpanomatic/tclap/MultiSwitchArg.h,
	src/libpanomatic/tclap/OptionalUnlabeledTracker.h,
	src/libpanomatic/tclap/StdOutput.h,
	src/libpanomatic/tclap/SwitchArg.h,
	src/libpanomatic/tclap/UnlabeledMultiArg.h,
	src/libpanomatic/tclap/UnlabeledValueArg.h,
	src/libpanomatic/tclap/ValueArg.h,
	src/libpanomatic/tclap/ValuesConstraint.h,
	src/libpanomatic/tclap/VersionVisitor.h,
	src/libpanomatic/tclap/Visitor.h,
	src/libpanomatic/tclap/XorHandler.h,
	src/libpanomatic/zthread/AUTHORS, src/libpanomatic/zthread/COPYING,
	src/libpanomatic/zthread/LICENSE, src/libpanomatic/zthread/MIT.TXT,
	src/libpanomatic/zthread/README,
	src/libpanomatic/zthread/ReadMe.txt,
	src/libpanomatic/zthread/include/zthread/AtomicCount.h,
	src/libpanomatic/zthread/include/zthread/Barrier.h,
	src/libpanomatic/zthread/include/zthread/BiasedReadWriteLock.h,
	src/libpanomatic/zthread/include/zthread/BlockingQueue.h,
	src/libpanomatic/zthread/include/zthread/BoundedQueue.h,
	src/libpanomatic/zthread/include/zthread/Cancelable.h,
	src/libpanomatic/zthread/include/zthread/ClassLockable.h,
	src/libpanomatic/zthread/include/zthread/ConcurrentExecutor.h,
	src/libpanomatic/zthread/include/zthread/Condition.h,
	src/libpanomatic/zthread/include/zthread/Config.h,
	src/libpanomatic/zthread/include/zthread/CountedPtr.h,
	src/libpanomatic/zthread/include/zthread/CountingSemaphore.h,
	src/libpanomatic/zthread/include/zthread/Exceptions.h,
	src/libpanomatic/zthread/include/zthread/Executor.h,
	src/libpanomatic/zthread/include/zthread/FairReadWriteLock.h,
	src/libpanomatic/zthread/include/zthread/FastMutex.h,
	src/libpanomatic/zthread/include/zthread/FastRecursiveMutex.h,
	src/libpanomatic/zthread/include/zthread/Guard.h,
	src/libpanomatic/zthread/include/zthread/GuardedClass.h,
	src/libpanomatic/zthread/include/zthread/Lockable.h,
	src/libpanomatic/zthread/include/zthread/LockedQueue.h,
	src/libpanomatic/zthread/include/zthread/MonitoredQueue.h,
	src/libpanomatic/zthread/include/zthread/Mutex.h,
	src/libpanomatic/zthread/include/zthread/NonCopyable.h,
	src/libpanomatic/zthread/include/zthread/PoolExecutor.h,
	src/libpanomatic/zthread/include/zthread/Priority.h,
	src/libpanomatic/zthread/include/zthread/PriorityCondition.h,
	src/libpanomatic/zthread/include/zthread/PriorityInheritanceMutex.h,
	src/libpanomatic/zthread/include/zthread/PriorityMutex.h,
	src/libpanomatic/zthread/include/zthread/PrioritySemaphore.h,
	src/libpanomatic/zthread/include/zthread/Queue.h,
	src/libpanomatic/zthread/include/zthread/ReadWriteLock.h,
	src/libpanomatic/zthread/include/zthread/RecursiveMutex.h,
	src/libpanomatic/zthread/include/zthread/Runnable.h,
	src/libpanomatic/zthread/include/zthread/Semaphore.h,
	src/libpanomatic/zthread/include/zthread/Singleton.h,
	src/libpanomatic/zthread/include/zthread/SynchronousExecutor.h,
	src/libpanomatic/zthread/include/zthread/Task.h,
	src/libpanomatic/zthread/include/zthread/Thread.h,
	src/libpanomatic/zthread/include/zthread/ThreadLocal.h,
	src/libpanomatic/zthread/include/zthread/ThreadLocalImpl.h,
	src/libpanomatic/zthread/include/zthread/ThreadedExecutor.h,
	src/libpanomatic/zthread/include/zthread/Time.h,
	src/libpanomatic/zthread/include/zthread/Waitable.h,
	src/libpanomatic/zthread/include/zthread/ZThread.h,
	src/libpanomatic/zthread/share/acinclude.m4,
	src/libpanomatic/zthread/share/atomic-gcc.m4,
	src/libpanomatic/zthread/share/atomic-linux.m4,
	src/libpanomatic/zthread/share/doxygen.m4,
	src/libpanomatic/zthread/share/ftime.m4,
	src/libpanomatic/zthread/share/pthread.m4,
	src/libpanomatic/zthread/share/zthread.m4,
	src/libpanomatic/zthread/src/AtomicCount.cxx,
	src/libpanomatic/zthread/src/CMakeLists.txt,
	src/libpanomatic/zthread/src/ConcurrentExecutor.cxx,
	src/libpanomatic/zthread/src/Condition.cxx,
	src/libpanomatic/zthread/src/ConditionImpl.h,
	src/libpanomatic/zthread/src/CountingSemaphore.cxx,
	src/libpanomatic/zthread/src/Debug.h,
	src/libpanomatic/zthread/src/DeferredInterruptionScope.h,
	src/libpanomatic/zthread/src/FastLock.h,
	src/libpanomatic/zthread/src/FastMutex.cxx,
	src/libpanomatic/zthread/src/FastRecursiveLock.h,
	src/libpanomatic/zthread/src/FastRecursiveMutex.cxx,
	src/libpanomatic/zthread/src/IntrusivePtr.h,
	src/libpanomatic/zthread/src/Makefile.am,
	src/libpanomatic/zthread/src/Makefile.in,
	src/libpanomatic/zthread/src/Monitor.cxx,
	src/libpanomatic/zthread/src/Monitor.h,
	src/libpanomatic/zthread/src/Mutex.cxx,
	src/libpanomatic/zthread/src/MutexImpl.h,
	src/libpanomatic/zthread/src/PoolExecutor.cxx,
	src/libpanomatic/zthread/src/PriorityCondition.cxx,
	src/libpanomatic/zthread/src/PriorityInheritanceMutex.cxx,
	src/libpanomatic/zthread/src/PriorityMutex.cxx,
	src/libpanomatic/zthread/src/PrioritySemaphore.cxx,
	src/libpanomatic/zthread/src/RecursiveMutex.cxx,
	src/libpanomatic/zthread/src/RecursiveMutexImpl.cxx,
	src/libpanomatic/zthread/src/RecursiveMutexImpl.h,
	src/libpanomatic/zthread/src/Scheduling.h,
	src/libpanomatic/zthread/src/Semaphore.cxx,
	src/libpanomatic/zthread/src/SemaphoreImpl.h,
	src/libpanomatic/zthread/src/State.h,
	src/libpanomatic/zthread/src/Status.h,
	src/libpanomatic/zthread/src/SynchronousExecutor.cxx,
	src/libpanomatic/zthread/src/TSS.h,
	src/libpanomatic/zthread/src/Thread.cxx,
	src/libpanomatic/zthread/src/ThreadImpl.cxx,
	src/libpanomatic/zthread/src/ThreadImpl.h,
	src/libpanomatic/zthread/src/ThreadLocalImpl.cxx,
	src/libpanomatic/zthread/src/ThreadOps.cxx,
	src/libpanomatic/zthread/src/ThreadOps.h,
	src/libpanomatic/zthread/src/ThreadQueue.cxx,
	src/libpanomatic/zthread/src/ThreadQueue.h,
	src/libpanomatic/zthread/src/ThreadedExecutor.cxx,
	src/libpanomatic/zthread/src/Time.cxx,
	src/libpanomatic/zthread/src/TimeStrategy.h,
	src/libpanomatic/zthread/src/linux/AtomicCount.cxx,
	src/libpanomatic/zthread/src/linux/AtomicFastLock.h,
	src/libpanomatic/zthread/src/linux/FastRecursiveLock.h,
	src/libpanomatic/zthread/src/macos/FastLock.h,
	src/libpanomatic/zthread/src/macos/Monitor.cxx,
	src/libpanomatic/zthread/src/macos/Monitor.h,
	src/libpanomatic/zthread/src/macos/TSS.h,
	src/libpanomatic/zthread/src/macos/ThreadOps.cxx,
	src/libpanomatic/zthread/src/macos/ThreadOps.h,
	src/libpanomatic/zthread/src/macos/UpTimeStrategy.h,
	src/libpanomatic/zthread/src/posix/ConditionRecursiveLock.h,
	src/libpanomatic/zthread/src/posix/FastLock.h,
	src/libpanomatic/zthread/src/posix/FtimeStrategy.h,
	src/libpanomatic/zthread/src/posix/GetTimeOfDayStrategy.h,
	src/libpanomatic/zthread/src/posix/Monitor.cxx,
	src/libpanomatic/zthread/src/posix/Monitor.h,
	src/libpanomatic/zthread/src/posix/PriorityOps.h,
	src/libpanomatic/zthread/src/posix/TSS.h,
	src/libpanomatic/zthread/src/posix/ThreadOps.cxx,
	src/libpanomatic/zthread/src/posix/ThreadOps.h,
	src/libpanomatic/zthread/src/solaris/FastRecursiveLock.h,
	src/libpanomatic/zthread/src/vanilla/DualMutexRecursiveLock.h,
	src/libpanomatic/zthread/src/vanilla/SimpleAtomicCount.cxx,
	src/libpanomatic/zthread/src/vanilla/SimpleRecursiveLock.h,
	src/libpanomatic/zthread/src/win32/AtomicCount.cxx,
	src/libpanomatic/zthread/src/win32/AtomicFastLock.h,
	src/libpanomatic/zthread/src/win32/AtomicFastRecursiveLock.h,
	src/libpanomatic/zthread/src/win32/FastLock.h,
	src/libpanomatic/zthread/src/win32/FastRecursiveLock.h,
	src/libpanomatic/zthread/src/win32/Monitor.cxx,
	src/libpanomatic/zthread/src/win32/Monitor.h,
	src/libpanomatic/zthread/src/win32/PerformanceCounterStrategy.h,
	src/libpanomatic/zthread/src/win32/TSS.h,
	src/libpanomatic/zthread/src/win32/ThreadOps.cxx,
	src/libpanomatic/zthread/src/win32/ThreadOps.h,
	src/libpanomatic/zthread/src/win9x/AtomicCount.cxx,
	src/libpanomatic/zthread/src/win9x/AtomicFastLock.h,
	src/libpanomatic/zthread/zthread.vcproj: deleted file.
	* CMakeModules/FindBoostPython.cmake, rev.txt, src/CMakeLists.txt~,
	src/foreign/CMakeLists.txt~, src/foreign/tclap/Arg.h,
	src/foreign/tclap/ArgException.h, src/foreign/tclap/CmdLine.h,
	src/foreign/tclap/CmdLineInterface.h,
	src/foreign/tclap/CmdLineOutput.h, src/foreign/tclap/Constraint.h,
	src/foreign/tclap/DocBookOutput.h, src/foreign/tclap/HelpVisitor.h,
	src/foreign/tclap/IgnoreRestVisitor.h, src/foreign/tclap/MultiArg.h,
	src/foreign/tclap/MultiSwitchArg.h,
	src/foreign/tclap/OptionalUnlabeledTracker.h,
	src/foreign/tclap/StdOutput.h, src/foreign/tclap/SwitchArg.h,
	src/foreign/tclap/UnlabeledMultiArg.h,
	src/foreign/tclap/UnlabeledValueArg.h, src/foreign/tclap/ValueArg.h,
	src/foreign/tclap/ValuesConstraint.h,
	src/foreign/tclap/VersionVisitor.h, src/foreign/tclap/Visitor.h,
	src/foreign/tclap/XorHandler.h,
	src/foreign/vigra/vigra/basicimage.hxx~,
	src/foreign/vigra/vigra/impex.hxx~, src/foreign/zthread/AUTHORS,
	src/foreign/zthread/COPYING, src/foreign/zthread/LICENSE,
	src/foreign/zthread/MIT.TXT, src/foreign/zthread/README,
	src/foreign/zthread/ReadMe.txt,
	src/foreign/zthread/include/zthread/AtomicCount.h,
	src/foreign/zthread/include/zthread/Barrier.h,
	src/foreign/zthread/include/zthread/BiasedReadWriteLock.h,
	src/foreign/zthread/include/zthread/BlockingQueue.h,
	src/foreign/zthread/include/zthread/BoundedQueue.h,
	src/foreign/zthread/include/zthread/Cancelable.h,
	src/foreign/zthread/include/zthread/ClassLockable.h,
	src/foreign/zthread/include/zthread/ConcurrentExecutor.h,
	src/foreign/zthread/include/zthread/Condition.h,
	src/foreign/zthread/include/zthread/Config.h,
	src/foreign/zthread/include/zthread/CountedPtr.h,
	src/foreign/zthread/include/zthread/CountingSemaphore.h,
	src/foreign/zthread/include/zthread/Exceptions.h,
	src/foreign/zthread/include/zthread/Executor.h,
	src/foreign/zthread/include/zthread/FairReadWriteLock.h,
	src/foreign/zthread/include/zthread/FastMutex.h,
	src/foreign/zthread/include/zthread/FastRecursiveMutex.h,
	src/foreign/zthread/include/zthread/Guard.h,
	src/foreign/zthread/include/zthread/GuardedClass.h,
	src/foreign/zthread/include/zthread/Lockable.h,
	src/foreign/zthread/include/zthread/LockedQueue.h,
	src/foreign/zthread/include/zthread/MonitoredQueue.h,
	src/foreign/zthread/include/zthread/Mutex.h,
	src/foreign/zthread/include/zthread/NonCopyable.h,
	src/foreign/zthread/include/zthread/PoolExecutor.h,
	src/foreign/zthread/include/zthread/Priority.h,
	src/foreign/zthread/include/zthread/PriorityCondition.h,
	src/foreign/zthread/include/zthread/PriorityInheritanceMutex.h,
	src/foreign/zthread/include/zthread/PriorityMutex.h,
	src/foreign/zthread/include/zthread/PrioritySemaphore.h,
	src/foreign/zthread/include/zthread/Queue.h,
	src/foreign/zthread/include/zthread/ReadWriteLock.h,
	src/foreign/zthread/include/zthread/RecursiveMutex.h,
	src/foreign/zthread/include/zthread/Runnable.h,
	src/foreign/zthread/include/zthread/Semaphore.h,
	src/foreign/zthread/include/zthread/Singleton.h,
	src/foreign/zthread/include/zthread/SynchronousExecutor.h,
	src/foreign/zthread/include/zthread/Task.h,
	src/foreign/zthread/include/zthread/Thread.h,
	src/foreign/zthread/include/zthread/ThreadLocal.h,
	src/foreign/zthread/include/zthread/ThreadLocalImpl.h,
	src/foreign/zthread/include/zthread/ThreadedExecutor.h,
	src/foreign/zthread/include/zthread/Time.h,
	src/foreign/zthread/include/zthread/Waitable.h,
	src/foreign/zthread/include/zthread/ZThread.h,
	src/foreign/zthread/share/acinclude.m4, src/foreign/zthread/share
	/atomic-gcc.m4, src/foreign/zthread/share/atomic-linux.m4,
	src/foreign/zthread/share/doxygen.m4,
	src/foreign/zthread/share/ftime.m4,
	src/foreign/zthread/share/pthread.m4,
	src/foreign/zthread/share/zthread.m4,
	src/foreign/zthread/src/AtomicCount.cxx,
	src/foreign/zthread/src/CMakeLists.txt,
	src/foreign/zthread/src/ConcurrentExecutor.cxx,
	src/foreign/zthread/src/Condition.cxx,
	src/foreign/zthread/src/ConditionImpl.h,
	src/foreign/zthread/src/CountingSemaphore.cxx,
	src/foreign/zthread/src/Debug.h,
	src/foreign/zthread/src/DeferredInterruptionScope.h,
	src/foreign/zthread/src/FastLock.h,
	src/foreign/zthread/src/FastMutex.cxx,
	src/foreign/zthread/src/FastRecursiveLock.h,
	src/foreign/zthread/src/FastRecursiveMutex.cxx,
	src/foreign/zthread/src/IntrusivePtr.h,
	src/foreign/zthread/src/Makefile.am,
	src/foreign/zthread/src/Makefile.in,
	src/foreign/zthread/src/Monitor.cxx,
	src/foreign/zthread/src/Monitor.h,
	src/foreign/zthread/src/Mutex.cxx,
	src/foreign/zthread/src/MutexImpl.h,
	src/foreign/zthread/src/PoolExecutor.cxx,
	src/foreign/zthread/src/PriorityCondition.cxx,
	src/foreign/zthread/src/PriorityInheritanceMutex.cxx,
	src/foreign/zthread/src/PriorityMutex.cxx,
	src/foreign/zthread/src/PrioritySemaphore.cxx,
	src/foreign/zthread/src/RecursiveMutex.cxx,
	src/foreign/zthread/src/RecursiveMutexImpl.cxx,
	src/foreign/zthread/src/RecursiveMutexImpl.h,
	src/foreign/zthread/src/Scheduling.h,
	src/foreign/zthread/src/Semaphore.cxx,
	src/foreign/zthread/src/SemaphoreImpl.h,
	src/foreign/zthread/src/State.h, src/foreign/zthread/src/Status.h,
	src/foreign/zthread/src/SynchronousExecutor.cxx,
	src/foreign/zthread/src/TSS.h, src/foreign/zthread/src/Thread.cxx,
	src/foreign/zthread/src/ThreadImpl.cxx,
	src/foreign/zthread/src/ThreadImpl.h,
	src/foreign/zthread/src/ThreadLocalImpl.cxx,
	src/foreign/zthread/src/ThreadOps.cxx,
	src/foreign/zthread/src/ThreadOps.h,
	src/foreign/zthread/src/ThreadQueue.cxx,
	src/foreign/zthread/src/ThreadQueue.h,
	src/foreign/zthread/src/ThreadedExecutor.cxx,
	src/foreign/zthread/src/Time.cxx,
	src/foreign/zthread/src/TimeStrategy.h,
	src/foreign/zthread/src/linux/AtomicCount.cxx,
	src/foreign/zthread/src/linux/AtomicFastLock.h,
	src/foreign/zthread/src/linux/FastRecursiveLock.h,
	src/foreign/zthread/src/macos/FastLock.h,
	src/foreign/zthread/src/macos/Monitor.cxx,
	src/foreign/zthread/src/macos/Monitor.h,
	src/foreign/zthread/src/macos/TSS.h,
	src/foreign/zthread/src/macos/ThreadOps.cxx,
	src/foreign/zthread/src/macos/ThreadOps.h,
	src/foreign/zthread/src/macos/UpTimeStrategy.h,
	src/foreign/zthread/src/posix/ConditionRecursiveLock.h,
	src/foreign/zthread/src/posix/FastLock.h,
	src/foreign/zthread/src/posix/FtimeStrategy.h,
	src/foreign/zthread/src/posix/GetTimeOfDayStrategy.h,
	src/foreign/zthread/src/posix/Monitor.cxx,
	src/foreign/zthread/src/posix/Monitor.h,
	src/foreign/zthread/src/posix/PriorityOps.h,
	src/foreign/zthread/src/posix/TSS.h,
	src/foreign/zthread/src/posix/ThreadOps.cxx,
	src/foreign/zthread/src/posix/ThreadOps.h,
	src/foreign/zthread/src/solaris/FastRecursiveLock.h,
	src/foreign/zthread/src/vanilla/DualMutexRecursiveLock.h,
	src/foreign/zthread/src/vanilla/SimpleAtomicCount.cxx,
	src/foreign/zthread/src/vanilla/SimpleRecursiveLock.h,
	src/foreign/zthread/src/win32/AtomicCount.cxx,
	src/foreign/zthread/src/win32/AtomicFastLock.h,
	src/foreign/zthread/src/win32/AtomicFastRecursiveLock.h,
	src/foreign/zthread/src/win32/FastLock.h,
	src/foreign/zthread/src/win32/FastRecursiveLock.h,
	src/foreign/zthread/src/win32/Monitor.cxx,
	src/foreign/zthread/src/win32/Monitor.h,
	src/foreign/zthread/src/win32/PerformanceCounterStrategy.h,
	src/foreign/zthread/src/win32/TSS.h,
	src/foreign/zthread/src/win32/ThreadOps.cxx,
	src/foreign/zthread/src/win32/ThreadOps.h,
	src/foreign/zthread/src/win9x/AtomicCount.cxx,
	src/foreign/zthread/src/win9x/AtomicFastLock.h,
	src/foreign/zthread/zthread.vcproj,
	src/libpanomatic/CMakeLists.txt~,
	src/libpanomatic/CMakeModules/FindBoostPython.cmake,
	src/libpanomatic/CMakeModules/FindJPEG.cmake,
	src/libpanomatic/CMakeModules/FindPNG.cmake,
	src/libpanomatic/CMakeModules/FindTIFF.cmake,
	src/libpanomatic/CMakeModules/FindVIGRA.cmake,
	src/libpanomatic/CMakeModules/FindZLIB.cmake,
	src/libpanomatic/localfeatures/CMakeLists.txt~,
	src/libpanomatic/panomatic/CMakeLists.txt~,
	src/libpanomatic/panomatic/PanoDetector.cpp~,
	src/libpanomatic/panomatic/PanoDetectorLogic.cpp~,
	src/libpanomatic/panomatic/grep, src/libpanomatic/tclap/Arg.h,
	src/libpanomatic/tclap/ArgException.h,
	src/libpanomatic/tclap/CmdLine.h,
	src/libpanomatic/tclap/CmdLineInterface.h,
	src/libpanomatic/tclap/CmdLineOutput.h,
	src/libpanomatic/tclap/Constraint.h,
	src/libpanomatic/tclap/DocBookOutput.h,
	src/libpanomatic/tclap/HelpVisitor.h,
	src/libpanomatic/tclap/IgnoreRestVisitor.h,
	src/libpanomatic/tclap/MultiArg.h,
	src/libpanomatic/tclap/MultiSwitchArg.h,
	src/libpanomatic/tclap/OptionalUnlabeledTracker.h,
	src/libpanomatic/tclap/StdOutput.h,
	src/libpanomatic/tclap/SwitchArg.h,
	src/libpanomatic/tclap/UnlabeledMultiArg.h,
	src/libpanomatic/tclap/UnlabeledValueArg.h,
	src/libpanomatic/tclap/ValueArg.h,
	src/libpanomatic/tclap/ValuesConstraint.h,
	src/libpanomatic/tclap/VersionVisitor.h,
	src/libpanomatic/tclap/Visitor.h,
	src/libpanomatic/tclap/XorHandler.h,
	src/libpanomatic/zthread/AUTHORS, src/libpanomatic/zthread/COPYING,
	src/libpanomatic/zthread/LICENSE, src/libpanomatic/zthread/MIT.TXT,
	src/libpanomatic/zthread/README,
	src/libpanomatic/zthread/ReadMe.txt,
	src/libpanomatic/zthread/include/zthread/AtomicCount.h,
	src/libpanomatic/zthread/include/zthread/Barrier.h,
	src/libpanomatic/zthread/include/zthread/BiasedReadWriteLock.h,
	src/libpanomatic/zthread/include/zthread/BlockingQueue.h,
	src/libpanomatic/zthread/include/zthread/BoundedQueue.h,
	src/libpanomatic/zthread/include/zthread/Cancelable.h,
	src/libpanomatic/zthread/include/zthread/ClassLockable.h,
	src/libpanomatic/zthread/include/zthread/ConcurrentExecutor.h,
	src/libpanomatic/zthread/include/zthread/Condition.h,
	src/libpanomatic/zthread/include/zthread/Config.h,
	src/libpanomatic/zthread/include/zthread/CountedPtr.h,
	src/libpanomatic/zthread/include/zthread/CountingSemaphore.h,
	src/libpanomatic/zthread/include/zthread/Exceptions.h,
	src/libpanomatic/zthread/include/zthread/Executor.h,
	src/libpanomatic/zthread/include/zthread/FairReadWriteLock.h,
	src/libpanomatic/zthread/include/zthread/FastMutex.h,
	src/libpanomatic/zthread/include/zthread/FastRecursiveMutex.h,
	src/libpanomatic/zthread/include/zthread/Guard.h,
	src/libpanomatic/zthread/include/zthread/GuardedClass.h,
	src/libpanomatic/zthread/include/zthread/Lockable.h,
	src/libpanomatic/zthread/include/zthread/LockedQueue.h,
	src/libpanomatic/zthread/include/zthread/MonitoredQueue.h,
	src/libpanomatic/zthread/include/zthread/Mutex.h,
	src/libpanomatic/zthread/include/zthread/NonCopyable.h,
	src/libpanomatic/zthread/include/zthread/PoolExecutor.h,
	src/libpanomatic/zthread/include/zthread/Priority.h,
	src/libpanomatic/zthread/include/zthread/PriorityCondition.h,
	src/libpanomatic/zthread/include/zthread/PriorityInheritanceMutex.h,
	src/libpanomatic/zthread/include/zthread/PriorityMutex.h,
	src/libpanomatic/zthread/include/zthread/PrioritySemaphore.h,
	src/libpanomatic/zthread/include/zthread/Queue.h,
	src/libpanomatic/zthread/include/zthread/ReadWriteLock.h,
	src/libpanomatic/zthread/include/zthread/RecursiveMutex.h,
	src/libpanomatic/zthread/include/zthread/Runnable.h,
	src/libpanomatic/zthread/include/zthread/Semaphore.h,
	src/libpanomatic/zthread/include/zthread/Singleton.h,
	src/libpanomatic/zthread/include/zthread/SynchronousExecutor.h,
	src/libpanomatic/zthread/include/zthread/Task.h,
	src/libpanomatic/zthread/include/zthread/Thread.h,
	src/libpanomatic/zthread/include/zthread/ThreadLocal.h,
	src/libpanomatic/zthread/include/zthread/ThreadLocalImpl.h,
	src/libpanomatic/zthread/include/zthread/ThreadedExecutor.h,
	src/libpanomatic/zthread/include/zthread/Time.h,
	src/libpanomatic/zthread/include/zthread/Waitable.h,
	src/libpanomatic/zthread/include/zthread/ZThread.h,
	src/libpanomatic/zthread/share/acinclude.m4,
	src/libpanomatic/zthread/share/atomic-gcc.m4,
	src/libpanomatic/zthread/share/atomic-linux.m4,
	src/libpanomatic/zthread/share/doxygen.m4,
	src/libpanomatic/zthread/share/ftime.m4,
	src/libpanomatic/zthread/share/pthread.m4,
	src/libpanomatic/zthread/share/zthread.m4,
	src/libpanomatic/zthread/src/AtomicCount.cxx,
	src/libpanomatic/zthread/src/CMakeLists.txt,
	src/libpanomatic/zthread/src/ConcurrentExecutor.cxx,
	src/libpanomatic/zthread/src/Condition.cxx,
	src/libpanomatic/zthread/src/ConditionImpl.h,
	src/libpanomatic/zthread/src/CountingSemaphore.cxx,
	src/libpanomatic/zthread/src/Debug.h,
	src/libpanomatic/zthread/src/DeferredInterruptionScope.h,
	src/libpanomatic/zthread/src/FastLock.h,
	src/libpanomatic/zthread/src/FastMutex.cxx,
	src/libpanomatic/zthread/src/FastRecursiveLock.h,
	src/libpanomatic/zthread/src/FastRecursiveMutex.cxx,
	src/libpanomatic/zthread/src/IntrusivePtr.h,
	src/libpanomatic/zthread/src/Makefile.am,
	src/libpanomatic/zthread/src/Makefile.in,
	src/libpanomatic/zthread/src/Monitor.cxx,
	src/libpanomatic/zthread/src/Monitor.h,
	src/libpanomatic/zthread/src/Mutex.cxx,
	src/libpanomatic/zthread/src/MutexImpl.h,
	src/libpanomatic/zthread/src/PoolExecutor.cxx,
	src/libpanomatic/zthread/src/PriorityCondition.cxx,
	src/libpanomatic/zthread/src/PriorityInheritanceMutex.cxx,
	src/libpanomatic/zthread/src/PriorityMutex.cxx,
	src/libpanomatic/zthread/src/PrioritySemaphore.cxx,
	src/libpanomatic/zthread/src/RecursiveMutex.cxx,
	src/libpanomatic/zthread/src/RecursiveMutexImpl.cxx,
	src/libpanomatic/zthread/src/RecursiveMutexImpl.h,
	src/libpanomatic/zthread/src/Scheduling.h,
	src/libpanomatic/zthread/src/Semaphore.cxx,
	src/libpanomatic/zthread/src/SemaphoreImpl.h,
	src/libpanomatic/zthread/src/State.h,
	src/libpanomatic/zthread/src/Status.h,
	src/libpanomatic/zthread/src/SynchronousExecutor.cxx,
	src/libpanomatic/zthread/src/TSS.h,
	src/libpanomatic/zthread/src/Thread.cxx,
	src/libpanomatic/zthread/src/ThreadImpl.cxx,
	src/libpanomatic/zthread/src/ThreadImpl.h,
	src/libpanomatic/zthread/src/ThreadLocalImpl.cxx,
	src/libpanomatic/zthread/src/ThreadOps.cxx,
	src/libpanomatic/zthread/src/ThreadOps.h,
	src/libpanomatic/zthread/src/ThreadQueue.cxx,
	src/libpanomatic/zthread/src/ThreadQueue.h,
	src/libpanomatic/zthread/src/ThreadedExecutor.cxx,
	src/libpanomatic/zthread/src/Time.cxx,
	src/libpanomatic/zthread/src/TimeStrategy.h,
	src/libpanomatic/zthread/src/linux/AtomicCount.cxx,
	src/libpanomatic/zthread/src/linux/AtomicFastLock.h,
	src/libpanomatic/zthread/src/linux/FastRecursiveLock.h,
	src/libpanomatic/zthread/src/macos/FastLock.h,
	src/libpanomatic/zthread/src/macos/Monitor.cxx,
	src/libpanomatic/zthread/src/macos/Monitor.h,
	src/libpanomatic/zthread/src/macos/TSS.h,
	src/libpanomatic/zthread/src/macos/ThreadOps.cxx,
	src/libpanomatic/zthread/src/macos/ThreadOps.h,
	src/libpanomatic/zthread/src/macos/UpTimeStrategy.h,
	src/libpanomatic/zthread/src/posix/ConditionRecursiveLock.h,
	src/libpanomatic/zthread/src/posix/FastLock.h,
	src/libpanomatic/zthread/src/posix/FtimeStrategy.h,
	src/libpanomatic/zthread/src/posix/GetTimeOfDayStrategy.h,
	src/libpanomatic/zthread/src/posix/Monitor.cxx,
	src/libpanomatic/zthread/src/posix/Monitor.h,
	src/libpanomatic/zthread/src/posix/PriorityOps.h,
	src/libpanomatic/zthread/src/posix/TSS.h,
	src/libpanomatic/zthread/src/posix/ThreadOps.cxx,
	src/libpanomatic/zthread/src/posix/ThreadOps.h,
	src/libpanomatic/zthread/src/solaris/FastRecursiveLock.h,
	src/libpanomatic/zthread/src/vanilla/DualMutexRecursiveLock.h,
	src/libpanomatic/zthread/src/vanilla/SimpleAtomicCount.cxx,
	src/libpanomatic/zthread/src/vanilla/SimpleRecursiveLock.h,
	src/libpanomatic/zthread/src/win32/AtomicCount.cxx,
	src/libpanomatic/zthread/src/win32/AtomicFastLock.h,
	src/libpanomatic/zthread/src/win32/AtomicFastRecursiveLock.h,
	src/libpanomatic/zthread/src/win32/FastLock.h,
	src/libpanomatic/zthread/src/win32/FastRecursiveLock.h,
	src/libpanomatic/zthread/src/win32/Monitor.cxx,
	src/libpanomatic/zthread/src/win32/Monitor.h,
	src/libpanomatic/zthread/src/win32/PerformanceCounterStrategy.h,
	src/libpanomatic/zthread/src/win32/TSS.h,
	src/libpanomatic/zthread/src/win32/ThreadOps.cxx,
	src/libpanomatic/zthread/src/win32/ThreadOps.h,
	src/libpanomatic/zthread/src/win9x/AtomicCount.cxx,
	src/libpanomatic/zthread/src/win9x/AtomicFastLock.h,
	src/libpanomatic/zthread/zthread.vcproj:
	Files added and removed to reorganize directories.

2010-05-31 20:43 +0200  Antoine  <Antoine>  (d56494013558)

	* src/CMakeLists.txt, src/foreign/CMakeLists.txt,
	src/foreign/vigra/vigra/impex.hxx, src/libpanomatic/CMakeLists.txt,
	src/libpanomatic/panomatic/CMakeLists.txt,
	src/libpanomatic/panomatic/PanoDetectorLogic.cpp:
	Reorganized directories. Segfault bug fixed: modified
	panomatic/CmakeListe.txt. the patent free panomatic command now
	compiles with hugin and is ready to use.

2010-05-27 22:43 +0200  Florian Achleitner  <florian.achleitner.2.6.31@gmail.com>  (23a82fc2ea3c)

	* CMakeLists.txt, src/hugin_base/makefilelib/CMakeLists.txt:
	Generalize boost library inclusion, according to Thomas hints.

2010-05-26 23:25 +0200  Florian Achleitner  <florian.achleitner.2.6.31@gmail.com>  (00b2735473d0)

	* src/hugin_base/CMakeLists.txt:
	add subdirectory for makefilelib

2010-05-26 22:59 +0200  Florian Achleitner  <florian.achleitner.2.6.31@gmail.com>  (be1825396383)

	* src/hugin_base/makefilelib/CMakeLists.txt: new file.
	* src/hugin_base/makefilelib/CMakeLists.txt:
	add CmakeLists.txt from Thomas template. cmake build runs now.

2010-05-26 22:11 +0200  Florian Achleitner  <florian.achleitner.2.6.31@gmail.com>  (e5f76a7aa550)

	* src/hugin_base/makefilelib/Comment.cpp,
	src/hugin_base/makefilelib/Comment.h,
	src/hugin_base/makefilelib/Doxyfile,
	src/hugin_base/makefilelib/Filename.cpp,
	src/hugin_base/makefilelib/Filename.h,
	src/hugin_base/makefilelib/Makefile.cpp,
	src/hugin_base/makefilelib/Makefile.h,
	src/hugin_base/makefilelib/MakefileItem.cpp,
	src/hugin_base/makefilelib/MakefileItem.h,
	src/hugin_base/makefilelib/Rule.cpp,
	src/hugin_base/makefilelib/Rule.h,
	src/hugin_base/makefilelib/Variable.cpp,
	src/hugin_base/makefilelib/Variable.h,
	src/hugin_base/makefilelib/VariableDef.cpp,
	src/hugin_base/makefilelib/VariableDef.h,
	src/hugin_base/makefilelib/VariableRef.cpp,
	src/hugin_base/makefilelib/VariableRef.h,
	src/hugin_base/makefilelib/main.cpp: new file.
	* src/Doxyfile, src/hugin_base/makefilelib/Comment.cpp,
	src/hugin_base/makefilelib/Comment.h,
	src/hugin_base/makefilelib/Doxyfile,
	src/hugin_base/makefilelib/Filename.cpp,
	src/hugin_base/makefilelib/Filename.h,
	src/hugin_base/makefilelib/Makefile.cpp,
	src/hugin_base/makefilelib/Makefile.h,
	src/hugin_base/makefilelib/MakefileItem.cpp,
	src/hugin_base/makefilelib/MakefileItem.h,
	src/hugin_base/makefilelib/Rule.cpp,
	src/hugin_base/makefilelib/Rule.h,
	src/hugin_base/makefilelib/Variable.cpp,
	src/hugin_base/makefilelib/Variable.h,
	src/hugin_base/makefilelib/VariableDef.cpp,
	src/hugin_base/makefilelib/VariableDef.h,
	src/hugin_base/makefilelib/VariableRef.cpp,
	src/hugin_base/makefilelib/VariableRef.h,
	src/hugin_base/makefilelib/main.cpp:
	- Basic design, run doxygen to get nice UML graphs and some basic
	docu.
	- First tryout of boost::regex, runs great!
	- simple tester (main.cpp) runs.

2010-05-25 10:44 +0200  harryvanderwolf  <hvdwolf@gmail.com>  (2e268809e1b6)

	* mac/ExternalPrograms/readme.txt:
	[OSX] updated readme.txt was not pushed. Try again

2010-05-25 10:25 +0200  harryvanderwolf  <hvdwolf@gmail.com>  (b061a68032b6)

	* mac/ExternalPrograms/scripts/SetEnv-leopard-OpenMP.txt.org,
	mac/ExternalPrograms/scripts/SetEnv-leopard.txt.org,
	mac/ExternalPrograms/scripts/SetEnv-universal.txt.org: new file.
	* mac/ExternalPrograms/scripts/SetEnv-leopard-OpenMP.txt,
	mac/ExternalPrograms/scripts/SetEnv-leopard.txt,
	mac/ExternalPrograms/scripts/SetEnv-universal.txt: deleted file.
	* mac/ExternalPrograms/readme.txt, mac/ExternalPrograms/scripts
	/SetEnv-leopard-OpenMP.txt, mac/ExternalPrograms/scripts/SetEnv-
	leopard-OpenMP.txt.org, mac/ExternalPrograms/scripts/SetEnv-
	leopard.txt, mac/ExternalPrograms/scripts/SetEnv-leopard.txt.org,
	mac/ExternalPrograms/scripts/SetEnv-universal.txt,
	mac/ExternalPrograms/scripts/SetEnv-universal.txt.org:
	[OSX] change default "work/build" .txt files to .txt.org

2010-05-24 19:03 +0200  Antoine  <Antoine>  (d19c70145fb1)

	* src/libpanomatic/CMakeLists.txt,
	src/libpanomatic/localfeatures/CMakeLists.txt,
	src/libpanomatic/panomatic/PanoDetector.cpp,
	src/libpanomatic/panomatic/PanoDetector.h,
	src/libpanomatic/panomatic/PanoDetectorLogic.cpp,
	src/libpanomatic/panomatic/main.cpp:
	All Surf related parts are REMOVED from Panomatic's code. Bug to fix
	: panomatic segfaults at Vigra's RGB loading.

2010-05-24 17:51 +0200  Antoine  <Antoine>  (0a14febcefc0)

	* src/CMakeLists.txt, src/libpanomatic/CMakeLists.txt,
	src/libpanomatic/localfeatures/CMakeLists.txt,
	src/libpanomatic/panomatic/PanoDetector.cpp,
	src/libpanomatic/panomatic/PanoDetector.h,
	src/libpanomatic/panomatic/PanoDetectorLogic.cpp,
	src/libpanomatic/panomatic/main.cpp:
	Remove all SURF related parts in libpanomatic code. Modify
	CMakeLists.txt so that panomatic is now compiled with hugin by
	default. WARNING: this version has an execution error.

2010-05-24 17:06 +0200  tmodes  <tmodes>  (6cea0e256cd1)

	* .hgignore:
	Also ignore rev.txt

2010-05-24 10:55 -0400  Yuval Levy  <yuv@users.sourceforge.net>  (307ae8b3f044)

	* .hgignore: new file.
	* .hgignore:
	ignore editor's backup files

2010-05-24 15:52 +0200  Antoine  <Antoine>  (b5162874ef3e)

	* src/libpanomatic/AUTHORS, src/libpanomatic/CMakeLists.txt,
	src/libpanomatic/CMakeModules/FindBoostPython.cmake,
	src/libpanomatic/CMakeModules/FindJPEG.cmake,
	src/libpanomatic/CMakeModules/FindPNG.cmake,
	src/libpanomatic/CMakeModules/FindTIFF.cmake,
	src/libpanomatic/CMakeModules/FindVIGRA.cmake,
	src/libpanomatic/CMakeModules/FindZLIB.cmake,
	src/libpanomatic/COPYING, src/libpanomatic/ChangeLog,
	src/libpanomatic/LICENSE, src/libpanomatic/README,
	src/libpanomatic/keypoints/CMakeLists.txt,
	src/libpanomatic/keypoints/keypoints.cpp,
	src/libpanomatic/localfeatures/BoundedSet.h,
	src/libpanomatic/localfeatures/BoxFilter.h,
	src/libpanomatic/localfeatures/CMakeLists.txt,
	src/libpanomatic/localfeatures/CircularKeyPointDescriptor.cpp,
	src/libpanomatic/localfeatures/CircularKeyPointDescriptor.h,
	src/libpanomatic/localfeatures/Homography.cpp,
	src/libpanomatic/localfeatures/Homography.h,
	src/libpanomatic/localfeatures/Image.cpp,
	src/libpanomatic/localfeatures/Image.h,
	src/libpanomatic/localfeatures/KeyPoint.h,
	src/libpanomatic/localfeatures/KeyPointDescriptor.h,
	src/libpanomatic/localfeatures/KeyPointDetector.cpp,
	src/libpanomatic/localfeatures/KeyPointDetector.h,
	src/libpanomatic/localfeatures/KeyPointIO.cpp,
	src/libpanomatic/localfeatures/KeyPointIO.h,
	src/libpanomatic/localfeatures/MathStuff.cpp,
	src/libpanomatic/localfeatures/MathStuff.h,
	src/libpanomatic/localfeatures/PointMatch.h,
	src/libpanomatic/localfeatures/RansacFiltering.cpp,
	src/libpanomatic/localfeatures/RansacFiltering.h,
	src/libpanomatic/localfeatures/Sieve.h,
	src/libpanomatic/localfeatures/WaveFilter.h,
	src/libpanomatic/localfeatures/python_wrapper.cpp,
	src/libpanomatic/panomatic/CMakeLists.txt,
	src/libpanomatic/panomatic/ImageImport.h,
	src/libpanomatic/panomatic/KDTree.h,
	src/libpanomatic/panomatic/KDTreeImpl.h,
	src/libpanomatic/panomatic/PanoDetector.cpp,
	src/libpanomatic/panomatic/PanoDetector.h,
	src/libpanomatic/panomatic/PanoDetectorDefs.h,
	src/libpanomatic/panomatic/PanoDetectorLogic.cpp,
	src/libpanomatic/panomatic/TestCode.cpp,
	src/libpanomatic/panomatic/TestCode.h,
	src/libpanomatic/panomatic/Tracer.h,
	src/libpanomatic/panomatic/Utils.cpp,
	src/libpanomatic/panomatic/Utils.h,
	src/libpanomatic/panomatic/main.cpp, src/libpanomatic/tclap/Arg.h,
	src/libpanomatic/tclap/ArgException.h,
	src/libpanomatic/tclap/CmdLine.h,
	src/libpanomatic/tclap/CmdLineInterface.h,
	src/libpanomatic/tclap/CmdLineOutput.h,
	src/libpanomatic/tclap/Constraint.h,
	src/libpanomatic/tclap/DocBookOutput.h,
	src/libpanomatic/tclap/HelpVisitor.h,
	src/libpanomatic/tclap/IgnoreRestVisitor.h,
	src/libpanomatic/tclap/MultiArg.h,
	src/libpanomatic/tclap/MultiSwitchArg.h,
	src/libpanomatic/tclap/OptionalUnlabeledTracker.h,
	src/libpanomatic/tclap/StdOutput.h,
	src/libpanomatic/tclap/SwitchArg.h,
	src/libpanomatic/tclap/UnlabeledMultiArg.h,
	src/libpanomatic/tclap/UnlabeledValueArg.h,
	src/libpanomatic/tclap/ValueArg.h,
	src/libpanomatic/tclap/ValuesConstraint.h,
	src/libpanomatic/tclap/VersionVisitor.h,
	src/libpanomatic/tclap/Visitor.h,
	src/libpanomatic/tclap/XorHandler.h,
	src/libpanomatic/zthread/AUTHORS, src/libpanomatic/zthread/COPYING,
	src/libpanomatic/zthread/LICENSE, src/libpanomatic/zthread/MIT.TXT,
	src/libpanomatic/zthread/README,
	src/libpanomatic/zthread/ReadMe.txt,
	src/libpanomatic/zthread/include/zthread/AtomicCount.h,
	src/libpanomatic/zthread/include/zthread/Barrier.h,
	src/libpanomatic/zthread/include/zthread/BiasedReadWriteLock.h,
	src/libpanomatic/zthread/include/zthread/BlockingQueue.h,
	src/libpanomatic/zthread/include/zthread/BoundedQueue.h,
	src/libpanomatic/zthread/include/zthread/Cancelable.h,
	src/libpanomatic/zthread/include/zthread/ClassLockable.h,
	src/libpanomatic/zthread/include/zthread/ConcurrentExecutor.h,
	src/libpanomatic/zthread/include/zthread/Condition.h,
	src/libpanomatic/zthread/include/zthread/Config.h,
	src/libpanomatic/zthread/include/zthread/CountedPtr.h,
	src/libpanomatic/zthread/include/zthread/CountingSemaphore.h,
	src/libpanomatic/zthread/include/zthread/Exceptions.h,
	src/libpanomatic/zthread/include/zthread/Executor.h,
	src/libpanomatic/zthread/include/zthread/FairReadWriteLock.h,
	src/libpanomatic/zthread/include/zthread/FastMutex.h,
	src/libpanomatic/zthread/include/zthread/FastRecursiveMutex.h,
	src/libpanomatic/zthread/include/zthread/Guard.h,
	src/libpanomatic/zthread/include/zthread/GuardedClass.h,
	src/libpanomatic/zthread/include/zthread/Lockable.h,
	src/libpanomatic/zthread/include/zthread/LockedQueue.h,
	src/libpanomatic/zthread/include/zthread/MonitoredQueue.h,
	src/libpanomatic/zthread/include/zthread/Mutex.h,
	src/libpanomatic/zthread/include/zthread/NonCopyable.h,
	src/libpanomatic/zthread/include/zthread/PoolExecutor.h,
	src/libpanomatic/zthread/include/zthread/Priority.h,
	src/libpanomatic/zthread/include/zthread/PriorityCondition.h,
	src/libpanomatic/zthread/include/zthread/PriorityInheritanceMutex.h,
	src/libpanomatic/zthread/include/zthread/PriorityMutex.h,
	src/libpanomatic/zthread/include/zthread/PrioritySemaphore.h,
	src/libpanomatic/zthread/include/zthread/Queue.h,
	src/libpanomatic/zthread/include/zthread/ReadWriteLock.h,
	src/libpanomatic/zthread/include/zthread/RecursiveMutex.h,
	src/libpanomatic/zthread/include/zthread/Runnable.h,
	src/libpanomatic/zthread/include/zthread/Semaphore.h,
	src/libpanomatic/zthread/include/zthread/Singleton.h,
